package org.eco.common.core.enums;

import org.eco.common.core.utils.StringUtils;

/**
 * 设备类型
 * 针对多套 用户体系
 *
 * @author wgk
 */
public enum UserType {

    /**
     * pc端
     */
    SYS_USER("sys_user"),

    /**
     * app端
     */
    APP_USER("app_user");

    private final String userType;

    UserType(String userType) {
        this.userType = userType;
    }

    public static UserType getUserType(String str) {
        for (UserType value : values()) {
            if (StringUtils.contains(str, value.getUserType())) {
                return value;
            }
        }
        throw new RuntimeException("'UserType' not found By " + str);
    }

    public String getUserType() {
        return userType;
    }
}
