package com.eco.common.mapper.annotation;

import com.eco.common.mapper.core.FieldMapperInterface;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Inherited;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * @Description: FieldMapperType 映射类型注释 (标注到{@link FieldMapperInterface} 的实现类)
 * @Author: GaoKun Wang
 * @Date: 2024/7/1
 */
@Inherited
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.TYPE})
@Documented
public @interface FieldMapperType {
    /**
     * 类型
     */
    String type();
}
