package com.eco.common.mapper.core;

import com.eco.common.mapper.annotation.FieldMapperType;

/**
 * @Description: FieldMapperInterface接口
 * (实现类需标注 {@link FieldMapperType} 注解标明翻译类型)
 * @Author: GaoKun Wang
 * @Date: 2024/7/1
 */
public interface FieldMapperInterface<T> {

    /**
     * 映射
     *
     * @param key   需要被映射的键(不为空)
     * @param other 其他参数
     * @return 返回键对应的值
     */
    T fieldMapper(Object key, String other);
}
