package org.eco.als.domain;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

import org.eco.common.orm.core.domain.TreeEntity;

/**
 * 飞机构型对象 als_air_configuration_t
 *
 * @author wgk
 * @date 2024-11-13
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table(value = "als_air_configuration_t")
public class AirConfiguration extends TreeEntity {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 唯一ID
     */
    @Id
    private Long id;

    /**
     * 机型
     */
    private String aircraftType;

    /**
     * 构型编码
     */
    private String conCode;

    /**
     * 产品名称
     */
    private String name;

    /**
     * 规格型号
     */
    private String specsModel;

    /**
     * 图号
     */
    private String drawingNumber;

    /**
     * 供应商
     */
    private String supplier;

    /**
     * 描述
     */
    private String remarks;

    /**
     * 删除标识（1删除 0未删除）
     */
    @Column(isLogicDelete = true)
    private Integer delFlag;


}
