package org.eco.als.domain;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.common.orm.core.domain.BaseEntity;

import java.io.Serial;

/**
 * 装机信息对象 als_air_install_t
 *
 * @author wgk
 * @date 2024-11-21
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table(value = "als_air_install_t")
public class AirInstall extends BaseEntity {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 唯一ID
     */
    @Id
    private Long id;

    /**
     * 飞机编目
     */
    private String airId;

    /**
     * 飞机机号
     */
    private String airModelId;

    /**
     * 构型Id
     */
    private String configId;

    /**
     * 器材编码
     */
    private String devicesEncode;

    /**
     * 器材代码
     */
    private String devicesCode;

    /**
     * 器材名称
     */
    private String devicesName;

    /**
     * 规格型号
     */
    private String specsModel;

    /**
     * 图号
     */
    private String drawingNumber;

    /**
     * 所属分类
     */
    private String category;

    /**
     * 装机数量
     */
    private String quantity;

    /**
     * 装机时间
     */
    private String installTime;

    /**
     * 软件版本
     */
    private String softwareVersion;

    /**
     * 是否可修
     */
    private String repairable;

    /**
     * 是否成套
     */
    private String completeSet;

    /**
     * 是否有寿
     */
    private String serviceLife;

    /**
     * 额定寿命/小时
     */
    private Integer ratedLife;


    /**
     * 备注
     */
    private String remarks;

    /**
     * 删除标识（1删除 0未删除）
     */
    @Column(isLogicDelete = true)
    private Integer delFlag;


}
