package org.eco.als.domain;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import org.eco.common.orm.core.domain.BaseEntity;

/**
 * 飞机系统参数管理对象 als_air_paramter_t
 *
 * @author wgk
 * @date 2025-02-27
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table(value = "als_air_paramter_t")
public class AirParamter extends BaseEntity {
@Serial
private static final long serialVersionUID = 1L;

    /** 唯一ID */
    @Id
    private Long id;

    /** 机型 */
    private String aircraftType;

    /** 系统ID */
    private String sysId;

    /** 系统名称 */
    private String sysName;

    /** 参数名称 */
    private String name;

    /** 参数名称ID */
    private String nameId;

    /** 描述 */
    private String remarks;

    /** 属性1 */
    private String attribute1;

    /** 属性2 */
    private String attribute2;

    /** 属性3 */
    private String attribute3;

    /** 属性4 */
    private String attribute4;

    /** 属性5 */
    private String attribute5;

    /** 删除标识（1删除 0未删除） */
    @Column(isLogicDelete = true)
    private Integer delFlag;


}
