package org.eco.als.domain;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.common.orm.core.domain.BaseEntity;

import java.io.Serial;

/**
 * 文件管理对象 als_atlas_file_t
 *
 * @author wgk
 * @date 2024-11-27
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table(value = "als_atlas_file_t")
public class AtlasFile extends BaseEntity {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 唯一ID
     */
    @Id
    private Long id;

    /**
     * 文件名称
     */
    private String fileName;

    /**
     * 文件类型
     */
    private String fileType;

    /**
     * 文件
     */
    private Long ossId;

    /**
     * 状态
     */
    private String status;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 删除标识（1删除 0未删除）
     */
    @Column(isLogicDelete = true)
    private Integer delFlag;


}
