package org.eco.als.domain;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.common.orm.core.domain.BaseEntity;

import java.io.Serial;

/**
 * 通讯管理对象 als_communication_t
 *
 * @author wgk
 * @date 2024-12-17
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table(value = "als_communication_t")
public class Communication extends BaseEntity {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @Id
    private Long id;

    /**
     * 名称
     */
    private String name;

    /**
     * IP地址
     */
    private String ipAddress;

    /**
     * 网段
     */
    private String networkSegment;

    /**
     * 子网掩码
     */
    private String subnetMask;

    /**
     * DNS
     */
    private String dns;

    /**
     * 网关
     */
    private String gateway;

    /**
     * http
     */
    private String http;

    /**
     * 端口号
     */
    private String port;

    /**
     * 用户名
     */
    private String userName;

    /**
     * 密码
     */
    private String password;

    /**
     * 删除标识（1删除 0未删除）
     */
    @Column(isLogicDelete = true)
    private Integer delFlag;


}
