package org.eco.als.domain;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.common.orm.core.domain.BaseEntity;

import java.io.Serial;

/**
 * 通讯录对象 als_contacts_t
 *
 * @author wgk
 * @date 2024-11-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table(value = "als_contacts_t")
public class Contacts extends BaseEntity {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 唯一ID
     */
    @Id
    private Long id;

    /**
     * 名称
     */
    private String name;

    /**
     * 地址/链接
     */
    private String url;

    /**
     * 接口
     */
    private String port;

    /**
     * 接口参数
     */
    private String parameter;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 删除标识（1删除 0未删除）
     */
    @Column(isLogicDelete = true)
    private Integer delFlag;


}
