package org.eco.als.domain;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.common.orm.core.domain.BaseEntity;

import java.io.Serial;
import java.util.Date;

/**
 * 数据导入信息对象 als_data_import_t
 *
 * @author wgk
 * @date 2024-07-22
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table(value = "als_data_import_t")
public class DataImport extends BaseEntity {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 唯一编号
     */
    @Id
    private Long id;

    /**
     * 文件编号
     */
    private Long ossId;

    /**
     * 数据源
     */
    private String source;

    /**
     * 架次号
     */
    private String sortieNo;

    /**
     * 机号
     */
    private String aircraftId;

    /**
     * 飞行日期
     */
    private Date flightDate;

    /**
     * 状态（1正常）
     */
    private String status;

    /**
     * 删除标识（1删除 0未删除）
     */
    @Column(isLogicDelete = true)
    private Integer delFlag;


}
