package org.eco.als.domain;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.common.orm.core.domain.BaseEntity;

import java.io.Serial;

/**
 * 故障诊断结果对象 als_fault_diagnosis_result_t
 *
 * @author wgk
 * @date 2024-11-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table(value = "als_fault_diagnosis_result_t")
public class FaultDiagnosisResult extends BaseEntity {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @Id
    private Long id;

    /**
     * 故障诊断编号
     */
    private Long diagnosisId;

    /**
     * 架次号
     */
    private String sortieNo;

    /**
     * 机号
     */
    private String aircraftId;

    /**
     * 模型类型
     */
    private String modelType;

    /**
     * 参数
     */
    private String param;

    /**
     * 数据列
     */
    private String columnData;

    /**
     * 文件Id
     */
    private Long ossId;

    /**
     * 结果
     */
    private String resultContent;

    /**
     * 状态（1正常）
     */
    private String status;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 删除标识（1删除 0未删除）
     */
    @Column(isLogicDelete = true)
    private Integer delFlag;


}
