package org.eco.als.domain;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.common.orm.core.domain.BaseEntity;

import java.io.Serial;

/**
 * 判故逻辑对象 als_judge_fault_logic_t
 *
 * @author wgk
 * @date 2024-12-11
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table(value = "als_judge_fault_logic_t")
public class JudgeFaultLogic extends BaseEntity {
@Serial
private static final long serialVersionUID = 1L;

    /** 编号 */
    @Id
    private Long id;

    /** 机型 */
    private String model;

    /** HMC码 */
    private String hmcCode;


    /** 备注 */
    private String remarks;

    /** 删除标识（1删除 0未删除） */
    @Column(isLogicDelete = true)
    private Integer delFlag;

    /**
     * 系统ID
     */
    private String sysId;

    /**
     * 系统名称
     */
    private String sysName;

    /**
     * 参数名称
     */
    private String name;

    /**
     * 参数名称ID
     */
    private String nameId;

    /**
     * 属性1
     */
    private String attribute1;

    /**
     * 属性2
     */
    private String attribute2;

    /**
     * 属性3
     */
    private String attribute3;

    /**
     * 属性4
     */
    private String attribute4;

    /**
     * 属性5
     */
    private String attribute5;


}
