package org.eco.als.domain;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.common.orm.core.domain.BaseEntity;

import java.io.Serial;

/**
 * 知识图谱实体关系对象 als_k_graph_entity_t
 *
 * @author wgk
 * @date 2025-01-03
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table(value = "als_k_graph_entity_t")
public class KGraphEntity extends BaseEntity {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 唯一ID
     */
    @Id
    private Long id;

    /**
     * 分句ID
     */
    private Long clauseId;

    /**
     * 头实体
     */
    private String headEntity;

    /**
     * 头实体类
     */
    private String headEntityClass;

    /**
     * 关系
     */
    private String relation;

    /**
     * 尾实体
     */
    private String tailEntity;

    /**
     * 尾实体类
     */
    private String tailEntityClass;

    /**
     * 状态
     */
    private String status;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 删除标识（1删除 0未删除）
     */
    @Column(isLogicDelete = true)
    private Integer delFlag;


}
