package org.eco.als.domain;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.common.orm.core.domain.BaseEntity;

import java.io.Serial;

/**
 * 寿命预测对象 als_life_prediction_t
 *
 * @author wgk
 * @date 2024-07-26
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table(value = "als_life_prediction_t")
public class LifePrediction extends BaseEntity {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @Id
    private Long id;

    /**
     * 机号
     */
    private String aircraftId;
    /**
     * 机型
     */
    private String aircraftType;
    /**
     * 编号
     */
    private String code;
    /**
     * 部件名称
     */
    private String name;

    /**
     * 型号
     */
    private String model;

    /**
     * 处理方式
     */
    private String methodType;

    /**
     * 状态（1正常）
     */
    private String status;

    /**
     * 结果
     */
    private String resultContent;

    /**
     * 删除标识（1删除 0未删除）
     */
    @Column(isLogicDelete = true)
    private Integer delFlag;


}
