package org.eco.als.domain;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.common.orm.core.domain.BaseEntity;

import java.io.Serial;

/**
 * 寿命预测结果对象 als_life_prediction_result_t
 *
 * @author wgk
 * @date 2024-07-26
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table(value = "als_life_prediction_result_t")
public class LifePredictionResult extends BaseEntity {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @Id
    private Long id;

    /**
     * 寿命预测编号
     */
    private Long lifeId;

    /**
     * 机号
     */
    private String aircraftId;
    /**
     * 部件名称
     */
    private String name;

    /**
     * 型号
     */
    private String model;

    /**
     * 所属系统
     */
    private String system;

    /**
     * 处理方式
     */
    private String methodType;

    /**
     * 剩余时长（h）
     */
    private String remainTiem;

    /**
     * 状态（1正常）
     */
    private String status;

    /**
     * 删除标识（1删除 0未删除）
     */
    @Column(isLogicDelete = true)
    private Integer delFlag;


}
