package org.eco.als.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import org.eco.common.orm.core.domain.BaseEntity;

/**
 * 有寿件对象 als_lifetime_spare_parts_t
 *
 * @author wgk
 * @date 2024-12-14
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table(value = "als_lifetime_spare_parts_t")
public class LifetimeSpareParts extends BaseEntity {
@Serial
private static final long serialVersionUID = 1L;

    /** 编号 */
    @Id
    private Long id;

    /** 飞机编目 */
    private String airId;

    /** 飞机机号 */
    private String airModelId;

    /** 构型Id */
    private String configId;

    /** 部件名称 */
    private String componentName;

    /** 部件型号 */
    private String componentModel;

    /** 部件编码 */
    private String componentNum;

    /** 出厂日期 */
    private Date factoryDate;

    /** 当前安装飞机 */
    private String currentInstallAircraft;

    /** 工作时次 */
    private String workTime;

    /** 额定寿命 */
    private String ratedLifetime;

    /** 剩余寿命 */
    private String remainingLifetime;

    /** 备注 */
    private String remarks;

    /** 删除标识（1删除 0未删除） */
    @Column(isLogicDelete = true)
    private Integer delFlag;


}
