package org.eco.als.domain;

import java.util.Date;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

import org.eco.common.orm.core.domain.BaseEntity;

/**
 * 维修信息对象 als_maintenance_t
 *
 * @author wgk
 * @date 2024-10-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table(value = "als_maintenance_t")
public class Maintenance extends BaseEntity {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @Id
    private Long id;

    /**
     * 飞机编码
     */
    private String aircraftCode;

    /**
     * 故障代码
     */
    private String faultCode;

    /**
     * 故障名称
     */
    private String faultName;

    /**
     * 故障位置
     */
    private String location;

    /**
     * 故障等级
     */
    private String level;

    /**
     * 故障发生时间
     */
    private Date faultDate;

    /**
     * 故障现象
     */
    private String symptoms;

    /**
     * 故障原因
     */
    private String faultCause;

    /**
     * 维修结果
     */
    private String status;

    /**
     * 维修负责人
     */
    private String supervisor;

    /**
     * 维修时间
     */
    private Date maintenanceTime;

    /**
     * 换件前器材编码
     */
    private String beforeEquipmentCode;

    /**
     * 换件前器材名称
     */
    private String beforeEquipmentName;

    /**
     * 换件前规格型号
     */
    private String beforeModelNumber;

    /**
     * 换件后器材编码
     */
    private String afterEquipmentCode;

    /**
     * 换件后器材名称
     */
    private String afterEquipmentName;

    /**
     * 换件后规格型号
     */
    private String afterModelNumber;

    /**
     * 更换数量
     */
    private String quantity;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 删除标识（1删除 0未删除）
     */
    @Column(isLogicDelete = true)
    private Integer delFlag;


}
