package org.eco.als.domain;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.common.orm.core.domain.BaseEntity;

import java.io.Serial;

/**
 * 辅助维修决策对象 als_maintenance_decision_t
 *
 * @author wgk
 * @date 2024-07-24
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table(value = "als_maintenance_decision_t")
public class MaintenanceDecision extends BaseEntity {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @Id
    private Long id;

    /**
     * 架次号
     */
    private String sortieNo;

    /**
     * 机号
     */
    private String aircraftId;
    /**
     * 诊断结果
     */
    private Long resultId;

    /**
     * 故障代码
     */
    private String code;

    /**
     * 系统
     */
    private String systemName;

    /**
     * 单位
     */
    private String unitName;

    /**
     * 故障部件
     */
    private String faultPart;

    /**
     * 维修建议
     */
    private String proposal;

    /**
     * 状态（1正常）
     */
    private String status;

    /**
     * 删除标识（1删除 0未删除）
     */
    @Column(isLogicDelete = true)
    private Integer delFlag;
}
