package org.eco.als.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

import org.eco.common.orm.core.domain.BaseEntity;

/**
 * 维修信息对象 als_maintenance_task_t
 *
 * @author wgk
 * @date 2024-11-14
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table(value = "als_maintenance_task_t")
public class MaintenanceTask extends BaseEntity {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @Id
    private Long id;

    /**
     * 来源ID
     */
    private Long taskId;

    /**
     * 飞机编码
     */
    private String aircraftCode;

    /**
     * 飞机机型
     */
    private String aircraftType;

    /**
     * 数据来源
     */
    private String dataType;

    /**
     * 故障代码
     */
    private String faultCode;

    /**
     * 故障名称
     */
    private String faultName;

    /**
     * 故障位置
     */
    private String location;

    /**
     * 故障等级
     */
    private String level;

    /**
     * 故障发生时间
     */
    private Date faultDate;

    /**
     * 故障描述
     */
    private String faultDescription;

    /**
     * 故障现象
     */
    private String symptoms;

    /**
     * 故障原因
     */
    private String faultCause;

    /**
     * 任务状态
     */
    private String status;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 删除标识（1删除 0未删除）
     */
    @Column(isLogicDelete = true)
    private Integer delFlag;


}
