package org.eco.als.domain;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.common.orm.core.domain.BaseEntity;

import java.io.Serial;

/**
 * 模型信息对象 als_model_t
 *
 * @author wgk
 * @date 2024-07-22
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table(value = "als_model_t")
public class Model extends BaseEntity {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @Id
    private Long id;

    /**
     * 模型名称
     */
    private String name;

    /**
     * 模型类型
     */
    private String type;

    /**
     * 模型链接
     */
    private String url;

    /**
     * 参数
     */
    private String param;

    /**
     * 数据列
     */
    private String columnData;

    private String partId;

    /**
     * 参数特征
     */
    private String paramType;
    /**
     * 机型
     */
    private String aircraftType;

    /**
     * 状态
     */
    private String status;

    /**
     * 备注
     */
    private String remark;

    /**
     * 删除标识（1删除 0未删除）
     */
    @Column(isLogicDelete = true)
    private Integer delFlag;


}
