package org.eco.als.domain;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

import org.eco.common.orm.core.domain.BaseEntity;

/**
 * 换件记录对象 als_part_replacement_t
 *
 * @author wgk
 * @date 2024-10-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table(value = "als_part_replacement_t")
public class PartReplacement extends BaseEntity {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @Id
    private Long id;

    /**
     * 飞机机型
     */
    private String aircraftType;

    /**
     * 飞机编码
     */
    private String aircraftCode;

    /**
     * 换件前器材编码
     */
    private String beforeEquipmentCode;

    /**
     * 换件前器材名称
     */
    private String beforeEquipmentName;

    /**
     * 换件前规格型号
     */
    private String beforeModelNumber;

    /**
     * 换件后器材编码
     */
    private String afterEquipmentCode;

    /**
     * 换件后器材名称
     */
    private String afterEquipmentName;

    /**
     * 换件后规格型号
     */
    private String afterModelNumber;

    /**
     * 更换数量
     */
    private String quantity;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 删除标识（1删除 0未删除）
     */
    @Column(isLogicDelete = true)
    private Integer delFlag;


}
