package org.eco.als.domain;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

import org.eco.common.orm.core.domain.BaseEntity;

/**
 * 维修任务任务派遣对象 als_personnel_allocation_t
 *
 * @author wgk
 * @date 2024-11-14
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table(value = "als_personnel_allocation_t")
public class PersonnelAllocation extends BaseEntity {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @Id
    private Long id;

    /**
     * 任务Id
     */
    private Long taskId;

    /**
     * 人员
     */
    private String personnel;

    /**
     * 岗位
     */
    private String position;

    /**
     * 数量
     */
    private Integer quantity;

    /**
     * 职责
     */
    private String duties;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 删除标识（1删除 0未删除）
     */
    @Column(isLogicDelete = true)
    private Integer delFlag;


}
