package org.eco.als.domain;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.common.orm.core.domain.BaseEntity;

import java.io.Serial;

/**
 * 预处理对象 als_pre_processing_t
 *
 * @author wgk
 * @date 2024-07-22
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table(value = "als_pre_processing_t")
public class PreProcessing extends BaseEntity {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @Id
    private Long id;

    /**
     * 架次号
     */
    private String sortieNo;

    /**
     * 机号
     */
    private String aircraftId;

    /**
     * 模型类型
     */
    private String modelType;

    /**
     * 参数
     */
    private String param;

    /**
     * 数据列
     */
    private String columnData;

    /**
     * 文件Id
     */
    private Long ossId;

    /**
     * 结果
     */
    private Long result;

    /**
     * 状态
     */
    private String status;

    /**
     * 删除标识（1删除 0未删除）
     */
    @Column(isLogicDelete = true)
    private Integer delFlag;


}
