package org.eco.als.domain;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.common.orm.core.domain.BaseEntity;

import java.io.Serial;

/**
 * 问答历史记录对象 als_qa_history_t
 *
 * @author wgk
 * @date 2024-12-13
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table(value = "als_qa_history_t")
public class QaHistory extends BaseEntity {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 唯一ID
     */
    @Id
    private Long id;

    /**
     * 当前用户
     */
    private String userId;

    /**
     * 问题
     */
    private String question;

    /**
     * 回答
     */
    private String answer;

    /**
     *图谱相关
     */
    private String graph;

    /**
     * 文件ID
     */
    private Long ossId;

    /**
     * 文件名称
     */
    private String fileName;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 删除标识（1删除 0未删除）
     */
    @Column(isLogicDelete = true)
    private Integer delFlag;


}
