package org.eco.als.domain;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

import org.eco.common.orm.core.domain.BaseEntity;

/**
 * 维修任务资源分配对象 als_resource_allocation_t
 *
 * @author wgk
 * @date 2024-11-14
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table(value = "als_resource_allocation_t")
public class ResourceAllocation extends BaseEntity {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @Id
    private Long id;

    /**
     * 任务Id
     */
    private Long taskId;

    /**
     * 设备编号
     */
    private String deviceCode;

    /**
     * 设备名称
     */
    private String deviceName;

    /**
     * 类型
     */
    private String type;

    /**
     * 规格型号
     */
    private String modelNumber;

    /**
     * 数量
     */
    private Integer quantity;

    /**
     * 用途
     */
    private String purpose;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 删除标识（1删除 0未删除）
     */
    @Column(isLogicDelete = true)
    private Integer delFlag;


}
