package org.eco.als.domain;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.common.orm.core.domain.BaseEntity;

import java.io.Serial;

/**
 * 定检任务对象 als_sm_task_t
 *
 * @author wgk
 * @date 2024-11-20
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table(value = "als_sm_task_t")
public class SmTask extends BaseEntity {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @Id
    private Long id;

    /**
     * 机号
     */
    private String aircraftId;

    /**
     * 机型
     */
    private String aircraftModel;

    /**
     * 任务名称
     */
    private String name;

    /**
     * 专业
     */
    private String specialty;

    /**
     * 任务编码
     */
    private String taskCode;

    /**
     * 周期
     */
    private String periodTime;

    /**
     * 剩余时间
     */
    private String remainTime;

    /**
     * 负责人
     */
    private String headName;

    /**
     * 系统
     */
    private String systemName;

    /**
     * 任务内容
     */
    private String contents;

    /**
     * 备注
     */
    private String remark;

    private String status;

    /**
     * 删除标识（1删除 0未删除）
     */
    @Column(isLogicDelete = true)
    private Integer delFlag;


}
