package org.eco.als.domain;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.common.orm.core.domain.BaseEntity;

import java.io.Serial;

/**
 * 部件对象 als_spare_parts_t
 *
 * @author wgk
 * @date 2024-07-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table(value = "als_spare_parts_t")
public class SpareParts extends BaseEntity {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @Id
    private Long id;

    /**
     * 部件名称
     */
    private String name;

    /**
     * 型号
     */
    private String model;

    /**
     * 所属系统
     */
    private String systemName;

    /**
     * 制造厂
     */
    private String factory;

    /**
     * 数量
     */
    private Integer quantity;

    /**
     * 状态
     */
    private String status;

    /**
     * 删除标识（1删除 0未删除）
     */
    @Column(isLogicDelete = true)
    private Integer delFlag;


}
