package org.eco.als.domain;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.common.orm.core.domain.BaseEntity;

import java.io.Serial;

/**
 * 任务管理对象 als_task_t
 *
 * @author wgk
 * @date 2024-08-07
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table(value = "als_task_t")
public class Task extends BaseEntity {

    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 任务编号
     */
    @Id
    private Long id;

    /**
     * 任务名称
     */
    private String name;

    /**
     * 数据源
     */
    private String source;

    /**
     * 架次号
     */
    private Long sortieNo;

    /**
     * 机号
     */
    private String aircraftId;

    /**
     * 数据编号
     */
    private Long dataId;

    /**
     * 预处理编号
     */
    private Long preId;

    /**
     * 虚警编号
     */
    private Long falseAlarmId;

    /**
     * 故障诊断编号
     */
    private Long faultId;

    /**
     * 决策编号
     */
    private Long decisionId;

    /**
     * 状态（1正常）
     */
    private String status;

    /**
     * 删除标识（1删除 0未删除）
     */
    @Column(isLogicDelete = true)
    private Integer delFlag;
}
