package org.eco.als.domain;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import org.eco.common.orm.core.domain.BaseEntity;

/**
 * 警告结果对象 als_warning_result_t
 *
 * @author wgk
 * @date 2025-02-27
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table(value = "als_warning_result_t")
public class WarningResult extends BaseEntity {
@Serial
private static final long serialVersionUID = 1L;

    /** 编号 */
    @Id
    private Long id;

    /** 架次号 */
    private String sortieNo;

    /** 机号 */
    private String aircraftId;

    /** 警告代码 */
    private String code;

    /** 警告名称 */
    private String name;

    /** hmc */
    private String hmc;

    /** 警告描述 */
    private String describe;

    /** 状态（1正常） */
    private String status;

    /** 结果内容 */
    private String resultContent;

    /** 属性1 */
    private String attribute1;

    /** 属性2 */
    private String attribute2;

    /** 属性3 */
    private String attribute3;

    /** 属性4 */
    private String attribute4;

    /** 属性5 */
    private String attribute5;

    /** 删除标识（1删除 0未删除） */
    @Column(isLogicDelete = true)
    private Integer delFlag;


}
