package org.eco.als.domain.bo;

import org.eco.als.domain.AirConfiguration;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;
import org.eco.common.orm.core.domain.TreeEntity;

/**
 * 飞机构型业务对象 als_air_configuration_t
 *
 * @author wgk
 * @date 2024-11-13
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = AirConfiguration.class, reverseConvertGenerate = false)
public class AirConfigurationBo extends TreeEntity {
    /**
     * 唯一ID
     */
    private Long id;

    /**
     * 机型
     */
    @NotBlank(message = "机型不能为空")
    private String aircraftType;

    /**
     * 构型编码
     */
    @NotBlank(message = "构型编码不能为空")
    private String conCode;

    /**
     * 产品名称
     */
    @NotBlank(message = "产品名称不能为空")
    private String name;

    /**
     * 规格型号
     */
    @NotBlank(message = "规格型号不能为空")
    private String specsModel;

    /**
     * 图号
     */
    private String drawingNumber;

    /**
     * 供应商
     */
    private String supplier;

    /**
     * 描述
     */
    private String remarks;


}
