package org.eco.als.domain.bo;

import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.common.orm.core.domain.BaseEntity;

import java.util.List;

/**
 * 模型信息业务对象 als_model_t
 *
 * @author wgk
 * @date 2024-07-22
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class AlgorithmBo extends BaseEntity {
    /**
     * 模型Id
     */
    private Long modelId;

    /**
     * 数据Id
     */
    private Long dataId;

    /**
     * 数据Id
     */
    private Long ossId;
    /**
     * 数据Id集合
     */
    private Long[] ossIds;

    /**
     * 机号Id
     */
    private String aircraftId;
    /**
     * 机型
     */
    private String aircraftType;

    /**
     * 架次号
     */
    private String sortieNo;

    /**
     * 参数
     */
    private String param;

    /**
     * 部件Id
     */
    private String partId;

    /**
     * 数据列
     */
    private String[] columnData;

    /**
     * 警告列表
     */
    private Long[] warningIds;

    /**
     * 算法批量任务
     */
    private List<AlgorithmBo> algorithmList;
}
