package org.eco.als.domain.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.github.linpeilie.annotations.AutoMapper;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.als.domain.DataImport;
import org.eco.common.orm.core.domain.BaseEntity;

import java.util.Date;

/**
 * 数据导入信息业务对象 als_data_import_t
 *
 * @author wgk
 * @date 2024-07-22
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = DataImport.class, reverseConvertGenerate = false)
public class DataImportBo extends BaseEntity {
    /**
     * 唯一编号
     */
    private Long id;

    /**
     * 文件编号
     */
    private Long ossId;

    /**
     * 数据源
     */
    @NotBlank(message = "数据源不能为空")
    private String source;

    /**
     * 架次号
     */
    @NotBlank(message = "架次号不能为空")
    private String sortieNo;

    /**
     * 机号Id
     */
    @NotNull(message = "机号不能为空")
    private String aircraftId;

    /**
     * 飞行日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date flightDate;

    /**
     * 状态（1正常）
     */
    private String status;


}
