package org.eco.als.domain.bo;

import jakarta.validation.Valid;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;

import java.util.List;

@Data
public class ExtraKGraphTaskBo {

    /**
     * 任务id
     */
    @NotNull(message = "任务id不能为空")
    private Long taskId;

    /**
     * 任务类型
     */
    @NotBlank(message = "任务类型不能为空")
    private String taskType;

    /**
     * 实体关系记录
     */
    @Valid
    private List<KGraphEntityBo> graphEntityList;

    /**
     * 分句记录
     */
    @Valid
    private List<KGraphClauseBo> graphClauseList;
}
