package org.eco.als.domain.bo;

import io.github.linpeilie.annotations.AutoMapper;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.als.domain.FalseAlarmResult;
import org.eco.common.orm.core.domain.BaseEntity;

/**
 * 虚警抑制结果业务对象 als_false_alarm_result_t
 *
 * @author wgk
 * @date 2024-07-23
 */
@Builder
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = FalseAlarmResult.class, reverseConvertGenerate = false)
public class FalseAlarmResultBo extends BaseEntity {
    /**
     * 编号
     */
    private Long id;

    /**
     * 虚警抑制Id
     */
    @NotNull(message = "虚警抑制Id不能为空")
    private Long falseAlarmId;

    /**
     * 架次号
     */
    @NotBlank(message = "架次号不能为空")
    private String sortieNo;

    /**
     * 机号Id
     */
    @NotNull(message = "机号不能为空")
    private String aircraftId;

    /**
     * 警告代码
     */
    @NotBlank(message = "警告代码不能为空")
    private String code;

    /**
     * 警告名称
     */
    @NotBlank(message = "警告名称不能为空")
    private String name;

    /**
     * 警告描述
     */
    @NotBlank(message = "警告描述不能为空")
    private String describe;

    /**
     * 状态
     */
    private String status;


}
