package org.eco.als.domain.bo;

import org.eco.als.domain.FaultConsumable;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;
import org.eco.common.orm.core.domain.BaseEntity;

/**
 * 故障所需耗材业务对象 als_fault_consumable_t
 *
 * @author wgk
 * @date 2024-10-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = FaultConsumable.class, reverseConvertGenerate = false)
public class FaultConsumableBo extends BaseEntity {
    /**
     * 编号
     */
    private Long id;

    /**
     * 耗材名称
     */
    private String consumableName;

    /**
     * 数量
     */
    private Integer quantity;

    /**
     * 用途
     */
    private String purpose;

    /**
     * 备注
     */
    private String remarks;


}
