package org.eco.als.domain.bo;

import io.github.linpeilie.annotations.AutoMapper;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.als.domain.FaultDiagnosisResult;
import org.eco.common.orm.core.domain.BaseEntity;

/**
 * 故障诊断结果业务对象 als_fault_diagnosis_result_t
 *
 * @author wgk
 * @date 2024-11-25
 */
@Builder
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = FaultDiagnosisResult.class, reverseConvertGenerate = false)
public class FaultDiagnosisResultBo extends BaseEntity {
    /**
     * 编号
     */
    private Long id;

    /**
     * 故障诊断编号
     */
    private Long diagnosisId;

    /**
     * 架次号
     */
    private String sortieNo;

    /**
     * 机号
     */
    private String aircraftId;

    /**
     * 模型类型
     */
    private String modelType;

    /**
     * 参数
     */
    private String param;

    /**
     * 数据列
     */
    private String columnData;

    /**
     * 文件Id
     */
    private Long ossId;

    /**
     * 结果
     */
    private String resultContent;

    /**
     * 状态（1正常）
     */
    private String status;

    /**
     * 备注
     */
    private String remarks;


}
