package org.eco.als.domain.bo;

import io.github.linpeilie.annotations.AutoMapper;
import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.als.domain.JudgeFaultLogic;
import org.eco.common.orm.core.domain.BaseEntity;

/**
 * 判故逻辑业务对象 als_judge_fault_logic_t
 *
 * @author wgk
 * @date 2024-12-11
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = JudgeFaultLogic.class, reverseConvertGenerate = false)
public class JudgeFaultLogicBo extends BaseEntity{
    /**
     * 编号
     */
//    @NotNull(message = "编号不能为空")
    private Long id;

    /**
     * 机型
     */
    @NotBlank(message = "机型不能为空")
    private String model;

    /**
     * HMC码
     */
    @NotBlank(message = "HMC码不能为空")
    private String hmcCode;

    /**
     * 查询关键字
     */
    private String keyWord;

    /**
     * 系统ID
     */
    private String sysId;

    /**
     * 系统名称
     */
    private String sysName;

    /**
     * 判据名称
     */
    @NotBlank(message = "判据名称不能为空")
    private String name;

    /**
     * 参数名称ID
     */
    private String nameId;

    /**
     * 判据公式
     */
    @NotBlank(message = "判据公式不能为空")
    private String remarks;

    /**
     * 属性1
     */
    private String attribute1;

    /**
     * 属性2
     */
    private String attribute2;

    /**
     * 属性3
     */
    private String attribute3;

    /**
     * 属性4
     */
    private String attribute4;

    /**
     * 属性5
     */
    private String attribute5;


}
