package org.eco.als.domain.bo;

import org.eco.als.domain.KGraphClause;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;
import org.eco.common.orm.core.domain.BaseEntity;

/**
 * 知识图谱分句结果业务对象 als_k_graph_clause_t
 *
 * @author wgk
 * @date 2025-01-03
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = KGraphClause.class, reverseConvertGenerate = false)
public class KGraphClauseBo extends BaseEntity{
    /**
     * 唯一ID
     */
    private Long id;

    /**
     * 任务ID
     */
    private Long taskId;

    /**
     * 分句结果文件
     */
    @NotBlank(message = "分句内容不能为空")
    private String clause;

    /**
     * 状态
     */
    private String status;

    /**
     * 备注
     */
    private String remarks;


}
