package org.eco.als.domain.bo;

import io.github.linpeilie.annotations.AutoMapper;
import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.als.domain.KGraphEntity;
import org.eco.common.orm.core.domain.BaseEntity;

/**
 * 知识图谱实体关系业务对象 als_k_graph_entity_t
 *
 * @author wgk
 * @date 2025-01-03
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = KGraphEntity.class, reverseConvertGenerate = false)
public class KGraphEntityBo extends BaseEntity {
    /**
     * 唯一ID
     */
    private Long id;

    /**
     * 分句ID
     */
    private Long clauseId;

    /**
     * 头实体
     */
    @NotBlank(message = "头实体不能为空")
    private String headEntity;

    /**
     * 头实体类
     */
    @NotBlank(message = "头实体类不能为空")
    private String headEntityClass;

    /**
     * 关系
     */
    @NotBlank(message = "关系不能为空")
    private String relation;

    /**
     * 尾实体
     */
    private String tailEntity;

    /**
     * 尾实体类
     */
    private String tailEntityClass;

    /**
     * 状态
     */
    private String status;

    /**
     * 备注
     */
    private String remarks;


}
