package org.eco.als.domain.bo;

import io.github.linpeilie.annotations.AutoMapper;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.als.domain.KGraphTask;
import org.eco.common.orm.core.domain.BaseEntity;

/**
 * 知识图谱任务业务对象 als_k_graph_task_t
 *
 * @author wgk
 * @date 2025-01-03
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = KGraphTask.class, reverseConvertGenerate = false)
public class KGraphTaskBo extends BaseEntity {
    /**
     * 唯一ID
     */
    private Long id;

    /**
     * 任务名称
     */
    @NotBlank(message = "任务名称不能为空")
    private String taskName;

    /**
     * 任务类型
     */
    private String taskType;

    /**
     * 原始文件
     */
    @NotNull(message = "文件Id不能为空")
    private Long ossId;

    /**
     * 状态
     */
    private String status;

    /**
     * 备注
     */
    private String remarks;


}
