package org.eco.als.domain.bo;

import io.github.linpeilie.annotations.AutoMapper;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.als.domain.LifePrediction;
import org.eco.common.orm.core.domain.BaseEntity;

/**
 * 寿命预测业务对象 als_life_prediction_t
 *
 * @author wgk
 * @date 2024-07-26
 */
@Builder
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = LifePrediction.class, reverseConvertGenerate = false)
public class LifePredictionBo extends BaseEntity {
    /**
     * 编号
     */
    private Long id;

    /**
     * 机号Id
     */
    private String aircraftId;

    /**
     * 机型
     */
    private String aircraftType;

    /**
     * 编码
     */
    private String code;

    /**
     * 部件名称
     */
    private String name;

    /**
     * 型号
     */
    private String model;

    /**
     * 处理方式
     */
    private String methodType;
    /**
     * 状态
     */
    private String status;

    /**
     * 结果
     */
    private String resultContent;


}
