package org.eco.als.domain.bo;

import org.eco.als.domain.Maintenance;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.eco.common.orm.core.domain.BaseEntity;

/**
 * 维修信息业务对象 als_maintenance_t
 *
 * @author wgk
 * @date 2024-10-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = Maintenance.class, reverseConvertGenerate = false)
public class MaintenanceBo extends BaseEntity {
    /**
     * 编号
     */
    private Long id;

    /**
     * 飞机编码
     */
    private String aircraftCode;

    /**
     * 故障代码
     */
    private String faultCode;

    /**
     * 故障名称
     */
    private String faultName;

    /**
     * 故障位置
     */
    private String location;

    /**
     * 故障等级
     */
    private String level;

    /**
     * 故障发生时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date faultDate;

    /**
     * 故障现象
     */
    private String symptoms;

    /**
     * 故障原因
     */
    private String faultCause;

    /**
     * 维修结果
     */
    private String status;

    /**
     * 维修负责人
     */
    private String supervisor;

    /**
     * 维修时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date maintenanceTime;

    /**
     * 换件前器材编码
     */
    private String beforeEquipmentCode;

    /**
     * 换件前器材名称
     */
    private String beforeEquipmentName;

    /**
     * 换件前规格型号
     */
    private String beforeModelNumber;

    /**
     * 换件后器材编码
     */
    private String afterEquipmentCode;

    /**
     * 换件后器材名称
     */
    private String afterEquipmentName;

    /**
     * 换件后规格型号
     */
    private String afterModelNumber;

    /**
     * 更换数量
     */
    private String quantity;

    /**
     * 备注
     */
    private String remarks;


}
