package org.eco.als.domain.bo;

import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.als.domain.MaintenanceDecision;
import org.eco.common.orm.core.domain.BaseEntity;

/**
 * 辅助维修决策业务对象 als_maintenance_decision_t
 *
 * @author wgk
 * @date 2024-07-24
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = MaintenanceDecision.class, reverseConvertGenerate = false)
public class MaintenanceDecisionBo extends BaseEntity {
    /**
     * 编号
     */
    private Long id;

    /**
     * 架次号
     */
    private String sortieNo;

    /**
     * 机号Id
     */
    private String aircraftId;

    /**
     * 故障代码
     */
    private String code;

    /**
     * 系统
     */
    private String systemName;

    /**
     * 单位
     */
    private String unitName;

    /**
     * 故障部件
     */
    private String faultPart;

    /**
     * 维修建议
     */
    private String proposal;

    /**
     * 状态（1正常）
     */
    private String status;


}
