package org.eco.als.domain.bo;

import org.eco.als.domain.MaintenanceTask;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.eco.common.orm.core.domain.BaseEntity;

/**
 * 维修信息业务对象 als_maintenance_task_t
 *
 * @author wgk
 * @date 2024-11-14
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = MaintenanceTask.class, reverseConvertGenerate = false)
public class MaintenanceTaskBo extends BaseEntity {
    /**
     * 编号
     */
    private Long id;

    /**
     * 来源ID
     */
    private Long taskId;

    /**
     * 飞机编码
     */
    private String aircraftCode;
    private List<String> aircraftCodes;

    /**
     * 飞机机型
     */
    private String aircraftType;
    private List<String> aircraftTypes;

    /**
     * 数据来源
     */
    private String dataType;

    /**
     * 故障代码
     */
    private String faultCode;

    /**
     * 故障名称
     */
    private String faultName;

    /**
     * 故障位置
     */
    private String location;

    /**
     * 故障等级
     */
    private String level;

    /**
     * 故障发生时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date faultDate;

    /**
     * 故障描述
     */
    private String faultDescription;

    /**
     * 故障现象
     */
    private String symptoms;

    /**
     * 故障原因
     */
    private String faultCause;

    /**
     * 任务状态
     */
    private String status;

    /**
     * 备注
     */
    private String remarks;


}
