package org.eco.als.domain.bo;

import io.github.linpeilie.annotations.AutoMapper;
import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.als.domain.Model;
import org.eco.common.orm.core.domain.BaseEntity;

/**
 * 模型信息业务对象 als_model_t
 *
 * @author wgk
 * @date 2024-07-22
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = Model.class, reverseConvertGenerate = false)
public class ModelBo extends BaseEntity {
    /**
     * 编号
     */
    private Long id;

    /**
     * 模型名称
     */
    @NotBlank(message = "模型名称不能为空")
    private String name;

    /**
     * 模型类型
     */
    @NotBlank(message = "模型类型不能为空")
    private String type;

    /**
     * 模型链接
     */
    @NotBlank(message = "模型链接不能为空")
    private String url;

    /**
     * 参数
     */
    private String param;

    /**
     * 部件Id
     */
    private String partId;
    /**
     * 参数特征
     */
    private String paramType;
    /**
     * 机型
     */
    private String aircraftType;

    /**
     * 数据列
     */
    @NotBlank(message = "数据列不能为空")
    private String columnData;

    /**
     * 状态
     */
    private String status;

    /**
     * 备注
     */
    private String remark;


}
