package org.eco.als.domain.bo;

import org.eco.als.domain.PartReplacement;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.common.orm.core.domain.BaseEntity;

/**
 * 换件记录业务对象 als_part_replacement_t
 *
 * @author wgk
 * @date 2024-10-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = PartReplacement.class, reverseConvertGenerate = false)
public class PartReplacementBo extends BaseEntity {
    /**
     * 编号
     */
    private Long id;

    /**
     * 飞机机型
     */
    private String aircraftType;

    /**
     * 飞机编码
     */
    private String aircraftCode;

    /**
     * 换件前器材编码
     */
    private String beforeEquipmentCode;

    /**
     * 换件前器材名称
     */
    private String beforeEquipmentName;

    /**
     * 换件前规格型号
     */
    private String beforeModelNumber;

    /**
     * 换件后器材编码
     */
    private String afterEquipmentCode;

    /**
     * 换件后器材名称
     */
    private String afterEquipmentName;

    /**
     * 换件后规格型号
     */
    private String afterModelNumber;

    /**
     * 更换数量
     */
    private String quantity;

    /**
     * 备注
     */
    private String remarks;


}
