package org.eco.als.domain.bo;

import io.github.linpeilie.annotations.AutoMapper;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.eco.als.domain.PreProcessing;
import org.eco.common.orm.core.domain.BaseEntity;

/**
 * 预处理业务对象 als_pre_processing_t
 *
 * @author wgk
 * @date 2024-07-22
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@AutoMapper(target = PreProcessing.class, reverseConvertGenerate = false)
@Builder
public class PreProcessingBo extends BaseEntity {
    /**
     * 编号
     */
    private Long id;

    /**
     * 架次号
     */
    @NotBlank(message = "架次号不能为空")
    private String sortieNo;

    /**
     * 机号Id
     */
    @NotNull(message = "机号不能为空")
    private String aircraftId;

    /**
     * 模型类型
     */
    @NotBlank(message = "模型类型不能为空")
    private String modelType;

    /**
     * 参数
     */
    @NotBlank(message = "参数不能为空")
    private String param;

    /**
     * 数据列
     */
    @NotBlank(message = "数据列不能为空")
    private String columnData;

    /**
     * 文件Id
     */
    private Long ossId;

    /**
     * 结果
     */
    private Long result;

    /**
     * 状态
     */
    private String status;
}
