package org.eco.als.domain.bo;

import io.github.linpeilie.annotations.AutoMapper;
import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.als.domain.Product;
import org.eco.common.orm.core.domain.TreeEntity;

/**
 * 产品树业务对象 als_product_t
 *
 * @author wgk
 * @date 2024-07-18
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = Product.class, reverseConvertGenerate = false)
public class ProductBo extends TreeEntity {
    /**
     * 编号
     */
    private Long id;

    /**
     * SNS编号
     */
    @NotBlank(message = "SNS编号不能为空")
    private String snsCode;

    /**
     * 产品名称
     */
    @NotBlank(message = "产品名称不能为空")
    private String name;


}
