package org.eco.als.domain.bo;

import org.eco.als.domain.ResourceAllocation;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;
import org.eco.common.orm.core.domain.BaseEntity;

/**
 * 维修任务资源分配业务对象 als_resource_allocation_t
 *
 * @author wgk
 * @date 2024-11-14
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = ResourceAllocation.class, reverseConvertGenerate = false)
public class ResourceAllocationBo extends BaseEntity {
    /**
     * 编号
     */
    private Long id;

    /**
     * 任务Id
     */
    private Long taskId;

    /**
     * 设备编号
     */
    private String deviceCode;

    /**
     * 设备名称
     */
    private String deviceName;

    /**
     * 类型
     */
    private String type;

    /**
     * 规格型号
     */
    private String modelNumber;

    /**
     * 数量
     */
    private Integer quantity;

    /**
     * 用途
     */
    private String purpose;

    /**
     * 备注
     */
    private String remarks;


}
