package org.eco.als.domain.bo;

import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.als.domain.SmTask;
import org.eco.common.orm.core.domain.BaseEntity;

import java.util.List;

/**
 * 定检任务业务对象 als_sm_task_t
 *
 * @author wgk
 * @date 2024-11-20
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = SmTask.class, reverseConvertGenerate = false)
public class SmTaskBo extends BaseEntity {
    /**
     * 编号
     */
    private Long id;

    /**
     * 机号
     */
    private String aircraftId;

    /**
     * 机号S
     */
    private List<String> aircraftIds;

    /**
     * 机型
     */
    private String aircraftModel;
    /**
     * 机型S
     */
    private List<String> aircraftModels;

    /**
     * 任务名称
     */
    private String name;

    /**
     * 专业
     */
    private String specialty;

    /**
     * 任务编码
     */
    private String taskCode;

    /**
     * 周期
     */
    private String periodTime;

    /**
     * 剩余时间
     */
    private String remainTime;

    /**
     * 负责人
     */
    private String headName;

    /**
     * 系统
     */
    private String systemName;

    /**
     * 任务内容
     */
    private String contents;

    /**
     * 任务状态
     */
    private String status;

    /**
     * 备注
     */
    private String remark;


}
