package org.eco.als.domain.bo;

import io.github.linpeilie.annotations.AutoMapper;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.als.domain.SpareParts;
import org.eco.common.orm.core.domain.BaseEntity;

/**
 * 部件业务对象 als_spare_parts_t
 *
 * @author wgk
 * @date 2024-07-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = SpareParts.class, reverseConvertGenerate = false)
public class SparePartsBo extends BaseEntity {
    /**
     * 编号
     */
    private Long id;

    /**
     * 部件名称
     */
    @NotBlank(message = "部件名称不能为空")
    private String name;

    /**
     * 型号
     */
    @NotBlank(message = "型号不能为空")
    private String model;

    /**
     * 所属系统
     */
    @NotBlank(message = "所属系统不能为空")
    private String systemName;

    /**
     * 制造厂
     */
    @NotBlank(message = "制造厂不能为空")
    private String factory;

    /**
     * 数量
     */
    @NotNull(message = "数量不能为空")
    private Integer quantity;


}
