package org.eco.als.domain.bo;

import io.github.linpeilie.annotations.AutoMapper;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.als.domain.Task;
import org.eco.common.orm.core.domain.BaseEntity;

import java.util.List;

/**
 * 任务管理业务对象 als_task_t
 *
 * @author wgk
 * @date 2024-08-07
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = Task.class, reverseConvertGenerate = false)
public class TaskBo extends BaseEntity {
    /**
     * 任务编号
     */
    private Long id;

    /**
     * 任务名称
     */
    @NotBlank(message = "任务名称不能为空")
    private String name;

    /**
     * 数据源
     */
    private String source;

    /**
     * 架次号
     */
    private Long sortieNo;

    /**
     * 机号Id
     */
    @NotNull(message = "机号不能为空")
    private String aircraftId;

    /**
     * 数据编号
     */
    private Long dataId;

    /**
     * 预处理编号
     */
    private Long preId;

    /**
     * 虚警编号
     */
    private Long falseAlarmId;

    /**
     * 故障诊断编号
     */
    private Long faultId;

    /**
     * 决策编号
     */
    private Long decisionId;

    /**
     * 步骤号
     */
    private Long stepNumber;

    /**
     * 算法信息
     */
    private List<AlgorithmBo> algorithmList;


}
