package org.eco.als.domain.bo;

import io.github.linpeilie.annotations.AutoMapper;
import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.als.domain.Warning;
import org.eco.common.orm.core.domain.BaseEntity;

/**
 * 警告信息业务对象 als_warning_t
 *
 * @author wgk
 * @date 2024-07-22
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = Warning.class, reverseConvertGenerate = false)
public class WarningBo extends BaseEntity {
    /**
     * 编号
     */
    private Long id;

    /**
     * 架次号
     */
    @NotBlank(message = "架次号不能为空")
    private String sortieNo;

    /**
     * 机号Id
     */
    private String aircraftId;

    /**
     * 警告代码
     */
    @NotBlank(message = "HMC代码不能为空")
    private String code;

    /**
     * 警告名称
     */
    @NotBlank(message = "名称不能为空")
    private String name;

    /**
     * 警告描述
     */
    private String describe;

    /**
     * 状态
     */
    private String status;


}
