package org.eco.als.domain.bo;

import io.github.linpeilie.annotations.AutoMapper;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.als.domain.WarningResult;
import org.eco.common.orm.core.domain.BaseEntity;

/**
 * 警告结果业务对象 als_warning_result_t
 *
 * @author wgk
 * @date 2025-02-27
 */
@Builder
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = WarningResult.class, reverseConvertGenerate = false)
public class WarningResultBo extends BaseEntity {
    /**
     * 编号
     */
    private Long id;

    /**
     * 架次号
     */
    private String sortieNo;

    /**
     * 机号
     */
    private String aircraftId;

    /**
     * 警告代码
     */
    private String code;

    /**
     * 警告名称
     */
    private String name;

    /**
     * hmc
     */
    private String hmc;

    /**
     * 警告描述
     */
    private String describe;

    /**
     * 状态（1正常）
     */
    private String status;

    /**
     * 结果内容
     */
    private String resultContent;

    /**
     * 属性1
     */
    private String attribute1;

    /**
     * 属性2
     */
    private String attribute2;

    /**
     * 属性3
     */
    private String attribute3;

    /**
     * 属性4
     */
    private String attribute4;

    /**
     * 属性5
     */
    private String attribute5;


}
