package org.eco.als.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.github.linpeilie.annotations.AutoMapper;
import org.eco.common.excel.annotation.ExcelDictFormat;
import org.eco.common.excel.convert.ExcelDictConvert;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

import lombok.NoArgsConstructor;

/**
 * 飞机构型导入视图对象 als_air_configuration_t
 *
 * @author wgk
 * @date 2024-11-13
 */

@Data
@NoArgsConstructor
@ExcelIgnoreUnannotated
@AutoMapper(target = AirConfigurationVo.class, convertGenerate = false)
public class AirConfigurationImportVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 唯一ID
     */
    @ExcelProperty(value = "唯一ID")
    private Long id;

    /**
     * 父Id
     */
    @ExcelProperty(value = "父Id")
    private Long parentId;

    /**
     * 机型
     */
    @ExcelProperty(value = "机型")
    private String aircraftType;

    /**
     * 构型编码
     */
    @ExcelProperty(value = "构型编码")
    private String conCode;

    /**
     * 产品名称
     */
    @ExcelProperty(value = "产品名称")
    private String name;

    /**
     * 规格型号
     */
    @ExcelProperty(value = "规格型号")
    private String specsModel;

    /**
     * 图号
     */
    @ExcelProperty(value = "图号")
    private String drawingNumber;

    /**
     * 供应商
     */
    @ExcelProperty(value = "供应商")
    private String supplier;

    /**
     * 描述
     */
    @ExcelProperty(value = "描述")
    private String remarks;

    /**
     * 删除标识（1删除 0未删除）
     */
    @ExcelProperty(value = "删除标识（1删除 0未删除）")
    private Integer delFlag;


    /**
     * 显示顺序
     */
    @ExcelProperty(value = "显示顺序")
    private Integer orderNum;
}
