package org.eco.als.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serial;
import java.io.Serializable;

/**
 * 装机信息导入视图对象 als_air_install_t
 *
 * @author wgk
 * @date 2024-11-21
 */

@Data
@NoArgsConstructor
@ExcelIgnoreUnannotated
public class AirInstallImportVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;


    /**
     * 飞机编目
     */
    @ExcelProperty(value = "飞机编目")
    private String airId;

    /**
     * 飞机机号
     */
    @ExcelProperty(value = "飞机机号")
    private String airModelId;

    /**
     * 构型Id
     */
    @ExcelProperty(value = "构型Id")
    private String configId;

    /**
     * 器材编码
     */
    @ExcelProperty(value = "器材编码")
    private String devicesEncode;

    /**
     * 器材代码
     */
    @ExcelProperty(value = "器材代码")
    private String devicesCode;

    /**
     * 器材名称
     */
    @ExcelProperty(value = "器材名称")
    private String devicesName;

    /**
     * 规格型号
     */
    @ExcelProperty(value = "规格型号")
    private String specsModel;

    /**
     * 图号
     */
    @ExcelProperty(value = "图号")
    private String drawingNumber;

    /**
     * 所属分类
     */
    @ExcelProperty(value = "所属分类")
    private String category;

    /**
     * 装机数量
     */
    @ExcelProperty(value = "装机数量")
    private String quantity;

    /**
     * 装机时间
     */
    @ExcelProperty(value = "装机时间")
    private String installTime;

    /**
     * 软件版本
     */
    @ExcelProperty(value = "软件版本")
    private String softwareVersion;

    /**
     * 是否可修
     */
    @ExcelProperty(value = "是否可修")
    private String repairable;

    /**
     * 是否成套
     */
    @ExcelProperty(value = "是否成套")
    private String completeSet;

    /**
     * 是否有寿
     */
    @ExcelProperty(value = "是否有寿")
    private String serviceLife;

    /**
     * 额定寿命/小时
     */
    @ExcelProperty(value = "额定寿命/小时")
    private Integer ratedLife;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remarks;

    /**
     * 删除标识（1删除 0未删除）
     */
    @ExcelProperty(value = "删除标识（1删除 0未删除）")
    private Integer delFlag;


}
