package org.eco.als.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.eco.common.mapper.annotation.FieldMapper;
import com.eco.common.mapper.constant.MapperConstant;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.als.domain.AirParamter;
import org.eco.common.orm.core.domain.BaseEntity;

import java.io.Serial;
import java.io.Serializable;

/**
 * 飞机系统参数管理视图对象 als_air_paramter_t
 *
 * @author wgk
 * @date 2025-02-27
 */
@Data
@ExcelIgnoreUnannotated
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = AirParamter.class)
public class AirParamterVo extends BaseEntity implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 唯一ID
     */
    @ExcelProperty(value = "唯一ID")
    private Long id;

    /**
     * 机型
     */
    @ExcelProperty(value = "机型")
    private String aircraftType;

    /**
     * 系统ID
     */
    @ExcelProperty(value = "系统ID")
    private String sysId;

    /**
     * 系统名称
     */
    @ExcelProperty(value = "系统名称")
    private String sysName;

    /**
     * 参数名称
     */
    @ExcelProperty(value = "参数名称")
    private String name;

    /**
     * 参数名称ID
     */
    @ExcelProperty(value = "参数名称ID")
    private String nameId;

    /**
     * 描述
     */
    @ExcelProperty(value = "描述")
    private String remarks;

    /**
     * 属性1
     */
    @ExcelProperty(value = "属性1")
    private String attribute1;

    /**
     * 属性2
     */
    @ExcelProperty(value = "属性2")
    private String attribute2;

    /**
     * 属性3
     */
    @ExcelProperty(value = "属性3")
    private String attribute3;

    /**
     * 属性4
     */
    @ExcelProperty(value = "属性4")
    private String attribute4;

    /**
     * 属性5
     */
    @ExcelProperty(value = "属性5")
    private String attribute5;

    /**
     * 删除标识（1删除 0未删除）
     */
    @ExcelProperty(value = "删除标识（1删除 0未删除）")
    private Integer delFlag;


    /**
     * 创建人名称
     */
    @FieldMapper(type = MapperConstant.USER_ID_TO_NAME, mapper = "createBy")
    private String createByName;

    /**
     * 创建人名称
     */
    @FieldMapper(type = MapperConstant.USER_ID_TO_NAME, mapper = "updateBy")
    private String updateByName;

}
