package org.eco.als.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serial;
import java.io.Serializable;

/**
 * 机型机号导入视图对象 als_aircraft_t
 *
 * @author wgk
 * @date 2024-07-18
 */

@Data
@NoArgsConstructor
@ExcelIgnoreUnannotated
public class AircraftImportVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    private Long id;

    /**
     * 机型Id
     */
    private String parentId;

    /**
     * 机型
     */
    @ExcelProperty(value = "上级名称")
    private String parentName;

    /**
     * 机型/机号
     */
    @ExcelProperty(value = "机型/机号")
    private String name;

    /**
     * 显示顺序
     */
    @ExcelProperty(value = "显示顺序")
    private Integer orderNum;
}
