package org.eco.als.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serial;
import java.io.Serializable;

/**
 * 通讯管理导入视图对象 als_communication_t
 *
 * @author wgk
 * @date 2024-12-17
 */

@Data
@NoArgsConstructor
@ExcelIgnoreUnannotated
public class CommunicationImportVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;


    /**
     * 名称
     */
    @ExcelProperty(value = "名称")
    private String name;

    /**
     * IP地址
     */
    @ExcelProperty(value = "IP地址")
    private String ipAddress;

    /**
     * 网段
     */
    @ExcelProperty(value = "网段")
    private String networkSegment;

    /**
     * 子网掩码
     */
    @ExcelProperty(value = "子网掩码")
    private String subnetMask;

    /**
     * DNS
     */
    @ExcelProperty(value = "DNS")
    private String dns;

    /**
     * 网关
     */
    @ExcelProperty(value = "网关")
    private String gateway;

    /**
     * http
     */
    @ExcelProperty(value = "http")
    private String http;

    /**
     * 端口号
     */
    @ExcelProperty(value = "端口号")
    private String port;

    /**
     * 用户名
     */
    @ExcelProperty(value = "用户名")
    private String userName;

    /**
     * 密码
     */
    @ExcelProperty(value = "密码")
    private String password;

    /**
     * 删除标识（1删除 0未删除）
     */
    @ExcelProperty(value = "删除标识（1删除 0未删除）")
    private Integer delFlag;


}
