package org.eco.als.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serial;
import java.io.Serializable;

/**
 * 通讯录导入视图对象 als_contacts_t
 *
 * @author wgk
 * @date 2024-11-25
 */

@Data
@NoArgsConstructor
@ExcelIgnoreUnannotated
public class ContactsImportVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;


    /**
     * 名称
     */
    @ExcelProperty(value = "名称")
    private String name;

    /**
     * 地址/链接
     */
    @ExcelProperty(value = "地址/链接")
    private String url;

    /**
     * 接口
     */
    @ExcelProperty(value = "接口")
    private String port;

    /**
     * 接口参数
     */
    @ExcelProperty(value = "接口参数")
    private String parameter;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remarks;

    /**
     * 删除标识（1删除 0未删除）
     */
    @ExcelProperty(value = "删除标识（1删除 0未删除）")
    private Integer delFlag;


}
