package org.eco.als.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.als.domain.FalseAlarmResult;
import org.eco.common.excel.annotation.ExcelDictFormat;
import org.eco.common.excel.convert.ExcelDictConvert;
import org.eco.common.orm.core.domain.BaseEntity;

import java.io.Serial;
import java.io.Serializable;

/**
 * 虚警抑制结果视图对象 als_false_alarm_result_t
 *
 * @author wgk
 * @date 2024-07-23
 */
@Data
@ExcelIgnoreUnannotated
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = FalseAlarmResult.class)
public class FalseAlarmResultVo extends BaseEntity implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @ExcelProperty(value = "编号")
    private Long id;

    /**
     * 虚警抑制Id
     */
    @ExcelProperty(value = "虚警抑制Id")
    private Long falseAlarmId;

    /**
     * 架次号
     */
    @ExcelProperty(value = "架次号")
    private String sortieNo;

    /**
     * 机号Id
     */
    private String aircraftId;


    /**
     * 警告代码
     */
    @ExcelProperty(value = "警告代码")
    private String code;

    /**
     * 警告名称
     */
    @ExcelProperty(value = "警告名称")
    private String name;

    /**
     * 警告描述
     */
    @ExcelProperty(value = "警告描述")
    private String describe;

    /**
     * 状态
     */
    @ExcelProperty(value = "状态", converter = ExcelDictConvert.class)
    @ExcelDictFormat(dictType = "common_type")
    private String status;

    /**
     * 删除标识（1删除 0未删除）
     */
    private Integer delFlag;


}
