package org.eco.als.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import org.eco.common.excel.annotation.ExcelDictFormat;
import org.eco.common.excel.convert.ExcelDictConvert;
import lombok.Data;
import java.io.Serial;
import java.io.Serializable;
import lombok.NoArgsConstructor;

/**
 * 故障案例导入视图对象 als_fault_case_t
 *
 * @author wgk
 * @date 2024-12-13
 */

@Data
@NoArgsConstructor
@ExcelIgnoreUnannotated
public class FaultCaseImportVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;


                /** 飞机编号 */
                    @ExcelProperty(value = "飞机编号")
                private String aircraftTypeId;

                /** 机型 */
                    @ExcelProperty(value = "机型")
                private String aircraftTypeName;

                /** 系统编号 */
                    @ExcelProperty(value = "系统编号")
                private String aircraftSystemId;

                /** 系统 */
                    @ExcelProperty(value = "系统")
                private String aircraftSystemName;

                /** 分系统编号 */
                    @ExcelProperty(value = "分系统编号")
                private String aircraftSubsystemId;

                /** 分系统 */
                    @ExcelProperty(value = "分系统")
                private String aircraftSubsystemName;

                /** 作者 */
                    @ExcelProperty(value = "作者")
                private String author;

                /** 故障现象 */
                    @ExcelProperty(value = "故障现象")
                private String faultPhenomenon;

                /** 故障原因 */
                    @ExcelProperty(value = "故障原因")
                private String faultCause;

                /** 故障树 */
                    @ExcelProperty(value = "故障树")
                private String faultTreePath;

                /** 故障图 */
                    @ExcelProperty(value = "故障图")
                private String faultPicturePath;

                /** 排故方法 */
                    @ExcelProperty(value = "排故方法")
                private String troubleshootingMethodPath;

                /** 查看次数 */
                    @ExcelProperty(value = "查看次数")
                private String viewCount;

                /** 排序 */
                    @ExcelProperty(value = "排序")
                private String orderBy;

                /** 删除标识（1删除 0未删除） */
                    @ExcelProperty(value = "删除标识（1删除 0未删除）")
                    private Integer delFlag;


}
