package org.eco.als.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import org.eco.common.excel.annotation.ExcelDictFormat;
import org.eco.common.excel.convert.ExcelDictConvert;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

import lombok.NoArgsConstructor;

/**
 * 故障所需耗材导入视图对象 als_fault_consumable_t
 *
 * @author wgk
 * @date 2024-10-25
 */

@Data
@NoArgsConstructor
@ExcelIgnoreUnannotated
public class FaultConsumableImportVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;


    /**
     * 耗材名称
     */
    @ExcelProperty(value = "耗材名称")
    private String consumableName;

    /**
     * 数量
     */
    @ExcelProperty(value = "数量")
    private Integer quantity;

    /**
     * 用途
     */
    @ExcelProperty(value = "用途")
    private String purpose;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remarks;

    /**
     * 删除标识（1删除 0未删除）
     */
    @ExcelProperty(value = "删除标识（1删除 0未删除）")
    private Integer delFlag;


}
