package org.eco.als.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.als.domain.FaultStatistics;
import org.eco.common.orm.core.domain.BaseEntity;

import java.util.Date;

/**
 * 故障统计业务对象 als_fault_statistics_t
 *
 * @author wgk
 * @date 2024-12-13
 */
@Data
//@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = FaultStatistics.class, reverseConvertGenerate = false)
public class FaultStatisticsWbVo {

    /**
     * 日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date statisticsDate;

    /**
     * 故障件名称
     */
    private String faultyPartsName;

    /**
     * 故障件装本机工作时次
     */
    private String installationTime;

    /**
     * 故障件装机日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date faultyPartsInstallDate;
}
