package org.eco.als.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.eco.common.mapper.annotation.FieldMapper;
import com.eco.common.mapper.constant.MapperConstant;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.als.domain.JudgeFaultLogic;
import org.eco.common.orm.core.domain.BaseEntity;

import java.io.Serial;
import java.io.Serializable;

/**
 * 判故逻辑视图对象 als_judge_fault_logic_t
 *
 * @author wgk
 * @date 2024-12-11
 */
@Data
@ExcelIgnoreUnannotated
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = JudgeFaultLogic.class)
public class JudgeFaultLogicVo extends BaseEntity implements Serializable {

@Serial
private static final long serialVersionUID = 1L;

    /** 编号 */
    @ExcelProperty(value = "编号")
    private Long id;

    /** 机型 */
    @ExcelProperty(value = "机型")
    private String model;

    /** HMC码 */
    @ExcelProperty(value = "HMC码")
    private String hmcCode;


    /** 备注 */
    @ExcelProperty(value = "备注")
    private String remarks;

    /** 删除标识（1删除 0未删除） */
    @ExcelProperty(value = "删除标识（1删除 0未删除）")
    private Integer delFlag;

    /**
     * 系统ID
     */
    @ExcelProperty(value = "系统ID")
    private String sysId;

    /**
     * 系统名称
     */
    @ExcelProperty(value = "系统名称")
    private String sysName;

    /**
     * 参数名称
     */
    @ExcelProperty(value = "参数名称")
    private String name;

    /**
     * 属性1
     */
    private String attribute1;

    /**
     * 属性2
     */
    private String attribute2;

    /**
     * 属性3
     */
    private String attribute3;

    /**
     * 属性4
     */
    private String attribute4;

    /**
     * 属性5
     */
    private String attribute5;

    /**
     * 创建人名称
     */
    @FieldMapper(type = MapperConstant.USER_ID_TO_NAME, mapper = "createBy")
    private String createByName;

    /**
     * 创建人名称
     */
    @FieldMapper(type = MapperConstant.USER_ID_TO_NAME, mapper = "updateBy")
    private String updateByName;

}
