package org.eco.als.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serial;
import java.io.Serializable;

/**
 * 知识图谱分句结果导入视图对象 als_k_graph_clause_t
 *
 * @author wgk
 * @date 2025-01-03
 */

@Data
@NoArgsConstructor
@ExcelIgnoreUnannotated
public class KGraphClauseImportVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;


    /**
     * 任务ID
     */
    @ExcelProperty(value = "任务ID")
    private Long taskId;

    /**
     * 分句结果文件
     */
    @ExcelProperty(value = "分句结果文件")
    private String clause;

    /**
     * 状态
     */
    @ExcelProperty(value = "状态")
    private String status;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remarks;

    /**
     * 删除标识（1删除 0未删除）
     */
    @ExcelProperty(value = "删除标识（1删除 0未删除）")
    private Integer delFlag;


}
