package org.eco.als.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serial;
import java.io.Serializable;

/**
 * 知识图谱实体关系导入视图对象 als_k_graph_entity_t
 *
 * @author wgk
 * @date 2025-01-03
 */

@Data
@NoArgsConstructor
@ExcelIgnoreUnannotated
public class KGraphEntityImportVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;


    /**
     * 分句ID
     */
    @ExcelProperty(value = "分句ID")
    private Long clauseId;

    /**
     * 头实体
     */
    @ExcelProperty(value = "头实体")
    private String headEntity;

    /**
     * 头实体类
     */
    @ExcelProperty(value = "头实体类")
    private String headEntityClass;

    /**
     * 关系
     */
    @ExcelProperty(value = "关系")
    private String relation;

    /**
     * 尾实体
     */
    @ExcelProperty(value = "尾实体")
    private String tailEntity;

    /**
     * 尾实体类
     */
    @ExcelProperty(value = "尾实体类")
    private String tailEntityClass;

    /**
     * 状态
     */
    @ExcelProperty(value = "状态")
    private String status;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remarks;

    /**
     * 删除标识（1删除 0未删除）
     */
    @ExcelProperty(value = "删除标识（1删除 0未删除）")
    private Integer delFlag;


}
