package org.eco.als.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serial;
import java.io.Serializable;

/**
 * 知识图谱任务导入视图对象 als_k_graph_task_t
 *
 * @author wgk
 * @date 2025-01-03
 */

@Data
@NoArgsConstructor
@ExcelIgnoreUnannotated
public class KGraphTaskImportVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;


    /**
     * 任务名称
     */
    @ExcelProperty(value = "任务名称")
    private String taskName;

    /**
     * 任务类型
     */
    @ExcelProperty(value = "任务类型")
    private String taskType;

    /**
     * 原始文件
     */
    @ExcelProperty(value = "原始文件")
    private Long ossId;

    /**
     * 状态
     */
    @ExcelProperty(value = "状态")
    private String status;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remarks;

    /**
     * 删除标识（1删除 0未删除）
     */
    @ExcelProperty(value = "删除标识（1删除 0未删除）")
    private Integer delFlag;


}
