package org.eco.als.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.als.domain.LifePrediction;
import org.eco.common.orm.core.domain.BaseEntity;

import java.io.Serial;
import java.io.Serializable;

/**
 * 寿命预测视图对象 als_life_prediction_t
 *
 * @author wgk
 * @date 2024-07-26
 */
@Data
@ExcelIgnoreUnannotated
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = LifePrediction.class)
public class LifePredictionVo extends BaseEntity implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @ExcelProperty(value = "编号")
    private Long id;

    /**
     * 机号Id
     */
    private String aircraftId;

    /**
     * 机型
     */
    private String aircraftType;
    /**
     * 编号
     */
    @ExcelProperty(value = "部件编号")
    private String code;


    /**
     * 部件名称
     */
    @ExcelProperty(value = "部件名称")
    private String name;

    /**
     * 型号
     */
    @ExcelProperty(value = "型号")
    private String model;


    /**
     * 处理方式
     */
    @ExcelProperty(value = "处理方式")
    private String methodType;

    /**
     * 状态（1正常）
     */
    @ExcelProperty(value = "状态（1正常）")
    private String status;

    /**
     * 结果
     */
    @ExcelProperty(value = "结果")
    private String resultContent;

    /**
     * 删除标识（1删除 0未删除）
     */
    @ExcelProperty(value = "删除标识（1删除 0未删除）")
    private Integer delFlag;


}
