package org.eco.als.domain.vo;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.eco.als.domain.LifetimeSpareParts;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import org.eco.common.excel.annotation.ExcelDictFormat;
import org.eco.common.excel.convert.ExcelDictConvert;
import com.eco.common.mapper.constant.MapperConstant;
import com.eco.common.mapper.annotation.FieldMapper;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.io.Serial;
import java.io.Serializable;
import org.eco.common.orm.core.domain.BaseEntity;

/**
 * 有寿件视图对象 als_lifetime_spare_parts_t
 *
 * @author wgk
 * @date 2024-12-14
 */
@Data
@ExcelIgnoreUnannotated
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = LifetimeSpareParts.class)
public class LifetimeSparePartsVo extends BaseEntity implements Serializable {

@Serial
private static final long serialVersionUID = 1L;

    /** 编号 */
//    @ExcelProperty(value = "编号")
    private Long id;

    /** 飞机机号 */
    @ExcelProperty(value = "机型")
    private String airModelId;

    /** 飞机编目 */
    @ExcelProperty(value = "编目")
    private String airId;

    /** 构型Id */
    @ExcelProperty(value = "构型")
    private String configId;

    /** 部件名称 */
    @ExcelProperty(value = "部件名称")
    private String componentName;

    /** 部件型号 */
    @ExcelProperty(value = "部件型号")
    private String componentModel;

    /** 部件编码 */
    @ExcelProperty(value = "部件编码")
    private String componentNum;

    /** 出厂日期 */
    @ExcelProperty(value = "出厂日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private String factoryDate;

    /** 当前安装飞机 */
    @ExcelProperty(value = "当前安装飞机")
    private String currentInstallAircraft;

    /** 工作时次 */
    @ExcelProperty(value = "工作时次")
    private String workTime;

    /** 额定寿命 */
    @ExcelProperty(value = "额定寿命")
    private String ratedLifetime;

    /** 剩余寿命 */
    @ExcelProperty(value = "剩余寿命")
    private String remainingLifetime;

    /** 备注 */
//    @ExcelProperty(value = "备注")
    private String remarks;

    /** 删除标识（1删除 0未删除） */
//    @ExcelProperty(value = "删除标识（1删除 0未删除）")
    private Integer delFlag;


    /**
     * 创建人名称
     */
//    @FieldMapper(type = MapperConstant.USER_ID_TO_NAME, mapper = "createBy")
    private String createByName;

    /**
     * 创建人名称
     */
//    @FieldMapper(type = MapperConstant.USER_ID_TO_NAME, mapper = "updateBy")
    private String updateByName;

}
