package org.eco.als.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.als.domain.MaintenanceDecision;
import org.eco.common.orm.core.domain.BaseEntity;

import java.io.Serial;
import java.io.Serializable;

/**
 * 辅助维修决策视图对象 als_maintenance_decision_t
 *
 * @author wgk
 * @date 2024-07-24
 */
@Data
@ExcelIgnoreUnannotated
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = MaintenanceDecision.class)
public class MaintenanceDecisionVo extends BaseEntity implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @ExcelProperty(value = "编号")
    private Long id;

    /**
     * 架次号
     */
    @ExcelProperty(value = "架次号")
    private String sortieNo;

    /**
     * 机号Id
     */
    private String aircraftId;


    /**
     * 诊断结果
     */
    @ExcelProperty(value = "诊断结果")
    private Long resultId;

    /**
     * 故障代码
     */
    @ExcelProperty(value = "故障代码")
    private String code;

    /**
     * 系统
     */
    @ExcelProperty(value = "系统")
    private String systemName;

    /**
     * 单位
     */
    @ExcelProperty(value = "单位")
    private String unitName;

    /**
     * 故障部件
     */
    @ExcelProperty(value = "故障部件")
    private String faultPart;

    /**
     * 维修建议
     */
    @ExcelProperty(value = "维修建议")
    private String proposal;

    /**
     * 状态（1正常）
     */
    @ExcelProperty(value = "状态（1正常）")
    private String status;

    /**
     * 删除标识（1删除 0未删除）
     */
    private Integer delFlag;


}
