package org.eco.als.domain.vo;

import java.util.Date;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

import lombok.NoArgsConstructor;

/**
 * 维修信息导入视图对象 als_maintenance_t
 *
 * @author wgk
 * @date 2024-10-25
 */

@Data
@NoArgsConstructor
@ExcelIgnoreUnannotated
public class MaintenanceImportVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;


    /**
     * 飞机编码
     */
    @ExcelProperty(value = "飞机编码")
    private String aircraftCode;

    /**
     * 故障代码
     */
    @ExcelProperty(value = "故障代码")
    private String faultCode;

    /**
     * 故障名称
     */
    @ExcelProperty(value = "故障名称")
    private String faultName;

    /**
     * 故障位置
     */
    @ExcelProperty(value = "故障位置")
    private String location;

    /**
     * 故障等级
     */
    @ExcelProperty(value = "故障等级")
    private String level;

    /**
     * 故障发生时间
     */
    @ExcelProperty(value = "故障发生时间")
    private Date faultDate;

    /**
     * 故障现象
     */
    @ExcelProperty(value = "故障现象")
    private String symptoms;

    /**
     * 故障原因
     */
    @ExcelProperty(value = "故障原因")
    private String faultCause;

    /**
     * 维修结果
     */
    @ExcelProperty(value = "维修结果")
    private String status;

    /**
     * 维修负责人
     */
    @ExcelProperty(value = "维修负责人")
    private String supervisor;

    /**
     * 维修时间
     */
    @ExcelProperty(value = "维修时间")
    private Date maintenanceTime;

    /**
     * 换件前器材编码
     */
    @ExcelProperty(value = "换件前器材编码")
    private String beforeEquipmentCode;

    /**
     * 换件前器材名称
     */
    @ExcelProperty(value = "换件前器材名称")
    private String beforeEquipmentName;

    /**
     * 换件前规格型号
     */
    @ExcelProperty(value = "换件前规格型号")
    private String beforeModelNumber;

    /**
     * 换件后器材编码
     */
    @ExcelProperty(value = "换件后器材编码")
    private String afterEquipmentCode;

    /**
     * 换件后器材名称
     */
    @ExcelProperty(value = "换件后器材名称")
    private String afterEquipmentName;

    /**
     * 换件后规格型号
     */
    @ExcelProperty(value = "换件后规格型号")
    private String afterModelNumber;

    /**
     * 更换数量
     */
    @ExcelProperty(value = "更换数量")
    private String quantity;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remarks;

    /**
     * 删除标识（1删除 0未删除）
     */
    @ExcelProperty(value = "删除标识（1删除 0未删除）")
    private Integer delFlag;


}
