package org.eco.als.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.als.domain.MaintenanceTask;
import org.eco.common.orm.core.domain.BaseEntity;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 维修信息视图对象 als_maintenance_task_t
 *
 * @author wgk
 * @date 2024-11-14
 */
@Data
@ExcelIgnoreUnannotated
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = MaintenanceTask.class)
public class MaintenanceTaskVo extends BaseEntity implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @ExcelProperty(value = "编号")
    private Long id;

    /**
     * 来源ID
     */
    @ExcelProperty(value = "来源ID")
    private Long taskId;

    /**
     * 飞机编码
     */
    @ExcelProperty(value = "飞机编码")
    private String aircraftCode;

    /**
     * 飞机机型
     */
    @ExcelProperty(value = "飞机机型")
    private String aircraftType;

    /**
     * 数据来源
     */
    @ExcelProperty(value = "数据来源")
    private String dataType;

    /**
     * 故障代码
     */
    @ExcelProperty(value = "故障代码")
    private String faultCode;

    /**
     * 故障名称
     */
    @ExcelProperty(value = "故障名称")
    private String faultName;

    /**
     * 故障位置
     */
    @ExcelProperty(value = "故障位置")
    private String location;

    /**
     * 故障等级
     */
    @ExcelProperty(value = "故障等级")
    private String level;

    /**
     * 故障发生时间
     */
    @ExcelProperty(value = "故障发生时间")
    private Date faultDate;

    /**
     * 故障描述
     */
    @ExcelProperty(value = "故障描述")
    private String faultDescription;

    /**
     * 故障现象
     */
    @ExcelProperty(value = "故障现象")
    private String symptoms;

    /**
     * 故障原因
     */
    @ExcelProperty(value = "故障原因")
    private String faultCause;

    /**
     * 任务状态
     */
    @ExcelProperty(value = "任务状态")
    private String status;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remarks;

    /**
     * 删除标识（1删除 0未删除）
     */
    @ExcelProperty(value = "删除标识（1删除 0未删除）")
    private Integer delFlag;


}
