package org.eco.als.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.eco.common.excel.convert.ExcelDictConvert;

import java.io.Serial;
import java.io.Serializable;

/**
 * 模型信息导入视图对象 als_model_t
 *
 * @author wgk
 * @date 2024-07-22
 */

@Data
@NoArgsConstructor
@ExcelIgnoreUnannotated
public class ModelImportVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;


    /**
     * 模型名称
     */
    @ExcelProperty(value = "模型名称")
    private String name;

    /**
     * 模型类型
     */
    @ExcelProperty(value = "模型类型", converter = ExcelDictConvert.class)
    private String type;

    /**
     * 模型链接
     */
    @ExcelProperty(value = "模型链接")
    private String url;

    /**
     * 参数
     */
    @ExcelProperty(value = "参数")
    private String param;

    /**
     * 数据列
     */
    @ExcelProperty(value = "数据列")
    private String columnData;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remark;

    /**
     * 参数特征
     */
    private String paramType;
    /**
     * 机型
     */
    private String aircraftType;
}
