package org.eco.als.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

import lombok.NoArgsConstructor;

/**
 * 换件记录导入视图对象 als_part_replacement_t
 *
 * @author wgk
 * @date 2024-10-25
 */

@Data
@NoArgsConstructor
@ExcelIgnoreUnannotated
public class PartReplacementImportVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 飞机机型
     */
    @ExcelProperty(value = "飞机机型")
    private String aircraftType;

    /**
     * 飞机编码
     */
    @ExcelProperty(value = "飞机编码")
    private String aircraftCode;

    /**
     * 换件前器材编码
     */
    @ExcelProperty(value = "换件前器材编码")
    private String beforeEquipmentCode;

    /**
     * 换件前器材名称
     */
    @ExcelProperty(value = "换件前器材名称")
    private String beforeEquipmentName;

    /**
     * 换件前规格型号
     */
    @ExcelProperty(value = "换件前规格型号")
    private String beforeModelNumber;

    /**
     * 换件后器材编码
     */
    @ExcelProperty(value = "换件后器材编码")
    private String afterEquipmentCode;

    /**
     * 换件后器材名称
     */
    @ExcelProperty(value = "换件后器材名称")
    private String afterEquipmentName;

    /**
     * 换件后规格型号
     */
    @ExcelProperty(value = "换件后规格型号")
    private String afterModelNumber;

    /**
     * 更换数量
     */
    @ExcelProperty(value = "更换数量")
    private String quantity;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remarks;

    /**
     * 删除标识（1删除 0未删除）
     */
    @ExcelProperty(value = "删除标识（1删除 0未删除）")
    private Integer delFlag;


}
