package org.eco.als.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import org.eco.common.excel.annotation.ExcelDictFormat;
import org.eco.common.excel.convert.ExcelDictConvert;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

import lombok.NoArgsConstructor;

/**
 * 维修任务任务派遣导入视图对象 als_personnel_allocation_t
 *
 * @author wgk
 * @date 2024-11-14
 */

@Data
@NoArgsConstructor
@ExcelIgnoreUnannotated
public class PersonnelAllocationImportVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;


    /**
     * 任务Id
     */
    @ExcelProperty(value = "任务Id")
    private Long taskId;

    /**
     * 人员
     */
    @ExcelProperty(value = "人员")
    private String personnel;

    /**
     * 岗位
     */
    @ExcelProperty(value = "岗位")
    private String position;

    /**
     * 数量
     */
    @ExcelProperty(value = "数量")
    private Integer quantity;

    /**
     * 职责
     */
    @ExcelProperty(value = "职责")
    private String duties;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remarks;

    /**
     * 删除标识（1删除 0未删除）
     */
    @ExcelProperty(value = "删除标识（1删除 0未删除）")
    private Integer delFlag;


}
