package org.eco.als.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serial;
import java.io.Serializable;

/**
 * 产品树导入视图对象 als_product_t
 *
 * @author wgk
 * @date 2024-07-19
 */

@Data
@NoArgsConstructor
@ExcelIgnoreUnannotated
public class ProductImportVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    private Long id;

    /**
     * 父id
     */
    private Long parentId;

    /**
     * 机型
     */
    @ExcelProperty(value = "上级名称")
    private String parentName;

    /**
     * SNS编号
     */
    @ExcelProperty(value = "SNS编号")
    private String snsCode;

    /**
     * 产品名称
     */
    @ExcelProperty(value = "产品名称")
    private String name;

    /**
     * 删除标识（1删除 0未删除）
     */
    private Integer delFlag;

    /**
     * 显示顺序
     */
    @ExcelProperty(value = "显示顺序")
    private Integer orderNum;
}
