package org.eco.als.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.als.domain.Product;
import org.eco.common.orm.core.domain.TreeEntity;

import java.io.Serial;
import java.io.Serializable;

/**
 * 产品树视图对象 als_product_t
 *
 * @author wgk
 * @date 2024-07-18
 */
@Data
@ExcelIgnoreUnannotated
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = Product.class)
public class ProductVo extends TreeEntity implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @ExcelProperty(value = "编号")
    private Long id;

    /**
     * SNS编号
     */
    @ExcelProperty(value = "SNS编号")
    private String snsCode;

    /**
     * 产品名称
     */
    @ExcelProperty(value = "产品名称")
    private String name;

    /**
     * 删除标识（1删除 0未删除）
     */
    private Integer delFlag;

}
