package org.eco.als.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serial;
import java.io.Serializable;

/**
 * 问答历史记录导入视图对象 als_qa_history_t
 *
 * @author wgk
 * @date 2024-12-13
 */

@Data
@NoArgsConstructor
@ExcelIgnoreUnannotated
public class QaHistoryImportVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;


    /**
     * 当前用户
     */
    @ExcelProperty(value = "当前用户")
    private String userId;

    /**
     * 问题
     */
    @ExcelProperty(value = "问题")
    private String question;

    /**
     * 回答
     */
    @ExcelProperty(value = "回答")
    private String answer;

    /**
     *图谱相关
     */
    @ExcelProperty(value = "图谱相关")
    private String graph;

    /**
     * 文件ID
     */
    @ExcelProperty(value = "文件ID")
    private Long ossId;

    /**
     * 文件名称
     */
    @ExcelProperty(value = "文件名称")
    private String fileName;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remarks;

    /**
     * 删除标识（1删除 0未删除）
     */
    @ExcelProperty(value = "删除标识（1删除 0未删除）")
    private Integer delFlag;


}
