package org.eco.als.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import org.eco.common.excel.annotation.ExcelDictFormat;
import org.eco.common.excel.convert.ExcelDictConvert;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

import lombok.NoArgsConstructor;

/**
 * 维修任务资源分配导入视图对象 als_resource_allocation_t
 *
 * @author wgk
 * @date 2024-11-14
 */

@Data
@NoArgsConstructor
@ExcelIgnoreUnannotated
public class ResourceAllocationImportVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;


    /**
     * 任务Id
     */
    @ExcelProperty(value = "任务Id")
    private Long taskId;

    /**
     * 设备编号
     */
    @ExcelProperty(value = "设备编号")
    private String deviceCode;

    /**
     * 设备名称
     */
    @ExcelProperty(value = "设备名称")
    private String deviceName;

    /**
     * 类型
     */
    @ExcelProperty(value = "类型")
    private String type;

    /**
     * 规格型号
     */
    @ExcelProperty(value = "规格型号")
    private String modelNumber;

    /**
     * 数量
     */
    @ExcelProperty(value = "数量")
    private Integer quantity;

    /**
     * 用途
     */
    @ExcelProperty(value = "用途")
    private String purpose;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remarks;

    /**
     * 删除标识（1删除 0未删除）
     */
    @ExcelProperty(value = "删除标识（1删除 0未删除）")
    private Integer delFlag;


}
