package org.eco.als.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 故障统计导入视图对象 als_fault_statistics_t
 *
 * @author wgk
 * @date 2024-12-13
 */

@Data
@NoArgsConstructor
@ExcelIgnoreUnannotated
@AutoMapper(target = AirConfigurationVo.class, convertGenerate = false)
public class SmTaskImportVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 机型
     */
    @ExcelProperty(value = "机型")
    private String aircraftModel;

    /**
     * 机号
     */
    @ExcelProperty(value = "编目")
    private String aircraftId;

    /**
     * 任务名称
     */
    @ExcelProperty(value = "检查项名称")
    private String name;

    /**
     * 专业
     */
    @ExcelProperty(value = "专业")
    private String specialty;

    /**
     * 任务编码
     */
    @ExcelProperty(value = "任务编码")
    private String taskCode;

    /**
     * 周期
     */
    @ExcelProperty(value = "周期")
    private String periodTime;

    /**
     * 负责人
     */
    @ExcelProperty(value = "负责人")
    private String headName;

    /**
     * 系统
     */
    @ExcelProperty(value = "系统")
    private String systemName;

    /**
     * 任务内容
     */
    @ExcelProperty(value = "任务内容")
    private String contents;
}
