package org.eco.als.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.als.domain.SmTask;
import org.eco.common.orm.core.domain.BaseEntity;

import java.io.Serial;
import java.io.Serializable;

/**
 * 定检任务视图对象 als_sm_task_t
 *
 * @author wgk
 * @date 2024-11-20
 */
@Data
@ExcelIgnoreUnannotated
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = SmTask.class)
public class SmTaskVo extends BaseEntity implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
//    @ExcelProperty(value = "编号")
    private Long id;

    /**
     * 机型
     */
    @ExcelProperty(value = "机型")
    private String aircraftModel;

    /**
     * 机号
     */
    @ExcelProperty(value = "编目")
    private String aircraftId;

    /**
     * 任务名称
     */
    @ExcelProperty(value = "检查项名称")
    private String name;

    /**
     * 专业
     */
    @ExcelProperty(value = "专业")
    private String specialty;

    /**
     * 任务编码
     */
    @ExcelProperty(value = "任务编码")
    private String taskCode;

    /**
     * 周期
     */
    @ExcelProperty(value = "周期")
    private String periodTime;

    /**
     * 剩余时间
     */
//    @ExcelProperty(value = "剩余时间")
    private String remainTime;

    /**
     * 负责人
     */
    @ExcelProperty(value = "负责人")
    private String headName;

    /**
     * 系统
     */
    @ExcelProperty(value = "系统")
    private String systemName;

    /**
     * 任务内容
     */
    @ExcelProperty(value = "任务内容")
    private String contents;

    /**
     * 备注
     */
//    @ExcelProperty(value = "备注")
    private String remark;

    /**
     * 任务状态
     */
//    @ExcelProperty(value = "任务状态")
    private String status;

    /**
     * 删除标识（1删除 0未删除）
     */
//    @ExcelProperty(value = "删除标识（1删除 0未删除）")
    private Integer delFlag;


}
