package org.eco.als.domain.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 架次导入视图对象 als_sortie_t
 *
 * @author wgk
 * @date 2024-07-18
 */

@Data
@NoArgsConstructor
public class SortieImportVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;


    /**
     * 编号
     */
    @ExcelProperty(value = "编号")
    private Long id;

    /**
     * 架次号
     */
    @ExcelProperty(value = "架次号")
    private String sortieNo;

    /**
     * 机号
     */
    @ExcelProperty(value = "机号")
    private String aircraftNo;

    /**
     * 飞行日期
     */
    @ExcelProperty(value = "飞行日期")
    private Date flightDate;

    /**
     * 开始时间
     */
    @ExcelProperty(value = "开始时间")
    private Date startTime;

    /**
     * 结束时间
     */
    @ExcelProperty(value = "结束时间")
    private String endTime;

    /**
     * 飞行时长
     */
    @ExcelProperty(value = "飞行时长")
    private String duration;

    /**
     * 删除标识（1删除 0未删除）
     */
    @ExcelProperty(value = "删除标识（1删除 0未删除）")
    private Integer delFlag;


}
