package org.eco.als.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serial;
import java.io.Serializable;

/**
 * 部件导入视图对象 als_spare_parts_t
 *
 * @author wgk
 * @date 2024-07-25
 */

@Data
@NoArgsConstructor
@ExcelIgnoreUnannotated
public class SparePartsImportVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;


    /**
     * 部件名称
     */
    @ExcelProperty(value = "部件名称")
    private String name;

    /**
     * 型号
     */
    @ExcelProperty(value = "型号")
    private String model;

    /**
     * 所属系统
     */
    @ExcelProperty(value = "所属系统")
    private String systemName;

    /**
     * 制造厂
     */
    @ExcelProperty(value = "制造厂")
    private String factory;

    /**
     * 数量
     */
    @ExcelProperty(value = "数量")
    private Integer quantity;

    /**
     * 状态
     */
    @ExcelProperty(value = "状态")
    private String status;

    /**
     * 删除标识（1删除 0未删除）
     */
    @ExcelProperty(value = "删除标识（1删除 0未删除）")
    private Integer delFlag;


}
