package org.eco.als.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.eco.common.excel.annotation.ExcelDictFormat;
import org.eco.common.excel.convert.ExcelDictConvert;

import java.io.Serial;
import java.io.Serializable;

/**
 * 警告信息导入视图对象 als_warning_t
 *
 * @author wgk
 * @date 2024-07-22
 */

@Data
@NoArgsConstructor
@ExcelIgnoreUnannotated
public class WarningImportVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 机号
     */
    @ExcelProperty(value = "机号")
    private Integer aircraftNo;

    /**
     * 警告代码
     */
    @ExcelProperty(value = "HMC码")
    private String code;

    /**
     * 警告名称
     */
    @ExcelProperty(value = "警告名称")
    private String name;

    /**
     * 警告描述
     */
    @ExcelProperty(value = "警告描述")
    private String describe;

    /**
     * 状态
     */
    private String status;

    /**
     * 删除标识（1删除 0未删除）
     */
    private Integer delFlag;


}
