package org.eco.als.service;

import org.eco.als.domain.AirParamter;
import org.eco.als.domain.bo.AirParamterBo;
import org.eco.als.domain.vo.AirParamterVo;
import org.eco.common.core.core.page.PageResult;
import org.eco.common.orm.core.service.IBaseService;

import java.util.List;

/**
 * 飞机系统参数管理Service接口
 *
 * @author wgk
 * @date 2025-02-27
 */
public interface IAirParamterService extends IBaseService<AirParamter> {
    /**
     * 查询飞机系统参数管理
     *
     * @param id 飞机系统参数管理主键
     * @return 飞机系统参数管理
     */
    AirParamterVo selectById(Long id);

    /**
     * 查询飞机系统参数管理列表
     *
     * @param airParamterBo 飞机系统参数管理Bo
     * @return 飞机系统参数管理集合
     */
    List<AirParamterVo> selectList(AirParamterBo airParamterBo);

    /**
     * 分页查询飞机系统参数管理列表
     *
     * @param airParamterBo 飞机系统参数管理Bo
     * @return 分页飞机系统参数管理集合
     */
    PageResult<AirParamterVo> selectPage(AirParamterBo airParamterBo);

    /**
     * 新增飞机系统参数管理
     *
     * @param airParamterBo 飞机系统参数管理Bo
     * @return 结果:true 操作成功，false 操作失败
     */
    boolean insert(AirParamterBo airParamterBo);

    /**
     * 新增飞机系统参数管理，前台提供主键值，一般用于导入的场合
     *
     * @param airParamterBo 飞机系统参数管理Bo
     * @return 结果:true 操作成功，false 操作失败
     */
    boolean insertWithPk(AirParamterBo airParamterBo);

    /**
     * 修改飞机系统参数管理
     *
     * @param airParamterBo 飞机系统参数管理Bo
     * @return 结果:true 更新成功，false 更新失败
     */
    boolean update(AirParamterBo airParamterBo);

    /**
     * 批量删除飞机系统参数管理
     *
     * @param ids 需要删除的飞机系统参数管理主键集合
     * @return 结果:true 删除成功，false 删除失败
     */
    boolean deleteByIds(Long[] ids);

}
