package org.eco.system.domain;

import org.eco.common.orm.core.domain.BaseEntity;
import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.ArrayList;
import java.util.List;

/**
 * 部门表 sys_dept
 *
 * @author wgk
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table(value = "sys_dept")
public class SysDept extends BaseEntity {

    /**
     * 部门ID
     */
    @Id
    private Long deptId;

    /**
     * 父部门ID
     */
    private Long parentId;

    /**
     * 祖级列表
     */
    private String ancestors;

    /**
     * 部门名称
     */
    private String deptName;

    /**
     * 显示顺序
     */
    private Integer orderNum;

    /**
     * 负责人
     */
    private String leader;

    /**
     * 联系电话
     */
    private String phone;

    /**
     * 邮箱
     */
    private String email;

    /**
     * 部门状态:1正常,0停用
     */
    private String status;

    /**
     * 删除标志（1代表已删除 0代表存在）
     */
    private Integer delFlag;

    /**
     * 父部门名称
     */
    @Column(ignore = true)
    private String parentName;

    /**
     * 子部门
     */
    private List<SysDept> children = new ArrayList<>();
}
