package org.eco.system.domain;

import org.eco.common.orm.core.domain.BaseEntity;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 通知公告表 sys_notice
 *
 * @author wgk
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table(value = "sys_notice")
public class SysNotice extends BaseEntity {
    /**
     * 公告ID
     */
    @Id
    private Long noticeId;

    /**
     * 公告标题
     */
    private String noticeTitle;

    /**
     * 公告类型（1通知 2公告）
     */
    private String noticeType;

    /**
     * 公告内容
     */
    private String noticeContent;

    /**
     * 公告状态（1正常,0停用）
     */
    private String status;

    /**
     * 备注
     */
    private String remark;
}
