package org.eco.system.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.eco.common.mapper.annotation.FieldMapper;
import com.eco.common.mapper.constant.MapperConstant;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import org.eco.system.domain.ImportExport;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 导入导出日志视图对象 sys_import_export_t
 *
 * @author wgk
 * @date 2024-06-24
 */
@Data
@AutoMapper(target = ImportExport.class)
public class ImportExportVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 唯一编码
     */
    private Long id;

    /**
     * 类型（0导入 1导出）
     */
    private String type;

    /**
     * 状态
     */
    private Long ossId;

    /**
     * 文件名称
     */
    private String name;

    /**
     * 文件url
     */
    private String url;

    /**
     * 日志信息
     */
    private String logInfo;

    /**
     * 状态
     */
    private String status;

    /**
     * 创建人名称
     */
    @FieldMapper(type = MapperConstant.USER_ID_TO_NAME, mapper = "createBy")
    private String createByName;

    /**
     * 上传人
     */
    private Long createBy;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
}
