CREATE TABLE "lqbz"."T_ENV_FACTOR_DETAILS"
(
    "ENV_FACTOR_DETAIL_ID" VARCHAR(50) NOT NULL,
    "ENV_FACTOR_ID" VARCHAR(100) NOT NULL,
    "FACTOR" DOUBLE NULL,
    "AVMAT_CATALOG_CODE" VARCHAR(50) NULL,
    "AVMAT_CATALOG_ID" VARCHAR(64) NOT NULL,
    "IS_DELETED" TINYINT DEFAULT 0
        NULL,
    "CREATE_BY" VARCHAR(50) NULL,
    "CREATE_TIME" TIMESTAMP(0) NULL,
    "UPDATE_BY" VARCHAR(50) NULL,
    "UPDATE_TIME" TIMESTAMP(0) NULL
);
CREATE TABLE "lqbz"."T_FLY_TASK"
(
    "TASK_ID" VARCHAR(64) NOT NULL,
    "TASK_NAME" VARCHAR(50) NULL,
    "TASK_CODE" VARCHAR(50) NULL,
    "TEAM_LEADER" VARCHAR(50) NULL,
    "TASK_TIME" VARCHAR(48) NULL,
    "TASK_DURATION" REAL NULL,
    "ENV_FACTOR_ID" VARCHAR(100) NULL,
    "FLY_INTENSITY" INT NULL,
    "FLYING_SESSION" INT NULL,
    "TASK_TYPE" VARCHAR(50) NULL,
    "CARRYING_AVMAT_NUMBER" INT DEFAULT 0
        NULL,
    "TASK_AIRCRAFT_NUM" INT NULL,
    "TASK_SITE" VARCHAR(200) NULL,
    "TRANSFER_MODALITY" VARCHAR(50) NULL,
    "TASK_DESCRIBE" VARCHAR(255) NULL,
    "RISK_FACTOR" REAL NOT NULL,
    "TASK_STRENGTH" INT NOT NULL,
    "STATUS" BIGINT DEFAULT 1
        NULL,
    "CREATE_USER_ID" INT NULL,
    "CREATE_BY" VARCHAR(50) NULL,
    "CREATE_TIME" TIMESTAMP(0) NULL,
    "UPDATE_BY" VARCHAR(50) NULL,
    "UPDATE_TIME" TIMESTAMP(0) NULL,
    "PARENT_ID" VARCHAR(64) NULL
);
CREATE TABLE "lqbz"."T_FLY_TASK_AIRCRAFT"
(
    "FLY_TASK_AIRCAFT_ID" VARCHAR(64) NOT NULL,
    "TASK_ID" VARCHAR(64) NULL,
    "AIRCAFT_CATALOG_ID" VARCHAR(50) NULL,
    "AIRCAFT_CATALOG_CODE" VARCHAR(50) NULL,
    "PLAN_FLY_DURATION" REAL NULL,
    "CREATE_USER_ID" INT NULL,
    "CREATE_BY" VARCHAR(50) NULL,
    "CREATE_TIME" TIMESTAMP(0) NULL,
    "UPDATE_BY" VARCHAR(50) NULL,
    "UPDATE_TIME" TIMESTAMP(0) NULL
);
CREATE TABLE "lqbz"."T_FLY_TASK_COPY"
(
    "TASK_ID" VARCHAR(64) NOT NULL,
    "TASK_NAME" VARCHAR(50) NULL,
    "TASK_CODE" VARCHAR(50) NULL,
    "TEAM_LEADER" VARCHAR(50) NULL,
    "TASK_TIME" VARCHAR(48) NULL,
    "TASK_DURATION" REAL NULL,
    "ENV_FACTOR_ID" VARCHAR(100) NULL,
    "FLY_INTENSITY" INT NULL,
    "FLYING_SESSION" INT NULL,
    "TASK_TYPE" VARCHAR(50) NULL,
    "CARRYING_AVMAT_NUMBER" INT DEFAULT 0
        NULL,
    "TASK_AIRCRAFT_NUM" INT NULL,
    "TASK_SITE" VARCHAR(200) NULL,
    "TRANSFER_MODALITY" VARCHAR(50) NULL,
    "TASK_DESCRIBE" VARCHAR(255) NULL,
    "RISK_FACTOR" REAL NOT NULL,
    "TASK_STRENGTH" INT NOT NULL,
    "STATUS" BIGINT DEFAULT 1
        NULL,
    "CREATE_USER_ID" INT NULL,
    "CREATE_BY" VARCHAR(50) NULL,
    "CREATE_TIME" TIMESTAMP(0) NULL,
    "UPDATE_BY" VARCHAR(50) NULL,
    "UPDATE_TIME" TIMESTAMP(0) NULL,
    "PARENT_ID" VARCHAR(64) NULL
);
CREATE TABLE "lqbz"."T_OVERYEAR_AVMAT_CONSUME"
(
    "CONSUME_DATA_ID" VARCHAR(64) NOT NULL,
    "YEAR" VARCHAR(20) NULL,
    "AIRCRAFT_NUM" INT NULL,
    "FLY_DURATION" REAL NULL,
    "AFFILIATED_TROOP" VARCHAR(50) NULL,
    "CREATE_BY" VARCHAR(50) NULL,
    "CREATE_TIME" TIMESTAMP(0) NULL,
    "UPDATE_BY" VARCHAR(50) NULL,
    "UPDATE_TIME" TIMESTAMP(0) NULL
);
CREATE TABLE "lqbz"."T_OVERYEAR_OUTBOUND_RECORD"
(
    "OUTBOUND_RECORD_ID" VARCHAR(64) NOT NULL,
    "CONSUME_DATA_ID" VARCHAR(64) NULL,
    "OUTBOUND_NUMBER" VARCHAR(50) NULL,
    "AIRCAFT_CATALOG_CODE" VARCHAR(50) NULL,
    "PAYOFF_PROPERTY" VARCHAR(20) NULL,
    "OUTBOUND_DATE" TIMESTAMP(0) NULL,
    "VOLUME_ORDER" VARCHAR(50) NULL,
    "AVMAT_CATALOG_ID" VARCHAR(50) NULL,
    "MACHINE_NUMBER" VARCHAR(100) NULL,
    "AVMAT_CATALOG_NAME" VARCHAR(200) NULL,
    "SPECIFICATION" VARCHAR(100) NULL,
    "DIAGRAM_NUMBER" VARCHAR(50) NULL,
    "FACTORY_DATE" TIMESTAMP(0) NULL,
    "MANUFACTURER" VARCHAR(50) NULL,
    "PAYOFF_NUM" INT NULL,
    "GUIDE_UNIT" VARCHAR(50) NULL
);
CREATE TABLE "lqbz"."T_OVERYEAR_WAREHOUSING_RECORD"
(
    "WAREHOUSING_RECORD_ID" VARCHAR(64) NOT NULL,
    "CONSUME_DATA_ID" VARCHAR(64) NULL,
    "WAREHOUSING_NUMBER" VARCHAR(50) NULL,
    "WAREHOUSING_PROPERTY" VARCHAR(20) NULL,
    "SUPPLY_UNIT" VARCHAR(50) NULL,
    "VOLUME_ORDER" VARCHAR(50) NULL,
    "AVMAT_CATALOG_ID" VARCHAR(50) NULL,
    "MACHINE_NUMBER" VARCHAR(100) NULL,
    "AVMAT_CATALOG_NAME" VARCHAR(50) NULL,
    "SPECIFICATION" VARCHAR(100) NULL,
    "DIAGRAM_NUMBER" VARCHAR(50) NULL,
    "GRADE" INT NULL,
    "FACTORY_DATE" DATE NULL,
    "MANUFACTURER" VARCHAR(50) NULL,
    "ACTUAL_NUMBER" INT NULL,
    "METERING_UNIT" VARCHAR(20) NULL,
    "WAREHOUSING_UNIT_PRICE" REAL NULL,
    "FREIGHT_POSITION" VARCHAR(20) NULL,
    "WAREHOUSING_DATE" DATE NULL,
    "MOTHBALLED_PERIOD" DATE NULL,
    "CUSTODY_DEADLINE" DATE NULL,
    "APPLY_AIRCAFT_MODEL" VARCHAR(50) NULL,
    "PURPOSE" VARCHAR(100) NULL
);
CREATE TABLE "lqbz"."T_SOCIAL_SECURITY"
(
    "SOCIAL_SECURITY_ID" VARCHAR(32) NOT NULL,
    "GUARANTEE_YEAR" INT NULL,
    "AIRCAFT_NUMBER" DECIMAL(16,0) DEFAULT 0
        NULL,
    "AIRCAFT_DURATION" DECIMAL(16,2) DEFAULT 0.
        NULL,
    "PRICE_FACTOR" DECIMAL(16,2) DEFAULT 0.
        NULL,
    "YEAR_TOTAL_PRICE" DECIMAL(16,6) DEFAULT 0.
        NULL,
    "UNIT_PRICE" DECIMAL(16,6) DEFAULT 0.
        NULL,
    "PER_HOUR_UNIT_PRICE" DECIMAL(16,6) DEFAULT 0.
        NULL,
    "GOOD_RATE" DECIMAL(16,6) DEFAULT 0.
        NULL,
    "CREATE_BY" VARCHAR(50) NULL,
    "CREATE_TIME" TIMESTAMP(0) NULL,
    "UPDATE_BY" VARCHAR(50) NULL,
    "UPDATE_TIME" TIMESTAMP(0) NULL
);
CREATE TABLE "lqbz"."T_SOCIAL_SECURITY_DETAILS"
(
    "SOCIAL_SECURITY_DETAILS_ID" VARCHAR(32) NOT NULL,
    "SOCIAL_SECURITY_ID" VARCHAR(32) NOT NULL,
    "AVMAT_CATALOG_ID" VARCHAR(200) NULL,
    "AVMAT_CATEGORIES_ID" VARCHAR(50) NULL,
    "NEW_PRODUCT_AMOUNT" DECIMAL(16,0) DEFAULT 0
        NULL,
    "NEW_PRODUCT_PRICE" DECIMAL(16,6) DEFAULT 0.
        NULL,
    "NEW_PRODUCT_TOTAL_PRICE" DECIMAL(16,6) DEFAULT 0.
        NULL,
    "REPAIR_ITEMS_AMOUNT" DECIMAL(16,0) DEFAULT 0
        NULL,
    "REPAIR_ITEMS_PRICE" DECIMAL(16,6) DEFAULT 0.
        NULL,
    "REPAIR_ITEMS_TOTAL_PRICE" DECIMAL(16,6) DEFAULT 0.
        NULL,
    "TOTAL_PRICE" DECIMAL(16,6) DEFAULT 0.
        NULL,
    "CREATE_BY" VARCHAR(50) NULL,
    "CREATE_TIME" TIMESTAMP(0) NULL,
    "UPDATE_BY" VARCHAR(50) NULL,
    "UPDATE_TIME" TIMESTAMP(0) NULL
);
CREATE TABLE "lqbz"."T_SUMMARY_DATA"
(
    "SUMMARY_DATA_ID" VARCHAR(64) NOT NULL,
    "CONSUME_DATA_ID" VARCHAR(64) NULL,
    "VOLUME_ORDER" VARCHAR(50) NULL,
    "AVMAT_CATALOG_ID" VARCHAR(64) NULL,
    "AVMAT_CATEGORIES_ID" VARCHAR(64) NULL,
    "NEW_PRODUCT_NUM" INT NULL,
    "REPAIR_ITEMS_NUM" INT NULL,
    "CREATE_BY" VARCHAR(64) NULL,
    "CREATE_TIME" TIMESTAMP(0) NULL,
    "UPDATE_BY" VARCHAR(64) NULL,
    "UPDATE_TIME" TIMESTAMP(0) NULL
);
CREATE TABLE "lqbz"."T_TASK_EXECOND_REGISTER"
(
    "TASK_EXECOND_REGISTER_ID" VARCHAR(64) NOT NULL,
    "TASK_ID" VARCHAR(64) NULL,
    "AIRCAFT_CATALOG_ID" VARCHAR(50) NULL,
    "AIRCAFT_CATALOG_CODE" VARCHAR(50) NULL,
    "FLY_DURATION" INT DEFAULT 0
        NULL,
    "AIRCRAFT_INTACT_NUM" INT DEFAULT 0
        NULL,
    "LACK_MATER_STOP_FLY_NUM" INT DEFAULT 0
        NULL,
    "AIRCRAFT_ACTUAL_NUM" INT DEFAULT 0
        NULL,
    "CREATE_BY" VARCHAR(50) NULL,
    "CREATE_TIME" TIMESTAMP(0) NULL,
    "UPDATE_BY" VARCHAR(50) NULL,
    "UPDATE_TIME" TIMESTAMP(0) NULL
);

ALTER TABLE "lqbz"."T_ENV_FACTOR_DETAILS" ADD CONSTRAINT  PRIMARY KEY("ENV_FACTOR_DETAIL_ID") ;

ALTER TABLE "lqbz"."T_FLY_TASK" ADD CONSTRAINT  PRIMARY KEY("TASK_ID") ;

ALTER TABLE "lqbz"."T_FLY_TASK_AIRCRAFT" ADD CONSTRAINT  PRIMARY KEY("FLY_TASK_AIRCAFT_ID") ;

ALTER TABLE "lqbz"."T_FLY_TASK_COPY" ADD CONSTRAINT  PRIMARY KEY("TASK_ID") ;

ALTER TABLE "lqbz"."T_OVERYEAR_AVMAT_CONSUME" ADD CONSTRAINT  PRIMARY KEY("CONSUME_DATA_ID") ;

ALTER TABLE "lqbz"."T_OVERYEAR_OUTBOUND_RECORD" ADD CONSTRAINT  PRIMARY KEY("OUTBOUND_RECORD_ID") ;

ALTER TABLE "lqbz"."T_OVERYEAR_WAREHOUSING_RECORD" ADD CONSTRAINT  PRIMARY KEY("WAREHOUSING_RECORD_ID") ;

ALTER TABLE "lqbz"."T_SOCIAL_SECURITY" ADD CONSTRAINT  PRIMARY KEY("SOCIAL_SECURITY_ID") ;

ALTER TABLE "lqbz"."T_SOCIAL_SECURITY_DETAILS" ADD CONSTRAINT  PRIMARY KEY("SOCIAL_SECURITY_DETAILS_ID") ;

ALTER TABLE "lqbz"."T_SUMMARY_DATA" ADD CONSTRAINT  PRIMARY KEY("SUMMARY_DATA_ID") ;

ALTER TABLE "lqbz"."T_TASK_EXECOND_REGISTER" ADD CONSTRAINT  PRIMARY KEY("TASK_EXECOND_REGISTER_ID") ;

ALTER TABLE "lqbz"."T_FLY_TASK" ADD CHECK("STATUS" >= 0) ENABLE ;

ALTER TABLE "lqbz"."T_FLY_TASK" ADD CHECK("STATUS" >= 0) ENABLE ;

ALTER TABLE "lqbz"."T_FLY_TASK" ADD CHECK("STATUS" >= 0) ENABLE ;

ALTER TABLE "lqbz"."T_FLY_TASK" ADD CHECK("STATUS" >= 0) ENABLE ;

ALTER TABLE "lqbz"."T_FLY_TASK" ADD CHECK("STATUS" >= 0) ENABLE ;

ALTER TABLE "lqbz"."T_FLY_TASK" ADD CHECK("STATUS" >= 0) ENABLE ;

ALTER TABLE "lqbz"."T_FLY_TASK" ADD CHECK("STATUS" >= 0) ENABLE ;

ALTER TABLE "lqbz"."T_FLY_TASK" ADD CHECK("STATUS" >= 0) ENABLE ;

ALTER TABLE "lqbz"."T_FLY_TASK" ADD CHECK("STATUS" >= 0) ENABLE ;

ALTER TABLE "lqbz"."T_FLY_TASK" ADD CHECK("STATUS" >= 0) ENABLE ;

ALTER TABLE "lqbz"."T_FLY_TASK" ADD CHECK("STATUS" >= 0) ENABLE ;

ALTER TABLE "lqbz"."T_FLY_TASK" ADD CHECK("STATUS" >= 0) ENABLE ;

ALTER TABLE "lqbz"."T_FLY_TASK_COPY" ADD CHECK("STATUS" >= 0) ENABLE ;

ALTER TABLE "lqbz"."T_FLY_TASK_COPY" ADD CHECK("STATUS" >= 0) ENABLE ;

ALTER TABLE "lqbz"."T_FLY_TASK_COPY" ADD CHECK("STATUS" >= 0) ENABLE ;

ALTER TABLE "lqbz"."T_FLY_TASK_COPY" ADD CHECK("STATUS" >= 0) ENABLE ;

ALTER TABLE "lqbz"."T_FLY_TASK_COPY" ADD CHECK("STATUS" >= 0) ENABLE ;

ALTER TABLE "lqbz"."T_FLY_TASK_COPY" ADD CHECK("STATUS" >= 0) ENABLE ;

ALTER TABLE "lqbz"."T_FLY_TASK_COPY" ADD CHECK("STATUS" >= 0) ENABLE ;

ALTER TABLE "lqbz"."T_FLY_TASK_COPY" ADD CHECK("STATUS" >= 0) ENABLE ;

ALTER TABLE "lqbz"."T_FLY_TASK_COPY" ADD CHECK("STATUS" >= 0) ENABLE ;

ALTER TABLE "lqbz"."T_FLY_TASK_COPY" ADD CHECK("STATUS" >= 0) ENABLE ;

ALTER TABLE "lqbz"."T_FLY_TASK_COPY" ADD CHECK("STATUS" >= 0) ENABLE ;

ALTER TABLE "lqbz"."T_FLY_TASK_COPY" ADD CHECK("STATUS" >= 0) ENABLE ;

COMMENT ON TABLE "lqbz"."T_ENV_FACTOR_DETAILS" IS '环境因子适用备件';

COMMENT ON COLUMN "lqbz"."T_ENV_FACTOR_DETAILS"."ENV_FACTOR_DETAIL_ID" IS '明细id';

COMMENT ON COLUMN "lqbz"."T_ENV_FACTOR_DETAILS"."ENV_FACTOR_ID" IS '环境因子id';

COMMENT ON COLUMN "lqbz"."T_ENV_FACTOR_DETAILS"."FACTOR" IS '因子';

COMMENT ON COLUMN "lqbz"."T_ENV_FACTOR_DETAILS"."AVMAT_CATALOG_CODE" IS '航材编号';

COMMENT ON COLUMN "lqbz"."T_ENV_FACTOR_DETAILS"."AVMAT_CATALOG_ID" IS '航材ID';

COMMENT ON COLUMN "lqbz"."T_ENV_FACTOR_DETAILS"."IS_DELETED" IS '逻辑删除字段(0 正常 1已删除)';

COMMENT ON COLUMN "lqbz"."T_ENV_FACTOR_DETAILS"."CREATE_BY" IS '创建者';

COMMENT ON COLUMN "lqbz"."T_ENV_FACTOR_DETAILS"."CREATE_TIME" IS '创建时间';

COMMENT ON COLUMN "lqbz"."T_ENV_FACTOR_DETAILS"."UPDATE_BY" IS '更新者';

COMMENT ON COLUMN "lqbz"."T_ENV_FACTOR_DETAILS"."UPDATE_TIME" IS '更新时间';

COMMENT ON TABLE "lqbz"."T_FLY_TASK" IS '飞行任务';

COMMENT ON COLUMN "lqbz"."T_FLY_TASK"."TASK_ID" IS '任务id';

COMMENT ON COLUMN "lqbz"."T_FLY_TASK"."TASK_NAME" IS '任务名称';

COMMENT ON COLUMN "lqbz"."T_FLY_TASK"."TASK_CODE" IS '任务代号';

COMMENT ON COLUMN "lqbz"."T_FLY_TASK"."TEAM_LEADER" IS '带队领导';

COMMENT ON COLUMN "lqbz"."T_FLY_TASK"."TASK_TIME" IS '任务时间';

COMMENT ON COLUMN "lqbz"."T_FLY_TASK"."TASK_DURATION" IS '任务时长';

COMMENT ON COLUMN "lqbz"."T_FLY_TASK"."ENV_FACTOR_ID" IS '飞行环境';

COMMENT ON COLUMN "lqbz"."T_FLY_TASK"."FLY_INTENSITY" IS '飞行强度';

COMMENT ON COLUMN "lqbz"."T_FLY_TASK"."FLYING_SESSION" IS '飞行场次';

COMMENT ON COLUMN "lqbz"."T_FLY_TASK"."TASK_TYPE" IS '任务类型';

COMMENT ON COLUMN "lqbz"."T_FLY_TASK"."CARRYING_AVMAT_NUMBER" IS '携带航材数量';

COMMENT ON COLUMN "lqbz"."T_FLY_TASK"."TASK_AIRCRAFT_NUM" IS '任务飞机数量';

COMMENT ON COLUMN "lqbz"."T_FLY_TASK"."TASK_SITE" IS '任务地点';

COMMENT ON COLUMN "lqbz"."T_FLY_TASK"."TRANSFER_MODALITY" IS '转场形式';

COMMENT ON COLUMN "lqbz"."T_FLY_TASK"."TASK_DESCRIBE" IS '任务描述';

COMMENT ON COLUMN "lqbz"."T_FLY_TASK"."RISK_FACTOR" IS '危险系数';

COMMENT ON COLUMN "lqbz"."T_FLY_TASK"."TASK_STRENGTH" IS '任务强度';

COMMENT ON COLUMN "lqbz"."T_FLY_TASK"."STATUS" IS '任务状态(0 制定中,1 待提交,2 机务编制中,3 机务确认 ,4 机务待审核,5 航材编制中,6 航材确认中,7 执行情况登记中,8 执行情况待确认,9 携行使用登记中10 已完成)';

COMMENT ON COLUMN "lqbz"."T_FLY_TASK"."CREATE_USER_ID" IS '创建人ID';

COMMENT ON COLUMN "lqbz"."T_FLY_TASK"."CREATE_BY" IS '创建者';

COMMENT ON COLUMN "lqbz"."T_FLY_TASK"."CREATE_TIME" IS '创建时间';

COMMENT ON COLUMN "lqbz"."T_FLY_TASK"."UPDATE_BY" IS '更新者';

COMMENT ON COLUMN "lqbz"."T_FLY_TASK"."UPDATE_TIME" IS '更新时间';

COMMENT ON COLUMN "lqbz"."T_FLY_TASK"."PARENT_ID" IS '父ID';

COMMENT ON TABLE "lqbz"."T_FLY_TASK_AIRCRAFT" IS '飞行任务_任务飞机';

COMMENT ON COLUMN "lqbz"."T_FLY_TASK_AIRCRAFT"."FLY_TASK_AIRCAFT_ID" IS '飞行任务_任务飞机记录ID';

COMMENT ON COLUMN "lqbz"."T_FLY_TASK_AIRCRAFT"."TASK_ID" IS '任务ID';

COMMENT ON COLUMN "lqbz"."T_FLY_TASK_AIRCRAFT"."AIRCAFT_CATALOG_ID" IS '飞机ID';

COMMENT ON COLUMN "lqbz"."T_FLY_TASK_AIRCRAFT"."AIRCAFT_CATALOG_CODE" IS '飞机编码';

COMMENT ON COLUMN "lqbz"."T_FLY_TASK_AIRCRAFT"."PLAN_FLY_DURATION" IS '计划飞行时长';

COMMENT ON COLUMN "lqbz"."T_FLY_TASK_AIRCRAFT"."CREATE_USER_ID" IS '创建人ID';

COMMENT ON COLUMN "lqbz"."T_FLY_TASK_AIRCRAFT"."CREATE_BY" IS '创建者';

COMMENT ON COLUMN "lqbz"."T_FLY_TASK_AIRCRAFT"."CREATE_TIME" IS '创建时间';

COMMENT ON COLUMN "lqbz"."T_FLY_TASK_AIRCRAFT"."UPDATE_BY" IS '更新者';

COMMENT ON COLUMN "lqbz"."T_FLY_TASK_AIRCRAFT"."UPDATE_TIME" IS '更新时间';

COMMENT ON TABLE "lqbz"."T_OVERYEAR_AVMAT_CONSUME" IS '历年航材消耗数据';

COMMENT ON COLUMN "lqbz"."T_OVERYEAR_AVMAT_CONSUME"."CONSUME_DATA_ID" IS '历年航材消耗记录ID';

COMMENT ON COLUMN "lqbz"."T_OVERYEAR_AVMAT_CONSUME"."YEAR" IS '年度';

COMMENT ON COLUMN "lqbz"."T_OVERYEAR_AVMAT_CONSUME"."AIRCRAFT_NUM" IS '飞机数量';

COMMENT ON COLUMN "lqbz"."T_OVERYEAR_AVMAT_CONSUME"."FLY_DURATION" IS '飞行时长(小时)';

COMMENT ON COLUMN "lqbz"."T_OVERYEAR_AVMAT_CONSUME"."AFFILIATED_TROOP" IS '所属部队';

COMMENT ON COLUMN "lqbz"."T_OVERYEAR_AVMAT_CONSUME"."CREATE_BY" IS '创建者';

COMMENT ON COLUMN "lqbz"."T_OVERYEAR_AVMAT_CONSUME"."CREATE_TIME" IS '创建时间';

COMMENT ON COLUMN "lqbz"."T_OVERYEAR_AVMAT_CONSUME"."UPDATE_BY" IS '更新者';

COMMENT ON COLUMN "lqbz"."T_OVERYEAR_AVMAT_CONSUME"."UPDATE_TIME" IS '更新时间';

COMMENT ON TABLE "lqbz"."T_OVERYEAR_OUTBOUND_RECORD" IS '历年航材消耗数据-出库记录';

COMMENT ON COLUMN "lqbz"."T_OVERYEAR_OUTBOUND_RECORD"."OUTBOUND_RECORD_ID" IS '出库记录ID';

COMMENT ON COLUMN "lqbz"."T_OVERYEAR_OUTBOUND_RECORD"."CONSUME_DATA_ID" IS '历年航材消耗记录ID';

COMMENT ON COLUMN "lqbz"."T_OVERYEAR_OUTBOUND_RECORD"."OUTBOUND_NUMBER" IS '出库文号';

COMMENT ON COLUMN "lqbz"."T_OVERYEAR_OUTBOUND_RECORD"."AIRCAFT_CATALOG_CODE" IS '飞机编号';

COMMENT ON COLUMN "lqbz"."T_OVERYEAR_OUTBOUND_RECORD"."PAYOFF_PROPERTY" IS '发付性质';

COMMENT ON COLUMN "lqbz"."T_OVERYEAR_OUTBOUND_RECORD"."OUTBOUND_DATE" IS '出库日期';

COMMENT ON COLUMN "lqbz"."T_OVERYEAR_OUTBOUND_RECORD"."VOLUME_ORDER" IS '册序';

COMMENT ON COLUMN "lqbz"."T_OVERYEAR_OUTBOUND_RECORD"."AVMAT_CATALOG_ID" IS '航材ID';

COMMENT ON COLUMN "lqbz"."T_OVERYEAR_OUTBOUND_RECORD"."MACHINE_NUMBER" IS '机件号';

COMMENT ON COLUMN "lqbz"."T_OVERYEAR_OUTBOUND_RECORD"."AVMAT_CATALOG_NAME" IS '航材名称';

COMMENT ON COLUMN "lqbz"."T_OVERYEAR_OUTBOUND_RECORD"."SPECIFICATION" IS '规格型号';

COMMENT ON COLUMN "lqbz"."T_OVERYEAR_OUTBOUND_RECORD"."DIAGRAM_NUMBER" IS '图号';

COMMENT ON COLUMN "lqbz"."T_OVERYEAR_OUTBOUND_RECORD"."FACTORY_DATE" IS '出厂日期';

COMMENT ON COLUMN "lqbz"."T_OVERYEAR_OUTBOUND_RECORD"."MANUFACTURER" IS '生产厂家';

COMMENT ON COLUMN "lqbz"."T_OVERYEAR_OUTBOUND_RECORD"."PAYOFF_NUM" IS '发付数';

COMMENT ON COLUMN "lqbz"."T_OVERYEAR_OUTBOUND_RECORD"."GUIDE_UNIT" IS '领用单位';

COMMENT ON TABLE "lqbz"."T_OVERYEAR_WAREHOUSING_RECORD" IS '入库记录';

COMMENT ON COLUMN "lqbz"."T_OVERYEAR_WAREHOUSING_RECORD"."WAREHOUSING_RECORD_ID" IS '入库记录ID';

COMMENT ON COLUMN "lqbz"."T_OVERYEAR_WAREHOUSING_RECORD"."CONSUME_DATA_ID" IS '历年航材消耗记录ID';

COMMENT ON COLUMN "lqbz"."T_OVERYEAR_WAREHOUSING_RECORD"."WAREHOUSING_NUMBER" IS '入库文号';

COMMENT ON COLUMN "lqbz"."T_OVERYEAR_WAREHOUSING_RECORD"."WAREHOUSING_PROPERTY" IS '入库性质';

COMMENT ON COLUMN "lqbz"."T_OVERYEAR_WAREHOUSING_RECORD"."SUPPLY_UNIT" IS '供应单位';

COMMENT ON COLUMN "lqbz"."T_OVERYEAR_WAREHOUSING_RECORD"."VOLUME_ORDER" IS '册序号';

COMMENT ON COLUMN "lqbz"."T_OVERYEAR_WAREHOUSING_RECORD"."AVMAT_CATALOG_ID" IS '航材ID';

COMMENT ON COLUMN "lqbz"."T_OVERYEAR_WAREHOUSING_RECORD"."MACHINE_NUMBER" IS '机件号';

COMMENT ON COLUMN "lqbz"."T_OVERYEAR_WAREHOUSING_RECORD"."AVMAT_CATALOG_NAME" IS '航材名称';

COMMENT ON COLUMN "lqbz"."T_OVERYEAR_WAREHOUSING_RECORD"."SPECIFICATION" IS '规格型号';

COMMENT ON COLUMN "lqbz"."T_OVERYEAR_WAREHOUSING_RECORD"."DIAGRAM_NUMBER" IS '图号';

COMMENT ON COLUMN "lqbz"."T_OVERYEAR_WAREHOUSING_RECORD"."GRADE" IS '等级';

COMMENT ON COLUMN "lqbz"."T_OVERYEAR_WAREHOUSING_RECORD"."FACTORY_DATE" IS '出厂日期';

COMMENT ON COLUMN "lqbz"."T_OVERYEAR_WAREHOUSING_RECORD"."MANUFACTURER" IS '生产厂家';

COMMENT ON COLUMN "lqbz"."T_OVERYEAR_WAREHOUSING_RECORD"."ACTUAL_NUMBER" IS '实收数';

COMMENT ON COLUMN "lqbz"."T_OVERYEAR_WAREHOUSING_RECORD"."METERING_UNIT" IS '计量单位';

COMMENT ON COLUMN "lqbz"."T_OVERYEAR_WAREHOUSING_RECORD"."WAREHOUSING_UNIT_PRICE" IS '入库单价';

COMMENT ON COLUMN "lqbz"."T_OVERYEAR_WAREHOUSING_RECORD"."FREIGHT_POSITION" IS '货位';

COMMENT ON COLUMN "lqbz"."T_OVERYEAR_WAREHOUSING_RECORD"."WAREHOUSING_DATE" IS '入库日期';

COMMENT ON COLUMN "lqbz"."T_OVERYEAR_WAREHOUSING_RECORD"."MOTHBALLED_PERIOD" IS '封存截止期';

COMMENT ON COLUMN "lqbz"."T_OVERYEAR_WAREHOUSING_RECORD"."CUSTODY_DEADLINE" IS '保管截止期';

COMMENT ON COLUMN "lqbz"."T_OVERYEAR_WAREHOUSING_RECORD"."APPLY_AIRCAFT_MODEL" IS '适用机型';

COMMENT ON COLUMN "lqbz"."T_OVERYEAR_WAREHOUSING_RECORD"."PURPOSE" IS '用途';

COMMENT ON TABLE "lqbz"."T_SOCIAL_SECURITY" IS '社会化保障参考';

COMMENT ON COLUMN "lqbz"."T_SOCIAL_SECURITY"."SOCIAL_SECURITY_ID" IS '保障id';

COMMENT ON COLUMN "lqbz"."T_SOCIAL_SECURITY"."GUARANTEE_YEAR" IS '保障年度';

COMMENT ON COLUMN "lqbz"."T_SOCIAL_SECURITY"."AIRCAFT_NUMBER" IS '飞机数量';

COMMENT ON COLUMN "lqbz"."T_SOCIAL_SECURITY"."AIRCAFT_DURATION" IS '飞行时长（小时）';

COMMENT ON COLUMN "lqbz"."T_SOCIAL_SECURITY"."PRICE_FACTOR" IS '价格因素';

COMMENT ON COLUMN "lqbz"."T_SOCIAL_SECURITY"."YEAR_TOTAL_PRICE" IS '总价(万元)';

COMMENT ON COLUMN "lqbz"."T_SOCIAL_SECURITY"."UNIT_PRICE" IS '单架飞机保障价格(万元)';

COMMENT ON COLUMN "lqbz"."T_SOCIAL_SECURITY"."PER_HOUR_UNIT_PRICE" IS '单架飞机/每小时保障价格(万元)';

COMMENT ON COLUMN "lqbz"."T_SOCIAL_SECURITY"."GOOD_RATE" IS '保障良好率';

COMMENT ON COLUMN "lqbz"."T_SOCIAL_SECURITY"."CREATE_BY" IS '创建者';

COMMENT ON COLUMN "lqbz"."T_SOCIAL_SECURITY"."CREATE_TIME" IS '创建时间';

COMMENT ON COLUMN "lqbz"."T_SOCIAL_SECURITY"."UPDATE_BY" IS '更新者';

COMMENT ON COLUMN "lqbz"."T_SOCIAL_SECURITY"."UPDATE_TIME" IS '更新时间';

COMMENT ON TABLE "lqbz"."T_SOCIAL_SECURITY_DETAILS" IS '社会化保障参考-价格清单';

COMMENT ON COLUMN "lqbz"."T_SOCIAL_SECURITY_DETAILS"."SOCIAL_SECURITY_DETAILS_ID" IS '保障详情id';

COMMENT ON COLUMN "lqbz"."T_SOCIAL_SECURITY_DETAILS"."SOCIAL_SECURITY_ID" IS '保障id';

COMMENT ON COLUMN "lqbz"."T_SOCIAL_SECURITY_DETAILS"."AVMAT_CATALOG_ID" IS '航材id';

COMMENT ON COLUMN "lqbz"."T_SOCIAL_SECURITY_DETAILS"."AVMAT_CATEGORIES_ID" IS '航材分类id';

COMMENT ON COLUMN "lqbz"."T_SOCIAL_SECURITY_DETAILS"."NEW_PRODUCT_AMOUNT" IS '新品数量/个';

COMMENT ON COLUMN "lqbz"."T_SOCIAL_SECURITY_DETAILS"."NEW_PRODUCT_PRICE" IS '新品单价/万元';

COMMENT ON COLUMN "lqbz"."T_SOCIAL_SECURITY_DETAILS"."NEW_PRODUCT_TOTAL_PRICE" IS '新品总价/万元';

COMMENT ON COLUMN "lqbz"."T_SOCIAL_SECURITY_DETAILS"."REPAIR_ITEMS_AMOUNT" IS '维修品数量/个';

COMMENT ON COLUMN "lqbz"."T_SOCIAL_SECURITY_DETAILS"."REPAIR_ITEMS_PRICE" IS '维修品单价/万元';

COMMENT ON COLUMN "lqbz"."T_SOCIAL_SECURITY_DETAILS"."REPAIR_ITEMS_TOTAL_PRICE" IS '维修品总价/万元';

COMMENT ON COLUMN "lqbz"."T_SOCIAL_SECURITY_DETAILS"."TOTAL_PRICE" IS '总价/万元';

COMMENT ON COLUMN "lqbz"."T_SOCIAL_SECURITY_DETAILS"."CREATE_BY" IS '创建者';

COMMENT ON COLUMN "lqbz"."T_SOCIAL_SECURITY_DETAILS"."CREATE_TIME" IS '创建时间';

COMMENT ON COLUMN "lqbz"."T_SOCIAL_SECURITY_DETAILS"."UPDATE_BY" IS '更新者';

COMMENT ON COLUMN "lqbz"."T_SOCIAL_SECURITY_DETAILS"."UPDATE_TIME" IS '更新时间';

COMMENT ON TABLE "lqbz"."T_SUMMARY_DATA" IS '历年航材消耗数据-汇总数据';

COMMENT ON COLUMN "lqbz"."T_SUMMARY_DATA"."SUMMARY_DATA_ID" IS '汇总数据ID';

COMMENT ON COLUMN "lqbz"."T_SUMMARY_DATA"."CONSUME_DATA_ID" IS '历年航材消耗记录ID';

COMMENT ON COLUMN "lqbz"."T_SUMMARY_DATA"."VOLUME_ORDER" IS '册序号';

COMMENT ON COLUMN "lqbz"."T_SUMMARY_DATA"."AVMAT_CATALOG_ID" IS '航材ID';

COMMENT ON COLUMN "lqbz"."T_SUMMARY_DATA"."AVMAT_CATEGORIES_ID" IS '航材分类ID';

COMMENT ON COLUMN "lqbz"."T_SUMMARY_DATA"."NEW_PRODUCT_NUM" IS '新品数量';

COMMENT ON COLUMN "lqbz"."T_SUMMARY_DATA"."REPAIR_ITEMS_NUM" IS '维修品数量';

COMMENT ON COLUMN "lqbz"."T_SUMMARY_DATA"."CREATE_BY" IS '创建人';

COMMENT ON COLUMN "lqbz"."T_SUMMARY_DATA"."CREATE_TIME" IS '创建时间';

COMMENT ON COLUMN "lqbz"."T_SUMMARY_DATA"."UPDATE_BY" IS '更新人';

COMMENT ON COLUMN "lqbz"."T_SUMMARY_DATA"."UPDATE_TIME" IS '更新时间';

COMMENT ON TABLE "lqbz"."T_TASK_EXECOND_REGISTER" IS '任务执行情况登记';

COMMENT ON COLUMN "lqbz"."T_TASK_EXECOND_REGISTER"."TASK_EXECOND_REGISTER_ID" IS '任务执行情况登记ID';

COMMENT ON COLUMN "lqbz"."T_TASK_EXECOND_REGISTER"."TASK_ID" IS '任务id';

COMMENT ON COLUMN "lqbz"."T_TASK_EXECOND_REGISTER"."AIRCAFT_CATALOG_ID" IS '飞机ID';

COMMENT ON COLUMN "lqbz"."T_TASK_EXECOND_REGISTER"."AIRCAFT_CATALOG_CODE" IS '飞机编码';

COMMENT ON COLUMN "lqbz"."T_TASK_EXECOND_REGISTER"."FLY_DURATION" IS '飞行时长';

COMMENT ON COLUMN "lqbz"."T_TASK_EXECOND_REGISTER"."AIRCRAFT_INTACT_NUM" IS '飞机完好架日';

COMMENT ON COLUMN "lqbz"."T_TASK_EXECOND_REGISTER"."LACK_MATER_STOP_FLY_NUM" IS '缺材停飞架日';

COMMENT ON COLUMN "lqbz"."T_TASK_EXECOND_REGISTER"."AIRCRAFT_ACTUAL_NUM" IS '飞机实有架日';

COMMENT ON COLUMN "lqbz"."T_TASK_EXECOND_REGISTER"."CREATE_BY" IS '创建者';

COMMENT ON COLUMN "lqbz"."T_TASK_EXECOND_REGISTER"."CREATE_TIME" IS '创建时间';

COMMENT ON COLUMN "lqbz"."T_TASK_EXECOND_REGISTER"."UPDATE_BY" IS '更新者';

COMMENT ON COLUMN "lqbz"."T_TASK_EXECOND_REGISTER"."UPDATE_TIME" IS '更新时间';

CREATE TABLE "lqbz"."GEN_TABLE"
(
    "TABLE_ID" BIGINT IDENTITY(1,1) NOT NULL,
    "TABLE_NAME" VARCHAR(200) DEFAULT ''
        NULL,
    "TABLE_COMMENT" VARCHAR(500) DEFAULT ''
        NULL,
    "SUB_TABLE_NAME" VARCHAR(64) NULL,
    "SUB_TABLE_FK_NAME" VARCHAR(64) NULL,
    "CLASS_NAME" VARCHAR(100) DEFAULT ''
        NULL,
    "TPL_CATEGORY" VARCHAR(200) DEFAULT 'crud'
        NULL,
    "TPL_WEB_TYPE" VARCHAR(30) DEFAULT ''
        NULL,
    "PACKAGE_NAME" VARCHAR(100) NULL,
    "MODULE_NAME" VARCHAR(30) NULL,
    "BUSINESS_NAME" VARCHAR(30) NULL,
    "FUNCTION_NAME" VARCHAR(50) NULL,
    "FUNCTION_AUTHOR" VARCHAR(50) NULL,
    "GEN_TYPE" CHAR(1) DEFAULT '0'
        NULL,
    "GEN_PATH" VARCHAR(200) DEFAULT '/'
        NULL,
    "OPTIONS" VARCHAR(1000) NULL,
    "CREATE_BY" VARCHAR(64) DEFAULT ''
        NULL,
    "CREATE_TIME" TIMESTAMP(0) NULL,
    "UPDATE_BY" VARCHAR(64) DEFAULT ''
        NULL,
    "UPDATE_TIME" TIMESTAMP(0) NULL,
    "REMARK" VARCHAR(500) NULL
);
CREATE TABLE "lqbz"."GEN_TABLE_COLUMN"
(
    "COLUMN_ID" BIGINT IDENTITY(1,1) NOT NULL,
    "TABLE_ID" BIGINT NULL,
    "COLUMN_NAME" VARCHAR(200) NULL,
    "COLUMN_COMMENT" VARCHAR(500) NULL,
    "COLUMN_TYPE" VARCHAR(100) NULL,
    "JAVA_TYPE" VARCHAR(500) NULL,
    "JAVA_FIELD" VARCHAR(200) NULL,
    "IS_PK" CHAR(1) NULL,
    "IS_INCREMENT" CHAR(1) NULL,
    "IS_REQUIRED" CHAR(1) NULL,
    "IS_INSERT" CHAR(1) NULL,
    "IS_EDIT" CHAR(1) NULL,
    "IS_LIST" CHAR(1) NULL,
    "IS_QUERY" CHAR(1) NULL,
    "QUERY_TYPE" VARCHAR(200) DEFAULT 'EQ'
        NULL,
    "HTML_TYPE" VARCHAR(200) NULL,
    "DICT_TYPE" VARCHAR(200) DEFAULT ''
        NULL,
    "SORT" INT NULL,
    "CREATE_BY" VARCHAR(64) DEFAULT ''
        NULL,
    "CREATE_TIME" TIMESTAMP(0) NULL,
    "UPDATE_BY" VARCHAR(64) DEFAULT ''
        NULL,
    "UPDATE_TIME" TIMESTAMP(0) NULL
);
CREATE TABLE "lqbz"."QRTZ_BLOB_TRIGGERS"
(
    "SCHED_NAME" VARCHAR(120) NOT NULL,
    "TRIGGER_NAME" VARCHAR(200) NOT NULL,
    "TRIGGER_GROUP" VARCHAR(200) NOT NULL,
    "BLOB_DATA" BLOB NULL
);
CREATE TABLE "lqbz"."QRTZ_CALENDARS"
(
    "SCHED_NAME" VARCHAR(120) NOT NULL,
    "CALENDAR_NAME" VARCHAR(200) NOT NULL,
    "CALENDAR" BLOB NOT NULL
);
CREATE TABLE "lqbz"."QRTZ_CRON_TRIGGERS"
(
    "SCHED_NAME" VARCHAR(120) NOT NULL,
    "TRIGGER_NAME" VARCHAR(200) NOT NULL,
    "TRIGGER_GROUP" VARCHAR(200) NOT NULL,
    "CRON_EXPRESSION" VARCHAR(200) NOT NULL,
    "TIME_ZONE_ID" VARCHAR(80) NULL
);
CREATE TABLE "lqbz"."QRTZ_FIRED_TRIGGERS"
(
    "SCHED_NAME" VARCHAR(120) NOT NULL,
    "ENTRY_ID" VARCHAR(95) NOT NULL,
    "TRIGGER_NAME" VARCHAR(200) NOT NULL,
    "TRIGGER_GROUP" VARCHAR(200) NOT NULL,
    "INSTANCE_NAME" VARCHAR(200) NOT NULL,
    "FIRED_TIME" BIGINT NOT NULL,
    "SCHED_TIME" BIGINT NOT NULL,
    "PRIORITY" INT NOT NULL,
    "STATE" VARCHAR(16) NOT NULL,
    "JOB_NAME" VARCHAR(200) NULL,
    "JOB_GROUP" VARCHAR(200) NULL,
    "IS_NONCONCURRENT" VARCHAR(1) NULL,
    "REQUESTS_RECOVERY" VARCHAR(1) NULL
);
CREATE TABLE "lqbz"."QRTZ_JOB_DETAILS"
(
    "SCHED_NAME" VARCHAR(120) NOT NULL,
    "JOB_NAME" VARCHAR(200) NOT NULL,
    "JOB_GROUP" VARCHAR(200) NOT NULL,
    "DESCRIPTION" VARCHAR(250) NULL,
    "JOB_CLASS_NAME" VARCHAR(250) NOT NULL,
    "IS_DURABLE" VARCHAR(1) NOT NULL,
    "IS_NONCONCURRENT" VARCHAR(1) NOT NULL,
    "IS_UPDATE_DATA" VARCHAR(1) NOT NULL,
    "REQUESTS_RECOVERY" VARCHAR(1) NOT NULL,
    "JOB_DATA" BLOB NULL
);
CREATE TABLE "lqbz"."QRTZ_LOCKS"
(
    "SCHED_NAME" VARCHAR(120) NOT NULL,
    "LOCK_NAME" VARCHAR(40) NOT NULL
);
CREATE TABLE "lqbz"."QRTZ_PAUSED_TRIGGER_GRPS"
(
    "SCHED_NAME" VARCHAR(120) NOT NULL,
    "TRIGGER_GROUP" VARCHAR(200) NOT NULL
);
CREATE TABLE "lqbz"."QRTZ_SCHEDULER_STATE"
(
    "SCHED_NAME" VARCHAR(120) NOT NULL,
    "INSTANCE_NAME" VARCHAR(200) NOT NULL,
    "LAST_CHECKIN_TIME" BIGINT NOT NULL,
    "CHECKIN_INTERVAL" BIGINT NOT NULL
);
CREATE TABLE "lqbz"."QRTZ_SIMPLE_TRIGGERS"
(
    "SCHED_NAME" VARCHAR(120) NOT NULL,
    "TRIGGER_NAME" VARCHAR(200) NOT NULL,
    "TRIGGER_GROUP" VARCHAR(200) NOT NULL,
    "REPEAT_COUNT" BIGINT NOT NULL,
    "REPEAT_INTERVAL" BIGINT NOT NULL,
    "TIMES_TRIGGERED" BIGINT NOT NULL
);
CREATE TABLE "lqbz"."QRTZ_SIMPROP_TRIGGERS"
(
    "SCHED_NAME" VARCHAR(120) NOT NULL,
    "TRIGGER_NAME" VARCHAR(200) NOT NULL,
    "TRIGGER_GROUP" VARCHAR(200) NOT NULL,
    "STR_PROP_1" VARCHAR(512) NULL,
    "STR_PROP_2" VARCHAR(512) NULL,
    "STR_PROP_3" VARCHAR(512) NULL,
    "INT_PROP_1" INT NULL,
    "INT_PROP_2" INT NULL,
    "LONG_PROP_1" BIGINT NULL,
    "LONG_PROP_2" BIGINT NULL,
    "DEC_PROP_1" DECIMAL(13,4) NULL,
    "DEC_PROP_2" DECIMAL(13,4) NULL,
    "BOOL_PROP_1" VARCHAR(1) NULL,
    "BOOL_PROP_2" VARCHAR(1) NULL
);
CREATE TABLE "lqbz"."QRTZ_TRIGGERS"
(
    "SCHED_NAME" VARCHAR(120) NOT NULL,
    "TRIGGER_NAME" VARCHAR(200) NOT NULL,
    "TRIGGER_GROUP" VARCHAR(200) NOT NULL,
    "JOB_NAME" VARCHAR(200) NOT NULL,
    "JOB_GROUP" VARCHAR(200) NOT NULL,
    "DESCRIPTION" VARCHAR(250) NULL,
    "NEXT_FIRE_TIME" BIGINT NULL,
    "PREV_FIRE_TIME" BIGINT NULL,
    "PRIORITY" INT NULL,
    "TRIGGER_STATE" VARCHAR(16) NOT NULL,
    "TRIGGER_TYPE" VARCHAR(8) NOT NULL,
    "START_TIME" BIGINT NOT NULL,
    "END_TIME" BIGINT NULL,
    "CALENDAR_NAME" VARCHAR(200) NULL,
    "MISFIRE_INSTR" SMALLINT NULL,
    "JOB_DATA" BLOB NULL
);
CREATE TABLE "lqbz"."ROLE_MENU_AUTH"
(
    "ROLE_ID" INT NOT NULL,
    "MENU_KEY" VARCHAR(64) NOT NULL,
    "SORT" INT NULL
);
CREATE TABLE "lqbz"."SYS_BACKUP_DATA"
(
    "BACKUP_DATA_ID" VARCHAR(50) NOT NULL,
    "SYS_BACKUP_ID" VARCHAR(50) NULL,
    "FILE_NAME" VARCHAR(255) NULL,
    "FILE_PATH" VARCHAR(255) NULL,
    "CREATE_TIME" TIMESTAMP(0) NULL,
    "DATA_NAME_DB" VARCHAR(255) NULL
);
CREATE TABLE "lqbz"."SYS_BACKUP_DETAIL"
(
    "SYS_BACKUP_ID" VARCHAR(32) NOT NULL,
    "BACKUP_TYPE" VARCHAR(50) NULL,
    "BACKUP_BY" VARCHAR(50) NULL,
    "CREATE_USER_NAME" VARCHAR(50) NULL,
    "BACKUP_TIME" TIMESTAMP(0) NULL,
    "FILE_NAME" VARCHAR(255) NULL,
    "FILE_PATH" VARCHAR(255) NULL,
    "BACKUP_DESC" VARCHAR(255) NULL,
    "IS_DELETED" TINYINT NULL
);
CREATE TABLE "lqbz"."SYS_BACKUP_SETUP"
(
    "SETUP_ID" VARCHAR(32) NOT NULL,
    "SETUP_STATUS" TINYINT NULL,
    "INTERVAL_PERIOD" INT NULL,
    "RETENTION_TIME" TINYINT NULL,
    "UPDATE_TIME" TIMESTAMP(0) NULL,
    "UPDATE_USER_NAME" VARCHAR(50) NULL,
    "UPDATE_BY" VARCHAR(50) NULL,
    "START_STATUS" INT DEFAULT 0
        NULL
);
CREATE TABLE "lqbz"."SYS_CONFIG"
(
    "CONFIG_ID" INT IDENTITY(7,1) NOT NULL,
    "CONFIG_NAME" VARCHAR(100) DEFAULT ''
        NULL,
    "CONFIG_KEY" VARCHAR(100) DEFAULT ''
        NULL,
    "CONFIG_VALUE" VARCHAR(500) DEFAULT ''
        NULL,
    "CONFIG_TYPE" CHAR(1) DEFAULT 'N'
        NULL,
    "CREATE_BY" VARCHAR(64) DEFAULT ''
        NULL,
    "CREATE_TIME" TIMESTAMP(0) NULL,
    "UPDATE_BY" VARCHAR(64) DEFAULT ''
        NULL,
    "UPDATE_TIME" TIMESTAMP(0) NULL,
    "REMARK" VARCHAR(500) NULL
);
CREATE TABLE "lqbz"."SYS_DEPT"
(
    "DEPT_ID" BIGINT IDENTITY(203,1) NOT NULL,
    "PARENT_ID" BIGINT DEFAULT 0
        NULL,
    "ANCESTORS" VARCHAR(50) DEFAULT ''
        NULL,
    "DEPT_NAME" VARCHAR(30) DEFAULT ''
        NULL,
    "ORDER_NUM" INT DEFAULT 0
        NULL,
    "LEADER" VARCHAR(20) NULL,
    "PHONE" VARCHAR(11) NULL,
    "EMAIL" VARCHAR(50) NULL,
    "STATUS" CHAR(1) DEFAULT '0'
        NULL,
    "DEL_FLAG" CHAR(1) DEFAULT '0'
        NULL,
    "CREATE_BY" VARCHAR(64) DEFAULT ''
        NULL,
    "CREATE_TIME" TIMESTAMP(0) NULL,
    "UPDATE_BY" VARCHAR(64) DEFAULT ''
        NULL,
    "UPDATE_TIME" TIMESTAMP(0) NULL
);
CREATE TABLE "lqbz"."SYS_DICT_DATA"
(
    "DICT_CODE" BIGINT IDENTITY(43,1) NOT NULL,
    "DICT_SORT" INT DEFAULT 0
        NULL,
    "DICT_LABEL" VARCHAR(100) DEFAULT ''
        NULL,
    "DICT_VALUE" VARCHAR(100) DEFAULT ''
        NULL,
    "DICT_TYPE" VARCHAR(100) DEFAULT ''
        NULL,
    "CSS_CLASS" VARCHAR(100) NULL,
    "LIST_CLASS" VARCHAR(100) NULL,
    "IS_DEFAULT" CHAR(1) DEFAULT 'N'
        NULL,
    "STATUS" CHAR(1) DEFAULT '0'
        NULL,
    "CREATE_BY" VARCHAR(64) DEFAULT ''
        NULL,
    "CREATE_TIME" TIMESTAMP(0) NULL,
    "UPDATE_BY" VARCHAR(64) DEFAULT ''
        NULL,
    "UPDATE_TIME" TIMESTAMP(0) NULL,
    "REMARK" VARCHAR(500) NULL
);
CREATE TABLE "lqbz"."SYS_DICT_TYPE"
(
    "DICT_ID" BIGINT IDENTITY(17,1) NOT NULL,
    "DICT_NAME" VARCHAR(100) DEFAULT ''
        NULL,
    "DICT_TYPE" VARCHAR(100) DEFAULT ''
        NULL,
    "STATUS" CHAR(1) DEFAULT '0'
        NULL,
    "CREATE_BY" VARCHAR(64) DEFAULT ''
        NULL,
    "CREATE_TIME" TIMESTAMP(0) NULL,
    "UPDATE_BY" VARCHAR(64) DEFAULT ''
        NULL,
    "UPDATE_TIME" TIMESTAMP(0) NULL,
    "REMARK" VARCHAR(500) NULL
);
CREATE TABLE "lqbz"."SYS_JOB"
(
    "JOB_ID" BIGINT IDENTITY(4,1) NOT NULL,
    "JOB_NAME" VARCHAR(64) DEFAULT ''
                                 NOT NULL,
    "JOB_GROUP" VARCHAR(64) DEFAULT 'DEFAULT'
                                 NOT NULL,
    "INVOKE_TARGET" VARCHAR(500) NOT NULL,
    "CRON_EXPRESSION" VARCHAR(255) DEFAULT ''
        NULL,
    "MISFIRE_POLICY" VARCHAR(20) DEFAULT '3'
        NULL,
    "CONCURRENT" CHAR(1) DEFAULT '1'
        NULL,
    "STATUS" CHAR(1) DEFAULT '0'
        NULL,
    "CREATE_BY" VARCHAR(64) DEFAULT ''
        NULL,
    "CREATE_TIME" TIMESTAMP(0) NULL,
    "UPDATE_BY" VARCHAR(64) DEFAULT ''
        NULL,
    "UPDATE_TIME" TIMESTAMP(0) NULL,
    "REMARK" VARCHAR(500) DEFAULT ''
        NULL
);
CREATE TABLE "lqbz"."SYS_JOB_LOG"
(
    "JOB_LOG_ID" BIGINT IDENTITY(1,1) NOT NULL,
    "JOB_NAME" VARCHAR(64) NOT NULL,
    "JOB_GROUP" VARCHAR(64) NOT NULL,
    "INVOKE_TARGET" VARCHAR(500) NOT NULL,
    "JOB_MESSAGE" VARCHAR(500) NULL,
    "STATUS" CHAR(1) DEFAULT '0'
        NULL,
    "EXCEPTION_INFO" VARCHAR(2000) DEFAULT ''
        NULL,
    "CREATE_TIME" TIMESTAMP(0) NULL
);
CREATE TABLE "lqbz"."SYS_LOGININFOR"
(
    "INFO_ID" BIGINT IDENTITY(798,1) NOT NULL,
    "USER_NAME" VARCHAR(50) DEFAULT ''
        NULL,
    "IPADDR" VARCHAR(128) DEFAULT ''
        NULL,
    "LOGIN_LOCATION" VARCHAR(255) DEFAULT ''
        NULL,
    "BROWSER" VARCHAR(50) DEFAULT ''
        NULL,
    "OS" VARCHAR(50) DEFAULT ''
        NULL,
    "STATUS" CHAR(1) DEFAULT '0'
        NULL,
    "MSG" VARCHAR(255) DEFAULT ''
        NULL,
    "LOGIN_TIME" TIMESTAMP(0) NULL
);
CREATE TABLE "lqbz"."SYS_MENU"
(
    "MENU_ID" BIGINT IDENTITY(1061,1) NOT NULL,
    "MENU_NAME" VARCHAR(50) NOT NULL,
    "PARENT_ID" BIGINT DEFAULT 0
        NULL,
    "ORDER_NUM" INT DEFAULT 0
        NULL,
    "PATH" VARCHAR(200) DEFAULT ''
        NULL,
    "COMPONENT" VARCHAR(255) NULL,
    "QUERY" VARCHAR(255) NULL,
    "IS_FRAME" INT DEFAULT 1
        NULL,
    "IS_CACHE" INT DEFAULT 0
        NULL,
    "MENU_TYPE" CHAR(1) DEFAULT ''
        NULL,
    "VISIBLE" CHAR(1) DEFAULT '0'
        NULL,
    "STATUS" CHAR(1) DEFAULT '0'
        NULL,
    "PERMS" VARCHAR(100) NULL,
    "ICON" VARCHAR(100) DEFAULT '#'
        NULL,
    "CREATE_BY" VARCHAR(64) DEFAULT ''
        NULL,
    "CREATE_TIME" TIMESTAMP(0) NULL,
    "UPDATE_BY" VARCHAR(64) DEFAULT ''
        NULL,
    "UPDATE_TIME" TIMESTAMP(0) NULL,
    "REMARK" VARCHAR(500) DEFAULT ''
        NULL
);
CREATE TABLE "lqbz"."SYS_NOTICE"
(
    "NOTICE_ID" INT IDENTITY(3,1) NOT NULL,
    "NOTICE_TITLE" VARCHAR(50) NOT NULL,
    "NOTICE_TYPE" CHAR(1) NOT NULL,
    "NOTICE_CONTENT" BLOB NULL,
    "STATUS" CHAR(1) DEFAULT '0'
        NULL,
    "CREATE_BY" VARCHAR(64) DEFAULT ''
        NULL,
    "CREATE_TIME" TIMESTAMP(0) NULL,
    "UPDATE_BY" VARCHAR(64) DEFAULT ''
        NULL,
    "UPDATE_TIME" TIMESTAMP(0) NULL,
    "REMARK" VARCHAR(255) NULL
);
CREATE TABLE "lqbz"."SYS_OPER_LOG"
(
    "OPER_ID" BIGINT IDENTITY(446,1) NOT NULL,
    "TITLE" VARCHAR(50) DEFAULT ''
        NULL,
    "BUSINESS_TYPE" INT DEFAULT 0
        NULL,
    "METHOD" VARCHAR(100) DEFAULT ''
        NULL,
    "REQUEST_METHOD" VARCHAR(10) DEFAULT ''
        NULL,
    "OPERATOR_TYPE" INT DEFAULT 0
        NULL,
    "OPER_NAME" VARCHAR(50) DEFAULT ''
        NULL,
    "DEPT_NAME" VARCHAR(50) DEFAULT ''
        NULL,
    "OPER_URL" VARCHAR(255) DEFAULT ''
        NULL,
    "OPER_IP" VARCHAR(128) DEFAULT ''
        NULL,
    "OPER_LOCATION" VARCHAR(255) DEFAULT ''
        NULL,
    "OPER_PARAM" VARCHAR(2000) DEFAULT ''
        NULL,
    "JSON_RESULT" VARCHAR(2000) DEFAULT ''
        NULL,
    "STATUS" INT DEFAULT 0
        NULL,
    "ERROR_MSG" VARCHAR(2000) DEFAULT ''
        NULL,
    "OPER_TIME" TIMESTAMP(0) NULL,
    "COST_TIME" BIGINT DEFAULT 0
        NULL
);
CREATE TABLE "lqbz"."SYS_POST"
(
    "POST_ID" BIGINT IDENTITY(5,1) NOT NULL,
    "POST_CODE" VARCHAR(64) NOT NULL,
    "POST_NAME" VARCHAR(50) NOT NULL,
    "POST_SORT" INT NOT NULL,
    "STATUS" CHAR(1) NOT NULL,
    "CREATE_BY" VARCHAR(64) DEFAULT ''
        NULL,
    "CREATE_TIME" TIMESTAMP(0) NULL,
    "UPDATE_BY" VARCHAR(64) DEFAULT ''
        NULL,
    "UPDATE_TIME" TIMESTAMP(0) NULL,
    "REMARK" VARCHAR(500) NULL
);
CREATE TABLE "lqbz"."SYS_ROLE"
(
    "ROLE_ID" BIGINT IDENTITY(107,1) NOT NULL,
    "ROLE_NAME" VARCHAR(30) NOT NULL,
    "ROLE_KEY" VARCHAR(100) NOT NULL,
    "ROLE_SORT" INT NULL,
    "DATA_SCOPE" CHAR(1) DEFAULT '1'
        NULL,
    "MENU_CHECK_STRICTLY" TINYINT DEFAULT 1
        NULL,
    "DEPT_CHECK_STRICTLY" TINYINT DEFAULT 1
        NULL,
    "STATUS" CHAR(1) NOT NULL,
    "DEL_FLAG" CHAR(1) DEFAULT '0'
        NULL,
    "CREATE_BY" VARCHAR(64) DEFAULT ''
        NULL,
    "CREATE_TIME" TIMESTAMP(0) NULL,
    "UPDATE_BY" VARCHAR(64) DEFAULT ''
        NULL,
    "UPDATE_TIME" TIMESTAMP(0) NULL,
    "REMARK" VARCHAR(500) NULL
);
CREATE TABLE "lqbz"."SYS_ROLE_DEPT"
(
    "ROLE_ID" BIGINT NOT NULL,
    "DEPT_ID" BIGINT NOT NULL
);
CREATE TABLE "lqbz"."SYS_ROLE_MENU"
(
    "ROLE_ID" BIGINT NOT NULL,
    "MENU_ID" BIGINT NOT NULL
);
CREATE TABLE "lqbz"."SYS_ROLE_SPECIALTY"
(
    "ROLE_ID" BIGINT NULL,
    "SPECIALTY" VARCHAR(50) NULL
);
CREATE TABLE "lqbz"."SYS_USER"
(
    "USER_ID" BIGINT IDENTITY(135,1) NOT NULL,
    "DEPT_ID" BIGINT NULL,
    "MAJOR_ID" VARCHAR(64) NULL,
    "MAJOR_NAME" VARCHAR(255) NULL,
    "USER_NAME" VARCHAR(30) NOT NULL,
    "NICK_NAME" VARCHAR(30) NOT NULL,
    "USER_TYPE" VARCHAR(2) DEFAULT '00'
        NULL,
    "EMAIL" VARCHAR(50) DEFAULT ''
        NULL,
    "PHONENUMBER" VARCHAR(11) DEFAULT ''
        NULL,
    "SEX" CHAR(1) DEFAULT '0'
        NULL,
    "AVATAR" VARCHAR(100) DEFAULT ''
        NULL,
    "PASSWORD" VARCHAR(100) DEFAULT ''
        NULL,
    "STATUS" CHAR(1) DEFAULT '0'
        NULL,
    "DEL_FLAG" CHAR(1) DEFAULT '0'
        NULL,
    "LOGIN_IP" VARCHAR(128) DEFAULT ''
        NULL,
    "LOGIN_DATE" TIMESTAMP(0) NULL,
    "CREATE_BY" VARCHAR(64) DEFAULT ''
        NULL,
    "CREATE_TIME" TIMESTAMP(0) NULL,
    "UPDATE_BY" VARCHAR(64) DEFAULT ''
        NULL,
    "UPDATE_TIME" TIMESTAMP(0) NULL,
    "REMARK" VARCHAR(500) NULL
);
CREATE TABLE "lqbz"."SYS_USER_LOGIN"
(
    "UUID" VARCHAR(50) NOT NULL,
    "USER_ID" BIGINT NULL,
    "TOKEN" VARCHAR(100) NULL,
    "LOGIN_TIME" BIGINT NULL,
    "EXPIRE_TIME" BIGINT NULL,
    "IPADDR" VARCHAR(128) NULL,
    "CONTENT" VARCHAR(128) NULL
);
CREATE TABLE "lqbz"."SYS_USER_POST"
(
    "USER_ID" BIGINT NOT NULL,
    "POST_ID" BIGINT NOT NULL
);
CREATE TABLE "lqbz"."SYS_USER_ROLE"
(
    "USER_ID" BIGINT NOT NULL,
    "ROLE_ID" BIGINT NOT NULL
);
CREATE TABLE "lqbz"."T_AIRCAFT_CATALOG"
(
    "AIRCAFT_CATALOG_ID" VARCHAR(64) NOT NULL,
    "AIRCAFT_CATALOG_CODE" VARCHAR(50) NOT NULL,
    "AIRCAFT_MODEL_ID" VARCHAR(64) NOT NULL,
    "AIRCAFT_MODEL_CODE" VARCHAR(50) NULL,
    "MECHANICIAN" VARCHAR(50) NULL,
    "ARMY" VARCHAR(100) NULL,
    "WAR_ZONE" VARCHAR(100) NULL,
    "STATION" VARCHAR(200) NULL,
    "ASSEMBLY_TIME" TIMESTAMP(0) NULL,
    "MANUFACTURER" VARCHAR(100) NULL,
    "FACTORY_NUMBER" VARCHAR(50) NULL,
    "STATUS" INT NULL,
    "IS_DELETED" INT DEFAULT 0
        NULL,
    "CREATE_BY" VARCHAR(50) NULL,
    "CREATE_TIME" TIMESTAMP(0) NOT NULL,
    "UPDATE_BY" VARCHAR(50) NULL,
    "UPDATE_TIME" TIMESTAMP(0) NULL
);
CREATE TABLE "lqbz"."T_AIRCAFT_COMPONENTS"
(
    "AVMAT_CATALOG_ID" VARCHAR(64) NOT NULL,
    "AIRCAFT_MODEL_ID" VARCHAR(64) NULL,
    "AIRCAFT_MODEL_CODE" VARCHAR(50) NULL,
    "AVMAT_CATALOG_CODE" VARCHAR(50) NULL,
    "INSTALLED_COUNT" INT NULL,
    "INSTALLED_POSITION" VARCHAR(50) NULL,
    "IS_DELETED" TINYINT DEFAULT 0
        NULL,
    "CREATE_BY" VARCHAR(50) NULL,
    "CREATE_TIME" TIMESTAMP(0) NULL,
    "UPDATE_BY" VARCHAR(50) NULL,
    "UPDATE_TIME" TIMESTAMP(0) NULL
);
CREATE TABLE "lqbz"."T_AIRCAFT_MODEL"
(
    "AIRCAFT_MODEL_ID" VARCHAR(64) NOT NULL,
    "AIRCAFT_MODEL_CODE" VARCHAR(50) NOT NULL,
    "AIRCAFT_MODEL_NAME" VARCHAR(100) NOT NULL,
    "AIRCAFT_TYPE_ID" VARCHAR(64) NULL,
    "AIRCAFT_TYPE_CODE" VARCHAR(50) NULL,
    "STATUS" INT NULL,
    "IS_DELETED" INT DEFAULT 0
        NULL,
    "CREATE_BY" VARCHAR(50) NULL,
    "CREATE_TIME" TIMESTAMP(0) NOT NULL,
    "UPDATE_BY" VARCHAR(50) NULL,
    "UPDATE_TIME" TIMESTAMP(0) NULL
);
CREATE TABLE "lqbz"."T_AIRCAFT_TYPE"
(
    "AIRCAFT_TYPE_ID" VARCHAR(64) NOT NULL,
    "AIRCAFT_TYPE_CODE" VARCHAR(50) NOT NULL,
    "PARENT_AIRCAFT_TYPE_ID" VARCHAR(64) NOT NULL,
    "PARENT_AIRCAFT_TYPE_CODE" VARCHAR(50) NOT NULL,
    "PARENT_CODES" VARCHAR(200) NOT NULL,
    "AIRCAFT_TYPE_NAME" VARCHAR(100) NOT NULL,
    "NUMBER" VARCHAR(20) NULL,
    "STATUS" INT NULL,
    "IS_DELETED" INT DEFAULT 0
        NULL,
    "CREATE_BY" VARCHAR(50) NULL,
    "CREATE_TIME" TIMESTAMP(0) NOT NULL,
    "UPDATE_BY" VARCHAR(50) NULL,
    "UPDATE_TIME" TIMESTAMP(0) NULL
);
CREATE TABLE "lqbz"."T_AVMAT_CATALOG"
(
    "AVMAT_CATALOG_ID" VARCHAR(50) NOT NULL,
    "AVMAT_CATALOG_CODE" VARCHAR(50) NOT NULL,
    "AVMAT_CATEGORIES_ID" VARCHAR(64) NOT NULL,
    "AVMAT_CATEGORIES_CODE" VARCHAR(50) NULL,
    "AVMAT_CATALOG_NAME" VARCHAR(200) NOT NULL,
    "SPECIFICATION" VARCHAR(100) NULL,
    "DIAGRAM_NUMBER" VARCHAR(50) NULL,
    "UNIT" VARCHAR(50) NULL,
    "SPECIALTY" VARCHAR(100) NULL,
    "MANUFACTURER" VARCHAR(150) NULL,
    "IS_REPAIRABLE" TINYINT NULL,
    "IS_COMPLETE_SET" TINYINT NULL,
    "IS_ORDERED" TINYINT NULL,
    "IS_IMPORTED" TINYINT NULL,
    "MAPPING_ID" VARCHAR(64) NULL,
    "MAPPING_CODE" VARCHAR(100) NULL,
    "IS_DELETED" TINYINT DEFAULT 0
        NULL,
    "STATUS" TINYINT NULL,
    "AVMAT_TYPE" INT NULL,
    "INTERNAL_VERSION" REAL NULL,
    "CREATE_BY" VARCHAR(50) NULL,
    "CREATE_TIME" TIMESTAMP(0) NULL,
    "UPDATE_BY" VARCHAR(50) NULL,
    "UPDATE_TIME" TIMESTAMP(0) NULL,
    "PRICE_ID" VARCHAR(255) NULL
);
CREATE TABLE "lqbz"."T_AVMAT_CATEGORIES"
(
    "AVMAT_CATEGORIES_ID" VARCHAR(64) NOT NULL,
    "AVMAT_CATEGORIES_CODE" VARCHAR(50) NOT NULL,
    "PARENT_CATEGORIES_ID" VARCHAR(64) NULL,
    "PARENT_CATEGORIES_CODE" VARCHAR(50) DEFAULT ''
        NOT NULL,
    "PARENT_CODES" VARCHAR(200) DEFAULT ''
        NOT NULL,
    "AVMAT_CATEGORIES_NAME" VARCHAR(100) NOT NULL,
    "NUMBER" INT NULL,
    "STATUS" INT NULL,
    "IS_DELETED" INT DEFAULT 0
        NULL,
    "CREATE_BY" VARCHAR(50) NULL,
    "CREATE_TIME" TIMESTAMP(0) NOT NULL,
    "UPDATE_BY" VARCHAR(50) NULL,
    "UPDATE_TIME" TIMESTAMP(0) NULL
);
CREATE TABLE "lqbz"."T_AVMAT_CONSUME_RULE"
(
    "CONSUME_RULE_ID" VARCHAR(64) NOT NULL,
    "AVMAT_CATALOG_ID" VARCHAR(64) NOT NULL,
    "MTBF" REAL NULL,
    "LIFE_UNIT" INT NULL,
    "CREATE_BY" VARCHAR(50) NULL,
    "CREATE_TIME" TIMESTAMP(0) NULL,
    "UPDATE_BY" VARCHAR(50) NULL,
    "UPDATE_TIME" TIMESTAMP(0) NULL
);
CREATE TABLE "lqbz"."T_AVMAT_PRICE"
(
    "AVMAT_PRICE_ID" VARCHAR(50) NOT NULL,
    "AVMAT_CATALOG_ID" VARCHAR(200) NULL,
    "AVMAT_CATALOG_CODE" VARCHAR(50) NOT NULL,
    "REPAIR_PRICE" DECIMAL(16,6) NULL,
    "PURCHASE_PRICE" DECIMAL(16,6) NULL,
    "IS_DELETED" TINYINT DEFAULT 0
        NULL,
    "CREATE_BY" VARCHAR(50) NULL,
    "CREATE_TIME" TIMESTAMP(0) NULL,
    "UPDATE_BY" VARCHAR(50) NULL,
    "UPDATE_TIME" TIMESTAMP(0) NULL
);

CREATE TABLE "lqbz"."T_CARRYING_AVMAT_USE_REGISTER"
(
    "REGISTER_ID" VARCHAR(255) NULL,
    "TASK_ID" VARCHAR(64) NULL,
    "AVMAT_CATALOG_ID" VARCHAR(64) NULL,
    "AVMAT_CATALOG_CODE" VARCHAR(50) NULL,
    "APPLY_FOR_NUM" INT NULL,
    "STOCK_REMOVAL_NUM" INT NULL,
    "CREATE_BY" INT NULL,
    "CREATE_TIME" TIMESTAMP(0) NULL,
    "UPDATE_BY" INT NULL,
    "UPDATE_TIME" TIMESTAMP(0) NULL,
    "USED_NUM" INT NULL
);
CREATE TABLE "lqbz"."T_CARRYING_MAINTE_ORGAN"
(
    "MAINTE_ORGAN_ID" VARBINARY(50) NOT NULL,
    "TASK_ID" VARCHAR(60) NOT NULL,
    "FLY_TASK_AIRCAFT_ID" VARCHAR(50) NULL,
    "AVMAT_CATALOG_CODE" VARCHAR(50) NULL,
    "AVMAT_CATALOG_ID" VARCHAR(50) NULL,
    "AVMAT_TYPE" INT NULL,
    "CARRY_QUANTITY" REAL NULL,
    "CREATE_BY" VARCHAR(50) NULL,
    "CREATE_TIME" TIMESTAMP(0) NULL,
    "UPDATE_BY" VARCHAR(50) NULL,
    "UPDATE_TIME" TIMESTAMP(0) NULL,
    "APPLY_FOR_NUM" REAL NULL,
    "STOCK_REMOVAL_NUM" REAL NULL,
    "TASK_STATIC" CHAR(1) NULL,
    "INSERT_TYPE" INT DEFAULT 0
        NULL,
    "USED_NUM" REAL NULL
);
CREATE TABLE "lqbz"."T_ENV_FACTOR"
(
    "ENV_FACTOR_ID" VARCHAR(100) NOT NULL,
    "ENV" VARCHAR(50) NULL,
    "FACTOR" DOUBLE NULL,
    "REMARK" VARCHAR(100) NULL,
    "IS_DELETED" TINYINT DEFAULT 0
        NULL,
    "CREATE_BY" VARCHAR(50) NULL,
    "CREATE_TIME" TIMESTAMP(0) NULL,
    "UPDATE_BY" VARCHAR(50) NULL,
    "UPDATE_TIME" TIMESTAMP(0) NULL,
    "ENV_TYPE" VARCHAR(255) NULL,
    "ENV_STATUS" CHAR(1) NULL
);

ALTER TABLE "lqbz"."GEN_TABLE" ADD CONSTRAINT  PRIMARY KEY("TABLE_ID") ;

ALTER TABLE "lqbz"."GEN_TABLE_COLUMN" ADD CONSTRAINT  PRIMARY KEY("COLUMN_ID") ;

ALTER TABLE "lqbz"."QRTZ_BLOB_TRIGGERS" ADD CONSTRAINT  PRIMARY KEY("SCHED_NAME","TRIGGER_NAME","TRIGGER_GROUP") ;

ALTER TABLE "lqbz"."QRTZ_CALENDARS" ADD CONSTRAINT  PRIMARY KEY("SCHED_NAME","CALENDAR_NAME") ;

ALTER TABLE "lqbz"."QRTZ_CRON_TRIGGERS" ADD CONSTRAINT  PRIMARY KEY("SCHED_NAME","TRIGGER_NAME","TRIGGER_GROUP") ;

ALTER TABLE "lqbz"."QRTZ_FIRED_TRIGGERS" ADD CONSTRAINT  PRIMARY KEY("SCHED_NAME","ENTRY_ID") ;

ALTER TABLE "lqbz"."QRTZ_JOB_DETAILS" ADD CONSTRAINT  PRIMARY KEY("SCHED_NAME","JOB_NAME","JOB_GROUP") ;

ALTER TABLE "lqbz"."QRTZ_LOCKS" ADD CONSTRAINT  PRIMARY KEY("SCHED_NAME","LOCK_NAME") ;

ALTER TABLE "lqbz"."QRTZ_PAUSED_TRIGGER_GRPS" ADD CONSTRAINT  PRIMARY KEY("SCHED_NAME","TRIGGER_GROUP") ;

ALTER TABLE "lqbz"."QRTZ_SCHEDULER_STATE" ADD CONSTRAINT  PRIMARY KEY("SCHED_NAME","INSTANCE_NAME") ;

ALTER TABLE "lqbz"."QRTZ_SIMPLE_TRIGGERS" ADD CONSTRAINT  PRIMARY KEY("SCHED_NAME","TRIGGER_NAME","TRIGGER_GROUP") ;

ALTER TABLE "lqbz"."QRTZ_SIMPROP_TRIGGERS" ADD CONSTRAINT  PRIMARY KEY("SCHED_NAME","TRIGGER_NAME","TRIGGER_GROUP") ;

ALTER TABLE "lqbz"."QRTZ_TRIGGERS" ADD CONSTRAINT  PRIMARY KEY("SCHED_NAME","TRIGGER_NAME","TRIGGER_GROUP") ;

ALTER TABLE "lqbz"."SYS_BACKUP_DATA" ADD CONSTRAINT  PRIMARY KEY("BACKUP_DATA_ID") ;

ALTER TABLE "lqbz"."SYS_BACKUP_DETAIL" ADD CONSTRAINT  PRIMARY KEY("SYS_BACKUP_ID") ;

ALTER TABLE "lqbz"."SYS_BACKUP_SETUP" ADD CONSTRAINT  PRIMARY KEY("SETUP_ID") ;

ALTER TABLE "lqbz"."SYS_CONFIG" ADD CONSTRAINT  PRIMARY KEY("CONFIG_ID") ;

ALTER TABLE "lqbz"."SYS_DEPT" ADD CONSTRAINT  PRIMARY KEY("DEPT_ID") ;

ALTER TABLE "lqbz"."SYS_DICT_DATA" ADD CONSTRAINT  PRIMARY KEY("DICT_CODE") ;

ALTER TABLE "lqbz"."SYS_DICT_TYPE" ADD CONSTRAINT  PRIMARY KEY("DICT_ID") ;

ALTER TABLE "lqbz"."SYS_JOB" ADD CONSTRAINT  PRIMARY KEY("JOB_ID","JOB_NAME","JOB_GROUP") ;

ALTER TABLE "lqbz"."SYS_JOB_LOG" ADD CONSTRAINT  PRIMARY KEY("JOB_LOG_ID") ;

ALTER TABLE "lqbz"."SYS_LOGININFOR" ADD CONSTRAINT  PRIMARY KEY("INFO_ID") ;

ALTER TABLE "lqbz"."SYS_MENU" ADD CONSTRAINT  PRIMARY KEY("MENU_ID") ;

ALTER TABLE "lqbz"."SYS_NOTICE" ADD CONSTRAINT  PRIMARY KEY("NOTICE_ID") ;

ALTER TABLE "lqbz"."SYS_OPER_LOG" ADD CONSTRAINT  PRIMARY KEY("OPER_ID") ;

ALTER TABLE "lqbz"."SYS_POST" ADD CONSTRAINT  PRIMARY KEY("POST_ID") ;

ALTER TABLE "lqbz"."SYS_ROLE" ADD CONSTRAINT  PRIMARY KEY("ROLE_ID") ;

ALTER TABLE "lqbz"."SYS_ROLE_DEPT" ADD CONSTRAINT  PRIMARY KEY("ROLE_ID","DEPT_ID") ;

ALTER TABLE "lqbz"."SYS_ROLE_MENU" ADD CONSTRAINT  PRIMARY KEY("ROLE_ID","MENU_ID") ;

ALTER TABLE "lqbz"."SYS_USER" ADD CONSTRAINT  PRIMARY KEY("USER_ID") ;

ALTER TABLE "lqbz"."SYS_USER_LOGIN" ADD CONSTRAINT  PRIMARY KEY("UUID") ;

ALTER TABLE "lqbz"."SYS_USER_POST" ADD CONSTRAINT  PRIMARY KEY("USER_ID","POST_ID") ;

ALTER TABLE "lqbz"."SYS_USER_ROLE" ADD CONSTRAINT  PRIMARY KEY("USER_ID","ROLE_ID") ;

ALTER TABLE "lqbz"."T_AIRCAFT_CATALOG" ADD CONSTRAINT  PRIMARY KEY("AIRCAFT_CATALOG_ID") ;

ALTER TABLE "lqbz"."T_AIRCAFT_MODEL" ADD CONSTRAINT  PRIMARY KEY("AIRCAFT_MODEL_ID") ;

ALTER TABLE "lqbz"."T_AIRCAFT_TYPE" ADD CONSTRAINT  PRIMARY KEY("AIRCAFT_TYPE_ID") ;

ALTER TABLE "lqbz"."T_AVMAT_CATALOG" ADD CONSTRAINT  PRIMARY KEY("AVMAT_CATALOG_ID") ;

ALTER TABLE "lqbz"."T_AVMAT_CATEGORIES" ADD CONSTRAINT  PRIMARY KEY("AVMAT_CATEGORIES_ID") ;

ALTER TABLE "lqbz"."T_AVMAT_CONSUME_RULE" ADD CONSTRAINT  PRIMARY KEY("CONSUME_RULE_ID") ;

ALTER TABLE "lqbz"."T_AVMAT_PRICE" ADD CONSTRAINT  PRIMARY KEY("AVMAT_PRICE_ID") ;

ALTER TABLE "lqbz"."T_CARRYING_MAINTE_ORGAN" ADD CONSTRAINT  PRIMARY KEY("MAINTE_ORGAN_ID") ;

ALTER TABLE "lqbz"."T_ENV_FACTOR" ADD CONSTRAINT  PRIMARY KEY("ENV_FACTOR_ID") ;

CREATE INDEX "SCHED_NAME"
    ON "lqbz"."QRTZ_TRIGGERS"("SCHED_NAME","JOB_NAME","JOB_GROUP");

CREATE INDEX "IDX_SYS_LOGININFOR_LT"
    ON "lqbz"."SYS_LOGININFOR"("LOGIN_TIME");

CREATE INDEX "IDX_SYS_LOGININFOR_S"
    ON "lqbz"."SYS_LOGININFOR"("STATUS");

CREATE INDEX "IDX_SYS_OPER_LOG_BT"
    ON "lqbz"."SYS_OPER_LOG"("BUSINESS_TYPE");

CREATE INDEX "IDX_SYS_OPER_LOG_OT"
    ON "lqbz"."SYS_OPER_LOG"("OPER_TIME");

CREATE INDEX "IDX_SYS_OPER_LOG_S"
    ON "lqbz"."SYS_OPER_LOG"("STATUS");

ALTER TABLE "lqbz"."SYS_DICT_TYPE" ADD CONSTRAINT "DICT_TYPE" UNIQUE("DICT_TYPE") ;

COMMENT ON TABLE "lqbz"."GEN_TABLE" IS '代码生成业务表';

COMMENT ON COLUMN "lqbz"."GEN_TABLE"."TABLE_ID" IS '编号';

COMMENT ON COLUMN "lqbz"."GEN_TABLE"."TABLE_NAME" IS '表名称';

COMMENT ON COLUMN "lqbz"."GEN_TABLE"."TABLE_COMMENT" IS '表描述';

COMMENT ON COLUMN "lqbz"."GEN_TABLE"."SUB_TABLE_NAME" IS '关联子表的表名';

COMMENT ON COLUMN "lqbz"."GEN_TABLE"."SUB_TABLE_FK_NAME" IS '子表关联的外键名';

COMMENT ON COLUMN "lqbz"."GEN_TABLE"."CLASS_NAME" IS '实体类名称';

COMMENT ON COLUMN "lqbz"."GEN_TABLE"."TPL_CATEGORY" IS '使用的模板（crud单表操作 tree树表操作）';

COMMENT ON COLUMN "lqbz"."GEN_TABLE"."TPL_WEB_TYPE" IS '前端模板类型（element-ui模版 element-plus模版）';

COMMENT ON COLUMN "lqbz"."GEN_TABLE"."PACKAGE_NAME" IS '生成包路径';

COMMENT ON COLUMN "lqbz"."GEN_TABLE"."MODULE_NAME" IS '生成模块名';

COMMENT ON COLUMN "lqbz"."GEN_TABLE"."BUSINESS_NAME" IS '生成业务名';

COMMENT ON COLUMN "lqbz"."GEN_TABLE"."FUNCTION_NAME" IS '生成功能名';

COMMENT ON COLUMN "lqbz"."GEN_TABLE"."FUNCTION_AUTHOR" IS '生成功能作者';

COMMENT ON COLUMN "lqbz"."GEN_TABLE"."GEN_TYPE" IS '生成代码方式（0zip压缩包 1自定义路径）';

COMMENT ON COLUMN "lqbz"."GEN_TABLE"."GEN_PATH" IS '生成路径（不填默认项目路径）';

COMMENT ON COLUMN "lqbz"."GEN_TABLE"."OPTIONS" IS '其它生成选项';

COMMENT ON COLUMN "lqbz"."GEN_TABLE"."CREATE_BY" IS '创建者';

COMMENT ON COLUMN "lqbz"."GEN_TABLE"."CREATE_TIME" IS '创建时间';

COMMENT ON COLUMN "lqbz"."GEN_TABLE"."UPDATE_BY" IS '更新者';

COMMENT ON COLUMN "lqbz"."GEN_TABLE"."UPDATE_TIME" IS '更新时间';

COMMENT ON COLUMN "lqbz"."GEN_TABLE"."REMARK" IS '备注';

COMMENT ON TABLE "lqbz"."GEN_TABLE_COLUMN" IS '代码生成业务表字段';

COMMENT ON COLUMN "lqbz"."GEN_TABLE_COLUMN"."COLUMN_ID" IS '编号';

COMMENT ON COLUMN "lqbz"."GEN_TABLE_COLUMN"."TABLE_ID" IS '归属表编号';

COMMENT ON COLUMN "lqbz"."GEN_TABLE_COLUMN"."COLUMN_NAME" IS '列名称';

COMMENT ON COLUMN "lqbz"."GEN_TABLE_COLUMN"."COLUMN_COMMENT" IS '列描述';

COMMENT ON COLUMN "lqbz"."GEN_TABLE_COLUMN"."COLUMN_TYPE" IS '列类型';

COMMENT ON COLUMN "lqbz"."GEN_TABLE_COLUMN"."JAVA_TYPE" IS 'JAVA类型';

COMMENT ON COLUMN "lqbz"."GEN_TABLE_COLUMN"."JAVA_FIELD" IS 'JAVA字段名';

COMMENT ON COLUMN "lqbz"."GEN_TABLE_COLUMN"."IS_PK" IS '是否主键（1是）';

COMMENT ON COLUMN "lqbz"."GEN_TABLE_COLUMN"."IS_INCREMENT" IS '是否自增（1是）';

COMMENT ON COLUMN "lqbz"."GEN_TABLE_COLUMN"."IS_REQUIRED" IS '是否必填（1是）';

COMMENT ON COLUMN "lqbz"."GEN_TABLE_COLUMN"."IS_INSERT" IS '是否为插入字段（1是）';

COMMENT ON COLUMN "lqbz"."GEN_TABLE_COLUMN"."IS_EDIT" IS '是否编辑字段（1是）';

COMMENT ON COLUMN "lqbz"."GEN_TABLE_COLUMN"."IS_LIST" IS '是否列表字段（1是）';

COMMENT ON COLUMN "lqbz"."GEN_TABLE_COLUMN"."IS_QUERY" IS '是否查询字段（1是）';

COMMENT ON COLUMN "lqbz"."GEN_TABLE_COLUMN"."QUERY_TYPE" IS '查询方式（等于、不等于、大于、小于、范围）';

COMMENT ON COLUMN "lqbz"."GEN_TABLE_COLUMN"."HTML_TYPE" IS '显示类型（文本框、文本域、下拉框、复选框、单选框、日期控件）';

COMMENT ON COLUMN "lqbz"."GEN_TABLE_COLUMN"."DICT_TYPE" IS '字典类型';

COMMENT ON COLUMN "lqbz"."GEN_TABLE_COLUMN"."SORT" IS '排序';

COMMENT ON COLUMN "lqbz"."GEN_TABLE_COLUMN"."CREATE_BY" IS '创建者';

COMMENT ON COLUMN "lqbz"."GEN_TABLE_COLUMN"."CREATE_TIME" IS '创建时间';

COMMENT ON COLUMN "lqbz"."GEN_TABLE_COLUMN"."UPDATE_BY" IS '更新者';

COMMENT ON COLUMN "lqbz"."GEN_TABLE_COLUMN"."UPDATE_TIME" IS '更新时间';

COMMENT ON TABLE "lqbz"."QRTZ_BLOB_TRIGGERS" IS 'Blob类型的触发器表';

COMMENT ON COLUMN "lqbz"."QRTZ_BLOB_TRIGGERS"."SCHED_NAME" IS '调度名称';

COMMENT ON COLUMN "lqbz"."QRTZ_BLOB_TRIGGERS"."TRIGGER_NAME" IS 'qrtz_triggers表trigger_name的外键';

COMMENT ON COLUMN "lqbz"."QRTZ_BLOB_TRIGGERS"."TRIGGER_GROUP" IS 'qrtz_triggers表trigger_group的外键';

COMMENT ON COLUMN "lqbz"."QRTZ_BLOB_TRIGGERS"."BLOB_DATA" IS '存放持久化Trigger对象';

COMMENT ON TABLE "lqbz"."QRTZ_CALENDARS" IS '日历信息表';

COMMENT ON COLUMN "lqbz"."QRTZ_CALENDARS"."SCHED_NAME" IS '调度名称';

COMMENT ON COLUMN "lqbz"."QRTZ_CALENDARS"."CALENDAR_NAME" IS '日历名称';

COMMENT ON COLUMN "lqbz"."QRTZ_CALENDARS"."CALENDAR" IS '存放持久化calendar对象';

COMMENT ON TABLE "lqbz"."QRTZ_CRON_TRIGGERS" IS 'Cron类型的触发器表';

COMMENT ON COLUMN "lqbz"."QRTZ_CRON_TRIGGERS"."SCHED_NAME" IS '调度名称';

COMMENT ON COLUMN "lqbz"."QRTZ_CRON_TRIGGERS"."TRIGGER_NAME" IS 'qrtz_triggers表trigger_name的外键';

COMMENT ON COLUMN "lqbz"."QRTZ_CRON_TRIGGERS"."TRIGGER_GROUP" IS 'qrtz_triggers表trigger_group的外键';

COMMENT ON COLUMN "lqbz"."QRTZ_CRON_TRIGGERS"."CRON_EXPRESSION" IS 'cron表达式';

COMMENT ON COLUMN "lqbz"."QRTZ_CRON_TRIGGERS"."TIME_ZONE_ID" IS '时区';

COMMENT ON TABLE "lqbz"."QRTZ_FIRED_TRIGGERS" IS '已触发的触发器表';

COMMENT ON COLUMN "lqbz"."QRTZ_FIRED_TRIGGERS"."SCHED_NAME" IS '调度名称';

COMMENT ON COLUMN "lqbz"."QRTZ_FIRED_TRIGGERS"."ENTRY_ID" IS '调度器实例id';

COMMENT ON COLUMN "lqbz"."QRTZ_FIRED_TRIGGERS"."TRIGGER_NAME" IS 'qrtz_triggers表trigger_name的外键';

COMMENT ON COLUMN "lqbz"."QRTZ_FIRED_TRIGGERS"."TRIGGER_GROUP" IS 'qrtz_triggers表trigger_group的外键';

COMMENT ON COLUMN "lqbz"."QRTZ_FIRED_TRIGGERS"."INSTANCE_NAME" IS '调度器实例名';

COMMENT ON COLUMN "lqbz"."QRTZ_FIRED_TRIGGERS"."FIRED_TIME" IS '触发的时间';

COMMENT ON COLUMN "lqbz"."QRTZ_FIRED_TRIGGERS"."SCHED_TIME" IS '定时器制定的时间';

COMMENT ON COLUMN "lqbz"."QRTZ_FIRED_TRIGGERS"."PRIORITY" IS '优先级';

COMMENT ON COLUMN "lqbz"."QRTZ_FIRED_TRIGGERS"."STATE" IS '状态';

COMMENT ON COLUMN "lqbz"."QRTZ_FIRED_TRIGGERS"."JOB_NAME" IS '任务名称';

COMMENT ON COLUMN "lqbz"."QRTZ_FIRED_TRIGGERS"."JOB_GROUP" IS '任务组名';

COMMENT ON COLUMN "lqbz"."QRTZ_FIRED_TRIGGERS"."IS_NONCONCURRENT" IS '是否并发';

COMMENT ON COLUMN "lqbz"."QRTZ_FIRED_TRIGGERS"."REQUESTS_RECOVERY" IS '是否接受恢复执行';

COMMENT ON TABLE "lqbz"."QRTZ_JOB_DETAILS" IS '任务详细信息表';

COMMENT ON COLUMN "lqbz"."QRTZ_JOB_DETAILS"."SCHED_NAME" IS '调度名称';

COMMENT ON COLUMN "lqbz"."QRTZ_JOB_DETAILS"."JOB_NAME" IS '任务名称';

COMMENT ON COLUMN "lqbz"."QRTZ_JOB_DETAILS"."JOB_GROUP" IS '任务组名';

COMMENT ON COLUMN "lqbz"."QRTZ_JOB_DETAILS"."DESCRIPTION" IS '相关介绍';

COMMENT ON COLUMN "lqbz"."QRTZ_JOB_DETAILS"."JOB_CLASS_NAME" IS '执行任务类名称';

COMMENT ON COLUMN "lqbz"."QRTZ_JOB_DETAILS"."IS_DURABLE" IS '是否持久化';

COMMENT ON COLUMN "lqbz"."QRTZ_JOB_DETAILS"."IS_NONCONCURRENT" IS '是否并发';

COMMENT ON COLUMN "lqbz"."QRTZ_JOB_DETAILS"."IS_UPDATE_DATA" IS '是否更新数据';

COMMENT ON COLUMN "lqbz"."QRTZ_JOB_DETAILS"."REQUESTS_RECOVERY" IS '是否接受恢复执行';

COMMENT ON COLUMN "lqbz"."QRTZ_JOB_DETAILS"."JOB_DATA" IS '存放持久化job对象';

COMMENT ON TABLE "lqbz"."QRTZ_LOCKS" IS '存储的悲观锁信息表';

COMMENT ON COLUMN "lqbz"."QRTZ_LOCKS"."SCHED_NAME" IS '调度名称';

COMMENT ON COLUMN "lqbz"."QRTZ_LOCKS"."LOCK_NAME" IS '悲观锁名称';

COMMENT ON TABLE "lqbz"."QRTZ_PAUSED_TRIGGER_GRPS" IS '暂停的触发器表';

COMMENT ON COLUMN "lqbz"."QRTZ_PAUSED_TRIGGER_GRPS"."SCHED_NAME" IS '调度名称';

COMMENT ON COLUMN "lqbz"."QRTZ_PAUSED_TRIGGER_GRPS"."TRIGGER_GROUP" IS 'qrtz_triggers表trigger_group的外键';

COMMENT ON TABLE "lqbz"."QRTZ_SCHEDULER_STATE" IS '调度器状态表';

COMMENT ON COLUMN "lqbz"."QRTZ_SCHEDULER_STATE"."SCHED_NAME" IS '调度名称';

COMMENT ON COLUMN "lqbz"."QRTZ_SCHEDULER_STATE"."INSTANCE_NAME" IS '实例名称';

COMMENT ON COLUMN "lqbz"."QRTZ_SCHEDULER_STATE"."LAST_CHECKIN_TIME" IS '上次检查时间';

COMMENT ON COLUMN "lqbz"."QRTZ_SCHEDULER_STATE"."CHECKIN_INTERVAL" IS '检查间隔时间';

COMMENT ON TABLE "lqbz"."QRTZ_SIMPLE_TRIGGERS" IS '简单触发器的信息表';

COMMENT ON COLUMN "lqbz"."QRTZ_SIMPLE_TRIGGERS"."SCHED_NAME" IS '调度名称';

COMMENT ON COLUMN "lqbz"."QRTZ_SIMPLE_TRIGGERS"."TRIGGER_NAME" IS 'qrtz_triggers表trigger_name的外键';

COMMENT ON COLUMN "lqbz"."QRTZ_SIMPLE_TRIGGERS"."TRIGGER_GROUP" IS 'qrtz_triggers表trigger_group的外键';

COMMENT ON COLUMN "lqbz"."QRTZ_SIMPLE_TRIGGERS"."REPEAT_COUNT" IS '重复的次数统计';

COMMENT ON COLUMN "lqbz"."QRTZ_SIMPLE_TRIGGERS"."REPEAT_INTERVAL" IS '重复的间隔时间';

COMMENT ON COLUMN "lqbz"."QRTZ_SIMPLE_TRIGGERS"."TIMES_TRIGGERED" IS '已经触发的次数';

COMMENT ON TABLE "lqbz"."QRTZ_SIMPROP_TRIGGERS" IS '同步机制的行锁表';

COMMENT ON COLUMN "lqbz"."QRTZ_SIMPROP_TRIGGERS"."SCHED_NAME" IS '调度名称';

COMMENT ON COLUMN "lqbz"."QRTZ_SIMPROP_TRIGGERS"."TRIGGER_NAME" IS 'qrtz_triggers表trigger_name的外键';

COMMENT ON COLUMN "lqbz"."QRTZ_SIMPROP_TRIGGERS"."TRIGGER_GROUP" IS 'qrtz_triggers表trigger_group的外键';

COMMENT ON COLUMN "lqbz"."QRTZ_SIMPROP_TRIGGERS"."STR_PROP_1" IS 'String类型的trigger的第一个参数';

COMMENT ON COLUMN "lqbz"."QRTZ_SIMPROP_TRIGGERS"."STR_PROP_2" IS 'String类型的trigger的第二个参数';

COMMENT ON COLUMN "lqbz"."QRTZ_SIMPROP_TRIGGERS"."STR_PROP_3" IS 'String类型的trigger的第三个参数';

COMMENT ON COLUMN "lqbz"."QRTZ_SIMPROP_TRIGGERS"."INT_PROP_1" IS 'int类型的trigger的第一个参数';

COMMENT ON COLUMN "lqbz"."QRTZ_SIMPROP_TRIGGERS"."INT_PROP_2" IS 'int类型的trigger的第二个参数';

COMMENT ON COLUMN "lqbz"."QRTZ_SIMPROP_TRIGGERS"."LONG_PROP_1" IS 'long类型的trigger的第一个参数';

COMMENT ON COLUMN "lqbz"."QRTZ_SIMPROP_TRIGGERS"."LONG_PROP_2" IS 'long类型的trigger的第二个参数';

COMMENT ON COLUMN "lqbz"."QRTZ_SIMPROP_TRIGGERS"."DEC_PROP_1" IS 'decimal类型的trigger的第一个参数';

COMMENT ON COLUMN "lqbz"."QRTZ_SIMPROP_TRIGGERS"."DEC_PROP_2" IS 'decimal类型的trigger的第二个参数';

COMMENT ON COLUMN "lqbz"."QRTZ_SIMPROP_TRIGGERS"."BOOL_PROP_1" IS 'Boolean类型的trigger的第一个参数';

COMMENT ON COLUMN "lqbz"."QRTZ_SIMPROP_TRIGGERS"."BOOL_PROP_2" IS 'Boolean类型的trigger的第二个参数';

COMMENT ON TABLE "lqbz"."QRTZ_TRIGGERS" IS '触发器详细信息表';

COMMENT ON COLUMN "lqbz"."QRTZ_TRIGGERS"."SCHED_NAME" IS '调度名称';

COMMENT ON COLUMN "lqbz"."QRTZ_TRIGGERS"."TRIGGER_NAME" IS '触发器的名字';

COMMENT ON COLUMN "lqbz"."QRTZ_TRIGGERS"."TRIGGER_GROUP" IS '触发器所属组的名字';

COMMENT ON COLUMN "lqbz"."QRTZ_TRIGGERS"."JOB_NAME" IS 'qrtz_job_details表job_name的外键';

COMMENT ON COLUMN "lqbz"."QRTZ_TRIGGERS"."JOB_GROUP" IS 'qrtz_job_details表job_group的外键';

COMMENT ON COLUMN "lqbz"."QRTZ_TRIGGERS"."DESCRIPTION" IS '相关介绍';

COMMENT ON COLUMN "lqbz"."QRTZ_TRIGGERS"."NEXT_FIRE_TIME" IS '上一次触发时间（毫秒）';

COMMENT ON COLUMN "lqbz"."QRTZ_TRIGGERS"."PREV_FIRE_TIME" IS '下一次触发时间（默认为-1表示不触发）';

COMMENT ON COLUMN "lqbz"."QRTZ_TRIGGERS"."PRIORITY" IS '优先级';

COMMENT ON COLUMN "lqbz"."QRTZ_TRIGGERS"."TRIGGER_STATE" IS '触发器状态';

COMMENT ON COLUMN "lqbz"."QRTZ_TRIGGERS"."TRIGGER_TYPE" IS '触发器的类型';

COMMENT ON COLUMN "lqbz"."QRTZ_TRIGGERS"."START_TIME" IS '开始时间';

COMMENT ON COLUMN "lqbz"."QRTZ_TRIGGERS"."END_TIME" IS '结束时间';

COMMENT ON COLUMN "lqbz"."QRTZ_TRIGGERS"."CALENDAR_NAME" IS '日程表名称';

COMMENT ON COLUMN "lqbz"."QRTZ_TRIGGERS"."MISFIRE_INSTR" IS '补偿执行的策略';

COMMENT ON COLUMN "lqbz"."QRTZ_TRIGGERS"."JOB_DATA" IS '存放持久化job对象';

COMMENT ON TABLE "lqbz"."ROLE_MENU_AUTH" IS '角色授权菜单(角色ID对应菜单key-菜单key由前端维护，后端只做存储)';

COMMENT ON COLUMN "lqbz"."ROLE_MENU_AUTH"."ROLE_ID" IS '角色ID';

COMMENT ON COLUMN "lqbz"."ROLE_MENU_AUTH"."MENU_KEY" IS '菜单标识';

COMMENT ON COLUMN "lqbz"."ROLE_MENU_AUTH"."SORT" IS '序号(来自于前端传入数据的下标)';

COMMENT ON TABLE "lqbz"."SYS_BACKUP_DATA" IS '系统备份表';

COMMENT ON COLUMN "lqbz"."SYS_BACKUP_DATA"."BACKUP_DATA_ID" IS '备份数据库id';

COMMENT ON COLUMN "lqbz"."SYS_BACKUP_DATA"."SYS_BACKUP_ID" IS '对应系统设置-备份主键id';

COMMENT ON COLUMN "lqbz"."SYS_BACKUP_DATA"."FILE_NAME" IS '备份文件名称';

COMMENT ON COLUMN "lqbz"."SYS_BACKUP_DATA"."FILE_PATH" IS '备份文件存放路径';

COMMENT ON COLUMN "lqbz"."SYS_BACKUP_DATA"."CREATE_TIME" IS '创建时间';

COMMENT ON COLUMN "lqbz"."SYS_BACKUP_DATA"."DATA_NAME_DB" IS '数据库名';

COMMENT ON TABLE "lqbz"."SYS_BACKUP_DETAIL" IS '系统设置-备份';

COMMENT ON COLUMN "lqbz"."SYS_BACKUP_DETAIL"."SYS_BACKUP_ID" IS '系统备份id';

COMMENT ON COLUMN "lqbz"."SYS_BACKUP_DETAIL"."BACKUP_TYPE" IS '系统备份类型';

COMMENT ON COLUMN "lqbz"."SYS_BACKUP_DETAIL"."BACKUP_BY" IS '备份人用户id，如果是自动备份则为：auto';

COMMENT ON COLUMN "lqbz"."SYS_BACKUP_DETAIL"."CREATE_USER_NAME" IS '备份人姓名';

COMMENT ON COLUMN "lqbz"."SYS_BACKUP_DETAIL"."BACKUP_TIME" IS '备份时间';

COMMENT ON COLUMN "lqbz"."SYS_BACKUP_DETAIL"."FILE_NAME" IS '备份文件名称';

COMMENT ON COLUMN "lqbz"."SYS_BACKUP_DETAIL"."FILE_PATH" IS '备份文件存放路径';

COMMENT ON COLUMN "lqbz"."SYS_BACKUP_DETAIL"."BACKUP_DESC" IS '备份描述';

COMMENT ON COLUMN "lqbz"."SYS_BACKUP_DETAIL"."IS_DELETED" IS '状态（0：正常，1：删除）';

COMMENT ON TABLE "lqbz"."SYS_BACKUP_SETUP" IS '系统备份设置';

COMMENT ON COLUMN "lqbz"."SYS_BACKUP_SETUP"."SETUP_ID" IS '设置id';

COMMENT ON COLUMN "lqbz"."SYS_BACKUP_SETUP"."SETUP_STATUS" IS '自动备份设置状态（0：关闭，1：开启）';

COMMENT ON COLUMN "lqbz"."SYS_BACKUP_SETUP"."INTERVAL_PERIOD" IS '间隔周期（单位：天）';

COMMENT ON COLUMN "lqbz"."SYS_BACKUP_SETUP"."RETENTION_TIME" IS '备份保留时间（0：一个月，1：三个月，2：半年，3：一年）';

COMMENT ON COLUMN "lqbz"."SYS_BACKUP_SETUP"."UPDATE_TIME" IS '更新时间';

COMMENT ON COLUMN "lqbz"."SYS_BACKUP_SETUP"."UPDATE_USER_NAME" IS '更新人用户名';

COMMENT ON COLUMN "lqbz"."SYS_BACKUP_SETUP"."UPDATE_BY" IS '更新人用户id';

COMMENT ON COLUMN "lqbz"."SYS_BACKUP_SETUP"."START_STATUS" IS '当晚零点是否开始备份。0表示否，1表示是';

COMMENT ON TABLE "lqbz"."SYS_CONFIG" IS '参数配置表';

COMMENT ON COLUMN "lqbz"."SYS_CONFIG"."CONFIG_ID" IS '参数主键';

COMMENT ON COLUMN "lqbz"."SYS_CONFIG"."CONFIG_NAME" IS '参数名称';

COMMENT ON COLUMN "lqbz"."SYS_CONFIG"."CONFIG_KEY" IS '参数键名';

COMMENT ON COLUMN "lqbz"."SYS_CONFIG"."CONFIG_VALUE" IS '参数键值';

COMMENT ON COLUMN "lqbz"."SYS_CONFIG"."CONFIG_TYPE" IS '系统内置（Y是 N否）';

COMMENT ON COLUMN "lqbz"."SYS_CONFIG"."CREATE_BY" IS '创建者';

COMMENT ON COLUMN "lqbz"."SYS_CONFIG"."CREATE_TIME" IS '创建时间';

COMMENT ON COLUMN "lqbz"."SYS_CONFIG"."UPDATE_BY" IS '更新者';

COMMENT ON COLUMN "lqbz"."SYS_CONFIG"."UPDATE_TIME" IS '更新时间';

COMMENT ON COLUMN "lqbz"."SYS_CONFIG"."REMARK" IS '备注';

COMMENT ON TABLE "lqbz"."SYS_DEPT" IS '部门表';

COMMENT ON COLUMN "lqbz"."SYS_DEPT"."DEPT_ID" IS '部门id';

COMMENT ON COLUMN "lqbz"."SYS_DEPT"."PARENT_ID" IS '父部门id';

COMMENT ON COLUMN "lqbz"."SYS_DEPT"."ANCESTORS" IS '祖级列表';

COMMENT ON COLUMN "lqbz"."SYS_DEPT"."DEPT_NAME" IS '部门名称';

COMMENT ON COLUMN "lqbz"."SYS_DEPT"."ORDER_NUM" IS '显示顺序';

COMMENT ON COLUMN "lqbz"."SYS_DEPT"."LEADER" IS '负责人';

COMMENT ON COLUMN "lqbz"."SYS_DEPT"."PHONE" IS '联系电话';

COMMENT ON COLUMN "lqbz"."SYS_DEPT"."EMAIL" IS '邮箱';

COMMENT ON COLUMN "lqbz"."SYS_DEPT"."STATUS" IS '部门状态（0正常 1停用）';

COMMENT ON COLUMN "lqbz"."SYS_DEPT"."DEL_FLAG" IS '删除标志（0代表存在 2代表删除）';

COMMENT ON COLUMN "lqbz"."SYS_DEPT"."CREATE_BY" IS '创建者';

COMMENT ON COLUMN "lqbz"."SYS_DEPT"."CREATE_TIME" IS '创建时间';

COMMENT ON COLUMN "lqbz"."SYS_DEPT"."UPDATE_BY" IS '更新者';

COMMENT ON COLUMN "lqbz"."SYS_DEPT"."UPDATE_TIME" IS '更新时间';

COMMENT ON TABLE "lqbz"."SYS_DICT_DATA" IS '字典数据表';

COMMENT ON COLUMN "lqbz"."SYS_DICT_DATA"."DICT_CODE" IS '字典编码';

COMMENT ON COLUMN "lqbz"."SYS_DICT_DATA"."DICT_SORT" IS '字典排序';

COMMENT ON COLUMN "lqbz"."SYS_DICT_DATA"."DICT_LABEL" IS '字典标签';

COMMENT ON COLUMN "lqbz"."SYS_DICT_DATA"."DICT_VALUE" IS '字典键值';

COMMENT ON COLUMN "lqbz"."SYS_DICT_DATA"."DICT_TYPE" IS '字典类型';

COMMENT ON COLUMN "lqbz"."SYS_DICT_DATA"."CSS_CLASS" IS '样式属性（其他样式扩展）';

COMMENT ON COLUMN "lqbz"."SYS_DICT_DATA"."LIST_CLASS" IS '表格回显样式';

COMMENT ON COLUMN "lqbz"."SYS_DICT_DATA"."IS_DEFAULT" IS '是否默认（Y是 N否）';

COMMENT ON COLUMN "lqbz"."SYS_DICT_DATA"."STATUS" IS '状态（0正常 1停用）';

COMMENT ON COLUMN "lqbz"."SYS_DICT_DATA"."CREATE_BY" IS '创建者';

COMMENT ON COLUMN "lqbz"."SYS_DICT_DATA"."CREATE_TIME" IS '创建时间';

COMMENT ON COLUMN "lqbz"."SYS_DICT_DATA"."UPDATE_BY" IS '更新者';

COMMENT ON COLUMN "lqbz"."SYS_DICT_DATA"."UPDATE_TIME" IS '更新时间';

COMMENT ON COLUMN "lqbz"."SYS_DICT_DATA"."REMARK" IS '备注';

COMMENT ON TABLE "lqbz"."SYS_DICT_TYPE" IS '字典类型表';

COMMENT ON COLUMN "lqbz"."SYS_DICT_TYPE"."DICT_ID" IS '字典主键';

COMMENT ON COLUMN "lqbz"."SYS_DICT_TYPE"."DICT_NAME" IS '字典名称';

COMMENT ON COLUMN "lqbz"."SYS_DICT_TYPE"."DICT_TYPE" IS '字典类型';

COMMENT ON COLUMN "lqbz"."SYS_DICT_TYPE"."STATUS" IS '状态（0正常 1停用）';

COMMENT ON COLUMN "lqbz"."SYS_DICT_TYPE"."CREATE_BY" IS '创建者';

COMMENT ON COLUMN "lqbz"."SYS_DICT_TYPE"."CREATE_TIME" IS '创建时间';

COMMENT ON COLUMN "lqbz"."SYS_DICT_TYPE"."UPDATE_BY" IS '更新者';

COMMENT ON COLUMN "lqbz"."SYS_DICT_TYPE"."UPDATE_TIME" IS '更新时间';

COMMENT ON COLUMN "lqbz"."SYS_DICT_TYPE"."REMARK" IS '备注';

COMMENT ON TABLE "lqbz"."SYS_JOB" IS '定时任务调度表';

COMMENT ON COLUMN "lqbz"."SYS_JOB"."JOB_ID" IS '任务ID';

COMMENT ON COLUMN "lqbz"."SYS_JOB"."JOB_NAME" IS '任务名称';

COMMENT ON COLUMN "lqbz"."SYS_JOB"."JOB_GROUP" IS '任务组名';

COMMENT ON COLUMN "lqbz"."SYS_JOB"."INVOKE_TARGET" IS '调用目标字符串';

COMMENT ON COLUMN "lqbz"."SYS_JOB"."CRON_EXPRESSION" IS 'cron执行表达式';

COMMENT ON COLUMN "lqbz"."SYS_JOB"."MISFIRE_POLICY" IS '计划执行错误策略（1立即执行 2执行一次 3放弃执行）';

COMMENT ON COLUMN "lqbz"."SYS_JOB"."CONCURRENT" IS '是否并发执行（0允许 1禁止）';

COMMENT ON COLUMN "lqbz"."SYS_JOB"."STATUS" IS '状态（0正常 1暂停）';

COMMENT ON COLUMN "lqbz"."SYS_JOB"."CREATE_BY" IS '创建者';

COMMENT ON COLUMN "lqbz"."SYS_JOB"."CREATE_TIME" IS '创建时间';

COMMENT ON COLUMN "lqbz"."SYS_JOB"."UPDATE_BY" IS '更新者';

COMMENT ON COLUMN "lqbz"."SYS_JOB"."UPDATE_TIME" IS '更新时间';

COMMENT ON COLUMN "lqbz"."SYS_JOB"."REMARK" IS '备注信息';

COMMENT ON TABLE "lqbz"."SYS_JOB_LOG" IS '定时任务调度日志表';

COMMENT ON COLUMN "lqbz"."SYS_JOB_LOG"."JOB_LOG_ID" IS '任务日志ID';

COMMENT ON COLUMN "lqbz"."SYS_JOB_LOG"."JOB_NAME" IS '任务名称';

COMMENT ON COLUMN "lqbz"."SYS_JOB_LOG"."JOB_GROUP" IS '任务组名';

COMMENT ON COLUMN "lqbz"."SYS_JOB_LOG"."INVOKE_TARGET" IS '调用目标字符串';

COMMENT ON COLUMN "lqbz"."SYS_JOB_LOG"."JOB_MESSAGE" IS '日志信息';

COMMENT ON COLUMN "lqbz"."SYS_JOB_LOG"."STATUS" IS '执行状态（0正常 1失败）';

COMMENT ON COLUMN "lqbz"."SYS_JOB_LOG"."EXCEPTION_INFO" IS '异常信息';

COMMENT ON COLUMN "lqbz"."SYS_JOB_LOG"."CREATE_TIME" IS '创建时间';

COMMENT ON TABLE "lqbz"."SYS_LOGININFOR" IS '系统访问记录';

COMMENT ON COLUMN "lqbz"."SYS_LOGININFOR"."INFO_ID" IS '访问ID';

COMMENT ON COLUMN "lqbz"."SYS_LOGININFOR"."USER_NAME" IS '用户账号';

COMMENT ON COLUMN "lqbz"."SYS_LOGININFOR"."IPADDR" IS '登录IP地址';

COMMENT ON COLUMN "lqbz"."SYS_LOGININFOR"."LOGIN_LOCATION" IS '登录地点';

COMMENT ON COLUMN "lqbz"."SYS_LOGININFOR"."BROWSER" IS '浏览器类型';

COMMENT ON COLUMN "lqbz"."SYS_LOGININFOR"."OS" IS '操作系统';

COMMENT ON COLUMN "lqbz"."SYS_LOGININFOR"."STATUS" IS '登录状态（0成功 1失败）';

COMMENT ON COLUMN "lqbz"."SYS_LOGININFOR"."MSG" IS '提示消息';

COMMENT ON COLUMN "lqbz"."SYS_LOGININFOR"."LOGIN_TIME" IS '访问时间';

COMMENT ON TABLE "lqbz"."SYS_MENU" IS '菜单权限表';

COMMENT ON COLUMN "lqbz"."SYS_MENU"."MENU_ID" IS '菜单ID';

COMMENT ON COLUMN "lqbz"."SYS_MENU"."MENU_NAME" IS '菜单名称';

COMMENT ON COLUMN "lqbz"."SYS_MENU"."PARENT_ID" IS '父菜单ID';

COMMENT ON COLUMN "lqbz"."SYS_MENU"."ORDER_NUM" IS '显示顺序';

COMMENT ON COLUMN "lqbz"."SYS_MENU"."PATH" IS '路由地址';

COMMENT ON COLUMN "lqbz"."SYS_MENU"."COMPONENT" IS '组件路径';

COMMENT ON COLUMN "lqbz"."SYS_MENU"."QUERY" IS '路由参数';

COMMENT ON COLUMN "lqbz"."SYS_MENU"."IS_FRAME" IS '是否为外链（0是 1否）';

COMMENT ON COLUMN "lqbz"."SYS_MENU"."IS_CACHE" IS '是否缓存（0缓存 1不缓存）';

COMMENT ON COLUMN "lqbz"."SYS_MENU"."MENU_TYPE" IS '菜单类型（M目录 C菜单 F按钮）';

COMMENT ON COLUMN "lqbz"."SYS_MENU"."VISIBLE" IS '菜单状态（0显示 1隐藏）';

COMMENT ON COLUMN "lqbz"."SYS_MENU"."STATUS" IS '菜单状态（0正常 1停用）';

COMMENT ON COLUMN "lqbz"."SYS_MENU"."PERMS" IS '权限标识';

COMMENT ON COLUMN "lqbz"."SYS_MENU"."ICON" IS '菜单图标';

COMMENT ON COLUMN "lqbz"."SYS_MENU"."CREATE_BY" IS '创建者';

COMMENT ON COLUMN "lqbz"."SYS_MENU"."CREATE_TIME" IS '创建时间';

COMMENT ON COLUMN "lqbz"."SYS_MENU"."UPDATE_BY" IS '更新者';

COMMENT ON COLUMN "lqbz"."SYS_MENU"."UPDATE_TIME" IS '更新时间';

COMMENT ON COLUMN "lqbz"."SYS_MENU"."REMARK" IS '备注';

COMMENT ON TABLE "lqbz"."SYS_NOTICE" IS '通知公告表';

COMMENT ON COLUMN "lqbz"."SYS_NOTICE"."NOTICE_ID" IS '公告ID';

COMMENT ON COLUMN "lqbz"."SYS_NOTICE"."NOTICE_TITLE" IS '公告标题';

COMMENT ON COLUMN "lqbz"."SYS_NOTICE"."NOTICE_TYPE" IS '公告类型（1通知 2公告）';

COMMENT ON COLUMN "lqbz"."SYS_NOTICE"."NOTICE_CONTENT" IS '公告内容';

COMMENT ON COLUMN "lqbz"."SYS_NOTICE"."STATUS" IS '公告状态（0正常 1关闭）';

COMMENT ON COLUMN "lqbz"."SYS_NOTICE"."CREATE_BY" IS '创建者';

COMMENT ON COLUMN "lqbz"."SYS_NOTICE"."CREATE_TIME" IS '创建时间';

COMMENT ON COLUMN "lqbz"."SYS_NOTICE"."UPDATE_BY" IS '更新者';

COMMENT ON COLUMN "lqbz"."SYS_NOTICE"."UPDATE_TIME" IS '更新时间';

COMMENT ON COLUMN "lqbz"."SYS_NOTICE"."REMARK" IS '备注';

COMMENT ON TABLE "lqbz"."SYS_OPER_LOG" IS '操作日志记录';

COMMENT ON COLUMN "lqbz"."SYS_OPER_LOG"."OPER_ID" IS '日志主键';

COMMENT ON COLUMN "lqbz"."SYS_OPER_LOG"."TITLE" IS '模块标题';

COMMENT ON COLUMN "lqbz"."SYS_OPER_LOG"."BUSINESS_TYPE" IS '业务类型（0其它 1新增 2修改 3删除）';

COMMENT ON COLUMN "lqbz"."SYS_OPER_LOG"."METHOD" IS '方法名称';

COMMENT ON COLUMN "lqbz"."SYS_OPER_LOG"."REQUEST_METHOD" IS '请求方式';

COMMENT ON COLUMN "lqbz"."SYS_OPER_LOG"."OPERATOR_TYPE" IS '操作类别（0其它 1后台用户 2手机端用户）';

COMMENT ON COLUMN "lqbz"."SYS_OPER_LOG"."OPER_NAME" IS '操作人员';

COMMENT ON COLUMN "lqbz"."SYS_OPER_LOG"."DEPT_NAME" IS '部门名称';

COMMENT ON COLUMN "lqbz"."SYS_OPER_LOG"."OPER_URL" IS '请求URL';

COMMENT ON COLUMN "lqbz"."SYS_OPER_LOG"."OPER_IP" IS '主机地址';

COMMENT ON COLUMN "lqbz"."SYS_OPER_LOG"."OPER_LOCATION" IS '操作地点';

COMMENT ON COLUMN "lqbz"."SYS_OPER_LOG"."OPER_PARAM" IS '请求参数';

COMMENT ON COLUMN "lqbz"."SYS_OPER_LOG"."JSON_RESULT" IS '返回参数';

COMMENT ON COLUMN "lqbz"."SYS_OPER_LOG"."STATUS" IS '操作状态（0正常 1异常）';

COMMENT ON COLUMN "lqbz"."SYS_OPER_LOG"."ERROR_MSG" IS '错误消息';

COMMENT ON COLUMN "lqbz"."SYS_OPER_LOG"."OPER_TIME" IS '操作时间';

COMMENT ON COLUMN "lqbz"."SYS_OPER_LOG"."COST_TIME" IS '消耗时间';

COMMENT ON TABLE "lqbz"."SYS_POST" IS '岗位信息表';

COMMENT ON COLUMN "lqbz"."SYS_POST"."POST_ID" IS '岗位ID';

COMMENT ON COLUMN "lqbz"."SYS_POST"."POST_CODE" IS '岗位编码';

COMMENT ON COLUMN "lqbz"."SYS_POST"."POST_NAME" IS '岗位名称';

COMMENT ON COLUMN "lqbz"."SYS_POST"."POST_SORT" IS '显示顺序';

COMMENT ON COLUMN "lqbz"."SYS_POST"."STATUS" IS '状态（0正常 1停用）';

COMMENT ON COLUMN "lqbz"."SYS_POST"."CREATE_BY" IS '创建者';

COMMENT ON COLUMN "lqbz"."SYS_POST"."CREATE_TIME" IS '创建时间';

COMMENT ON COLUMN "lqbz"."SYS_POST"."UPDATE_BY" IS '更新者';

COMMENT ON COLUMN "lqbz"."SYS_POST"."UPDATE_TIME" IS '更新时间';

COMMENT ON COLUMN "lqbz"."SYS_POST"."REMARK" IS '备注';

COMMENT ON TABLE "lqbz"."SYS_ROLE" IS '角色信息表';

COMMENT ON COLUMN "lqbz"."SYS_ROLE"."ROLE_ID" IS '角色ID';

COMMENT ON COLUMN "lqbz"."SYS_ROLE"."ROLE_NAME" IS '角色名称';

COMMENT ON COLUMN "lqbz"."SYS_ROLE"."ROLE_KEY" IS '角色权限字符串';

COMMENT ON COLUMN "lqbz"."SYS_ROLE"."ROLE_SORT" IS '显示顺序';

COMMENT ON COLUMN "lqbz"."SYS_ROLE"."DATA_SCOPE" IS '数据范围（1：全部数据权限 2：自定数据权限 3：本部门数据权限 4：本部门及以下数据权限）';

COMMENT ON COLUMN "lqbz"."SYS_ROLE"."MENU_CHECK_STRICTLY" IS '菜单树选择项是否关联显示';

COMMENT ON COLUMN "lqbz"."SYS_ROLE"."DEPT_CHECK_STRICTLY" IS '部门树选择项是否关联显示';

COMMENT ON COLUMN "lqbz"."SYS_ROLE"."STATUS" IS '角色状态（0正常 1停用）';

COMMENT ON COLUMN "lqbz"."SYS_ROLE"."DEL_FLAG" IS '删除标志（0代表存在 2代表删除）';

COMMENT ON COLUMN "lqbz"."SYS_ROLE"."CREATE_BY" IS '创建者';

COMMENT ON COLUMN "lqbz"."SYS_ROLE"."CREATE_TIME" IS '创建时间';

COMMENT ON COLUMN "lqbz"."SYS_ROLE"."UPDATE_BY" IS '更新者';

COMMENT ON COLUMN "lqbz"."SYS_ROLE"."UPDATE_TIME" IS '更新时间';

COMMENT ON COLUMN "lqbz"."SYS_ROLE"."REMARK" IS '备注';

COMMENT ON TABLE "lqbz"."SYS_ROLE_DEPT" IS '角色和部门关联表';

COMMENT ON COLUMN "lqbz"."SYS_ROLE_DEPT"."ROLE_ID" IS '角色ID';

COMMENT ON COLUMN "lqbz"."SYS_ROLE_DEPT"."DEPT_ID" IS '部门ID';

COMMENT ON TABLE "lqbz"."SYS_ROLE_MENU" IS '角色和菜单关联表';

COMMENT ON COLUMN "lqbz"."SYS_ROLE_MENU"."ROLE_ID" IS '角色ID';

COMMENT ON COLUMN "lqbz"."SYS_ROLE_MENU"."MENU_ID" IS '菜单ID';

COMMENT ON TABLE "lqbz"."SYS_ROLE_SPECIALTY" IS '角色和专业关联表';

COMMENT ON COLUMN "lqbz"."SYS_ROLE_SPECIALTY"."ROLE_ID" IS '角色id';

COMMENT ON COLUMN "lqbz"."SYS_ROLE_SPECIALTY"."SPECIALTY" IS '专业(航材分类编码)';

COMMENT ON TABLE "lqbz"."SYS_USER" IS '用户信息表';

COMMENT ON COLUMN "lqbz"."SYS_USER"."USER_ID" IS '用户ID';

COMMENT ON COLUMN "lqbz"."SYS_USER"."DEPT_ID" IS '部门ID';

COMMENT ON COLUMN "lqbz"."SYS_USER"."MAJOR_ID" IS '专业ID';

COMMENT ON COLUMN "lqbz"."SYS_USER"."MAJOR_NAME" IS '专业名称';

COMMENT ON COLUMN "lqbz"."SYS_USER"."USER_NAME" IS '用户账号';

COMMENT ON COLUMN "lqbz"."SYS_USER"."NICK_NAME" IS '用户昵称';

COMMENT ON COLUMN "lqbz"."SYS_USER"."USER_TYPE" IS '用户类型（00系统用户）';

COMMENT ON COLUMN "lqbz"."SYS_USER"."EMAIL" IS '用户邮箱';

COMMENT ON COLUMN "lqbz"."SYS_USER"."PHONENUMBER" IS '手机号码';

COMMENT ON COLUMN "lqbz"."SYS_USER"."SEX" IS '用户性别（0男 1女 2未知）';

COMMENT ON COLUMN "lqbz"."SYS_USER"."AVATAR" IS '头像地址';

COMMENT ON COLUMN "lqbz"."SYS_USER"."PASSWORD" IS '密码';

COMMENT ON COLUMN "lqbz"."SYS_USER"."STATUS" IS '帐号状态（0正常 1停用）';

COMMENT ON COLUMN "lqbz"."SYS_USER"."DEL_FLAG" IS '删除标志（0代表存在 2代表删除）';

COMMENT ON COLUMN "lqbz"."SYS_USER"."LOGIN_IP" IS '最后登录IP';

COMMENT ON COLUMN "lqbz"."SYS_USER"."LOGIN_DATE" IS '最后登录时间';

COMMENT ON COLUMN "lqbz"."SYS_USER"."CREATE_BY" IS '创建者';

COMMENT ON COLUMN "lqbz"."SYS_USER"."CREATE_TIME" IS '创建时间';

COMMENT ON COLUMN "lqbz"."SYS_USER"."UPDATE_BY" IS '更新者';

COMMENT ON COLUMN "lqbz"."SYS_USER"."UPDATE_TIME" IS '更新时间';

COMMENT ON COLUMN "lqbz"."SYS_USER"."REMARK" IS '备注';

COMMENT ON TABLE "lqbz"."SYS_USER_LOGIN" IS '登录用户信息';

COMMENT ON COLUMN "lqbz"."SYS_USER_LOGIN"."UUID" IS '登录uuid';

COMMENT ON COLUMN "lqbz"."SYS_USER_LOGIN"."USER_ID" IS '用户id';

COMMENT ON COLUMN "lqbz"."SYS_USER_LOGIN"."TOKEN" IS 'token令牌';

COMMENT ON COLUMN "lqbz"."SYS_USER_LOGIN"."LOGIN_TIME" IS '登录时间';

COMMENT ON COLUMN "lqbz"."SYS_USER_LOGIN"."EXPIRE_TIME" IS 'token令牌到期时间';

COMMENT ON COLUMN "lqbz"."SYS_USER_LOGIN"."IPADDR" IS '登录IP';

COMMENT ON TABLE "lqbz"."SYS_USER_POST" IS '用户与岗位关联表';

COMMENT ON COLUMN "lqbz"."SYS_USER_POST"."USER_ID" IS '用户ID';

COMMENT ON COLUMN "lqbz"."SYS_USER_POST"."POST_ID" IS '岗位ID';

COMMENT ON TABLE "lqbz"."SYS_USER_ROLE" IS '用户和角色关联表';

COMMENT ON COLUMN "lqbz"."SYS_USER_ROLE"."USER_ID" IS '用户ID';

COMMENT ON COLUMN "lqbz"."SYS_USER_ROLE"."ROLE_ID" IS '角色ID';

COMMENT ON TABLE "lqbz"."T_AIRCAFT_CATALOG" IS '飞机编目';

COMMENT ON COLUMN "lqbz"."T_AIRCAFT_CATALOG"."AIRCAFT_CATALOG_ID" IS '飞机ID';

COMMENT ON COLUMN "lqbz"."T_AIRCAFT_CATALOG"."AIRCAFT_CATALOG_CODE" IS '飞机编码';

COMMENT ON COLUMN "lqbz"."T_AIRCAFT_CATALOG"."AIRCAFT_MODEL_ID" IS '机型编码';

COMMENT ON COLUMN "lqbz"."T_AIRCAFT_CATALOG"."AIRCAFT_MODEL_CODE" IS '所属机型';

COMMENT ON COLUMN "lqbz"."T_AIRCAFT_CATALOG"."MECHANICIAN" IS '机械师';

COMMENT ON COLUMN "lqbz"."T_AIRCAFT_CATALOG"."ARMY" IS '所属部队';

COMMENT ON COLUMN "lqbz"."T_AIRCAFT_CATALOG"."WAR_ZONE" IS '所属战区';

COMMENT ON COLUMN "lqbz"."T_AIRCAFT_CATALOG"."STATION" IS '驻地';

COMMENT ON COLUMN "lqbz"."T_AIRCAFT_CATALOG"."ASSEMBLY_TIME" IS '装列时间';

COMMENT ON COLUMN "lqbz"."T_AIRCAFT_CATALOG"."MANUFACTURER" IS '厂家';

COMMENT ON COLUMN "lqbz"."T_AIRCAFT_CATALOG"."FACTORY_NUMBER" IS '出厂编号';

COMMENT ON COLUMN "lqbz"."T_AIRCAFT_CATALOG"."STATUS" IS '状态 0禁用 1启用';

COMMENT ON COLUMN "lqbz"."T_AIRCAFT_CATALOG"."IS_DELETED" IS '逻辑删除字段(0 正常 1已删除)';

COMMENT ON COLUMN "lqbz"."T_AIRCAFT_CATALOG"."CREATE_BY" IS '创建者';

COMMENT ON COLUMN "lqbz"."T_AIRCAFT_CATALOG"."CREATE_TIME" IS '创建时间';

COMMENT ON COLUMN "lqbz"."T_AIRCAFT_CATALOG"."UPDATE_BY" IS '更新者';

COMMENT ON COLUMN "lqbz"."T_AIRCAFT_CATALOG"."UPDATE_TIME" IS '更新时间';

COMMENT ON TABLE "lqbz"."T_AIRCAFT_COMPONENTS" IS '飞机构型';

COMMENT ON COLUMN "lqbz"."T_AIRCAFT_COMPONENTS"."AVMAT_CATALOG_ID" IS '航材id';

COMMENT ON COLUMN "lqbz"."T_AIRCAFT_COMPONENTS"."AIRCAFT_MODEL_ID" IS '机型ID';

COMMENT ON COLUMN "lqbz"."T_AIRCAFT_COMPONENTS"."AIRCAFT_MODEL_CODE" IS '机型编码';

COMMENT ON COLUMN "lqbz"."T_AIRCAFT_COMPONENTS"."AVMAT_CATALOG_CODE" IS '航材编号';

COMMENT ON COLUMN "lqbz"."T_AIRCAFT_COMPONENTS"."INSTALLED_COUNT" IS '装机数量';

COMMENT ON COLUMN "lqbz"."T_AIRCAFT_COMPONENTS"."INSTALLED_POSITION" IS '装机部位';

COMMENT ON COLUMN "lqbz"."T_AIRCAFT_COMPONENTS"."IS_DELETED" IS '逻辑删除字段(0 正常 1已删除)';

COMMENT ON COLUMN "lqbz"."T_AIRCAFT_COMPONENTS"."CREATE_BY" IS '创建者';

COMMENT ON COLUMN "lqbz"."T_AIRCAFT_COMPONENTS"."CREATE_TIME" IS '创建时间';

COMMENT ON COLUMN "lqbz"."T_AIRCAFT_COMPONENTS"."UPDATE_BY" IS '更新者';

COMMENT ON COLUMN "lqbz"."T_AIRCAFT_COMPONENTS"."UPDATE_TIME" IS '更新时间';

COMMENT ON TABLE "lqbz"."T_AIRCAFT_MODEL" IS '机型';

COMMENT ON COLUMN "lqbz"."T_AIRCAFT_MODEL"."AIRCAFT_MODEL_ID" IS '机型ID';

COMMENT ON COLUMN "lqbz"."T_AIRCAFT_MODEL"."AIRCAFT_MODEL_CODE" IS '机型编码';

COMMENT ON COLUMN "lqbz"."T_AIRCAFT_MODEL"."AIRCAFT_MODEL_NAME" IS '机型名称';

COMMENT ON COLUMN "lqbz"."T_AIRCAFT_MODEL"."AIRCAFT_TYPE_ID" IS '机种ID';

COMMENT ON COLUMN "lqbz"."T_AIRCAFT_MODEL"."AIRCAFT_TYPE_CODE" IS '机种编码';

COMMENT ON COLUMN "lqbz"."T_AIRCAFT_MODEL"."STATUS" IS '状态 0禁用 1启用';

COMMENT ON COLUMN "lqbz"."T_AIRCAFT_MODEL"."IS_DELETED" IS '逻辑删除字段(0 正常 1已删除)';

COMMENT ON COLUMN "lqbz"."T_AIRCAFT_MODEL"."CREATE_BY" IS '创建者';

COMMENT ON COLUMN "lqbz"."T_AIRCAFT_MODEL"."CREATE_TIME" IS '创建时间';

COMMENT ON COLUMN "lqbz"."T_AIRCAFT_MODEL"."UPDATE_BY" IS '更新者';

COMMENT ON COLUMN "lqbz"."T_AIRCAFT_MODEL"."UPDATE_TIME" IS '更新时间';

COMMENT ON TABLE "lqbz"."T_AIRCAFT_TYPE" IS '机种';

COMMENT ON COLUMN "lqbz"."T_AIRCAFT_TYPE"."AIRCAFT_TYPE_ID" IS '机种ID';

COMMENT ON COLUMN "lqbz"."T_AIRCAFT_TYPE"."AIRCAFT_TYPE_CODE" IS '机种编码';

COMMENT ON COLUMN "lqbz"."T_AIRCAFT_TYPE"."PARENT_AIRCAFT_TYPE_ID" IS '父机种ID';

COMMENT ON COLUMN "lqbz"."T_AIRCAFT_TYPE"."PARENT_AIRCAFT_TYPE_CODE" IS '父编码';

COMMENT ON COLUMN "lqbz"."T_AIRCAFT_TYPE"."PARENT_CODES" IS '父编码集合';

COMMENT ON COLUMN "lqbz"."T_AIRCAFT_TYPE"."AIRCAFT_TYPE_NAME" IS '机种名称';

COMMENT ON COLUMN "lqbz"."T_AIRCAFT_TYPE"."NUMBER" IS '序号';

COMMENT ON COLUMN "lqbz"."T_AIRCAFT_TYPE"."STATUS" IS '状态 0禁用 1启用';

COMMENT ON COLUMN "lqbz"."T_AIRCAFT_TYPE"."IS_DELETED" IS '逻辑删除字段(0 正常 1已删除)';

COMMENT ON COLUMN "lqbz"."T_AIRCAFT_TYPE"."CREATE_BY" IS '创建者';

COMMENT ON COLUMN "lqbz"."T_AIRCAFT_TYPE"."CREATE_TIME" IS '创建时间';

COMMENT ON COLUMN "lqbz"."T_AIRCAFT_TYPE"."UPDATE_BY" IS '更新者';

COMMENT ON COLUMN "lqbz"."T_AIRCAFT_TYPE"."UPDATE_TIME" IS '更新时间';

COMMENT ON TABLE "lqbz"."T_AVMAT_CATALOG" IS '航材物资编目';

COMMENT ON COLUMN "lqbz"."T_AVMAT_CATALOG"."AVMAT_CATALOG_ID" IS '航材ID';

COMMENT ON COLUMN "lqbz"."T_AVMAT_CATALOG"."AVMAT_CATALOG_CODE" IS '航材编号';

COMMENT ON COLUMN "lqbz"."T_AVMAT_CATALOG"."AVMAT_CATEGORIES_ID" IS '航材分类ID';

COMMENT ON COLUMN "lqbz"."T_AVMAT_CATALOG"."AVMAT_CATEGORIES_CODE" IS '航材分类编码';

COMMENT ON COLUMN "lqbz"."T_AVMAT_CATALOG"."AVMAT_CATALOG_NAME" IS '航材名称';

COMMENT ON COLUMN "lqbz"."T_AVMAT_CATALOG"."SPECIFICATION" IS '规格型号';

COMMENT ON COLUMN "lqbz"."T_AVMAT_CATALOG"."DIAGRAM_NUMBER" IS '图号';

COMMENT ON COLUMN "lqbz"."T_AVMAT_CATALOG"."UNIT" IS '计量单位';

COMMENT ON COLUMN "lqbz"."T_AVMAT_CATALOG"."SPECIALTY" IS '专业';

COMMENT ON COLUMN "lqbz"."T_AVMAT_CATALOG"."MANUFACTURER" IS '生产厂家';

COMMENT ON COLUMN "lqbz"."T_AVMAT_CATALOG"."IS_REPAIRABLE" IS '是否可修 1 可修 0 不可修';

COMMENT ON COLUMN "lqbz"."T_AVMAT_CATALOG"."IS_COMPLETE_SET" IS '是否成套 1是 0 否';

COMMENT ON COLUMN "lqbz"."T_AVMAT_CATALOG"."IS_ORDERED" IS '是否有序 1有序 0 无序';

COMMENT ON COLUMN "lqbz"."T_AVMAT_CATALOG"."IS_IMPORTED" IS '是否进口 1进口 0国产';

COMMENT ON COLUMN "lqbz"."T_AVMAT_CATALOG"."MAPPING_ID" IS '映射航材ID';

COMMENT ON COLUMN "lqbz"."T_AVMAT_CATALOG"."MAPPING_CODE" IS '映射编码';

COMMENT ON COLUMN "lqbz"."T_AVMAT_CATALOG"."IS_DELETED" IS '逻辑删除字段(0 正常 1已删除)';

COMMENT ON COLUMN "lqbz"."T_AVMAT_CATALOG"."STATUS" IS '状态 0禁用 1启用';

COMMENT ON COLUMN "lqbz"."T_AVMAT_CATALOG"."AVMAT_TYPE" IS '航材类型(0机务，1航材)';

COMMENT ON COLUMN "lqbz"."T_AVMAT_CATALOG"."INTERNAL_VERSION" IS '内部版本号';

COMMENT ON COLUMN "lqbz"."T_AVMAT_CATALOG"."CREATE_BY" IS '创建者';

COMMENT ON COLUMN "lqbz"."T_AVMAT_CATALOG"."CREATE_TIME" IS '创建时间';

COMMENT ON COLUMN "lqbz"."T_AVMAT_CATALOG"."UPDATE_BY" IS '更新者';

COMMENT ON COLUMN "lqbz"."T_AVMAT_CATALOG"."UPDATE_TIME" IS '更新时间';

COMMENT ON COLUMN "lqbz"."T_AVMAT_CATALOG"."PRICE_ID" IS '价格唯一使用的code';

COMMENT ON TABLE "lqbz"."T_AVMAT_CATEGORIES" IS '航材分类';

COMMENT ON COLUMN "lqbz"."T_AVMAT_CATEGORIES"."AVMAT_CATEGORIES_ID" IS '航材分类ID';

COMMENT ON COLUMN "lqbz"."T_AVMAT_CATEGORIES"."AVMAT_CATEGORIES_CODE" IS '航材分类编号';

COMMENT ON COLUMN "lqbz"."T_AVMAT_CATEGORIES"."PARENT_CATEGORIES_ID" IS '父分类ID';

COMMENT ON COLUMN "lqbz"."T_AVMAT_CATEGORIES"."PARENT_CATEGORIES_CODE" IS '父编码';

COMMENT ON COLUMN "lqbz"."T_AVMAT_CATEGORIES"."PARENT_CODES" IS '父编码集合';

COMMENT ON COLUMN "lqbz"."T_AVMAT_CATEGORIES"."AVMAT_CATEGORIES_NAME" IS '航材备件分类名称';

COMMENT ON COLUMN "lqbz"."T_AVMAT_CATEGORIES"."NUMBER" IS '序号';

COMMENT ON COLUMN "lqbz"."T_AVMAT_CATEGORIES"."STATUS" IS '状态 0禁用 1启用';

COMMENT ON COLUMN "lqbz"."T_AVMAT_CATEGORIES"."IS_DELETED" IS '逻辑删除字段(0 正常 1已删除)';

COMMENT ON COLUMN "lqbz"."T_AVMAT_CATEGORIES"."CREATE_BY" IS '创建者';

COMMENT ON COLUMN "lqbz"."T_AVMAT_CATEGORIES"."CREATE_TIME" IS '创建时间';

COMMENT ON COLUMN "lqbz"."T_AVMAT_CATEGORIES"."UPDATE_BY" IS '更新者';

COMMENT ON COLUMN "lqbz"."T_AVMAT_CATEGORIES"."UPDATE_TIME" IS '更新时间';

COMMENT ON TABLE "lqbz"."T_AVMAT_CONSUME_RULE" IS '航材消耗规律';

COMMENT ON COLUMN "lqbz"."T_AVMAT_CONSUME_RULE"."CONSUME_RULE_ID" IS '消耗规律ID';

COMMENT ON COLUMN "lqbz"."T_AVMAT_CONSUME_RULE"."AVMAT_CATALOG_ID" IS '航材Id';

COMMENT ON COLUMN "lqbz"."T_AVMAT_CONSUME_RULE"."MTBF" IS '平均无故障工作时间';

COMMENT ON COLUMN "lqbz"."T_AVMAT_CONSUME_RULE"."LIFE_UNIT" IS '寿命单位';

COMMENT ON COLUMN "lqbz"."T_AVMAT_CONSUME_RULE"."CREATE_BY" IS '创建者';

COMMENT ON COLUMN "lqbz"."T_AVMAT_CONSUME_RULE"."CREATE_TIME" IS '创建时间';

COMMENT ON COLUMN "lqbz"."T_AVMAT_CONSUME_RULE"."UPDATE_BY" IS '更新者';

COMMENT ON COLUMN "lqbz"."T_AVMAT_CONSUME_RULE"."UPDATE_TIME" IS '更新时间';

COMMENT ON TABLE "lqbz"."T_AVMAT_PRICE" IS '航材物资价格';

COMMENT ON COLUMN "lqbz"."T_AVMAT_PRICE"."AVMAT_PRICE_ID" IS '航材物资价格id';

COMMENT ON COLUMN "lqbz"."T_AVMAT_PRICE"."AVMAT_CATALOG_ID" IS '航材id';

COMMENT ON COLUMN "lqbz"."T_AVMAT_PRICE"."AVMAT_CATALOG_CODE" IS '航材编号';

COMMENT ON COLUMN "lqbz"."T_AVMAT_PRICE"."REPAIR_PRICE" IS '维修价格';

COMMENT ON COLUMN "lqbz"."T_AVMAT_PRICE"."PURCHASE_PRICE" IS '采购价格';

COMMENT ON COLUMN "lqbz"."T_AVMAT_PRICE"."IS_DELETED" IS '逻辑删除字段(0 正常 1已删除)';

COMMENT ON COLUMN "lqbz"."T_AVMAT_PRICE"."CREATE_BY" IS '创建者';

COMMENT ON COLUMN "lqbz"."T_AVMAT_PRICE"."CREATE_TIME" IS '创建时间';

COMMENT ON COLUMN "lqbz"."T_AVMAT_PRICE"."UPDATE_BY" IS '更新者';

COMMENT ON COLUMN "lqbz"."T_AVMAT_PRICE"."UPDATE_TIME" IS '更新时间';

COMMENT ON TABLE "lqbz"."T_CARRYING_AVMAT_USE_REGISTER" IS '携行航材使用登记';

COMMENT ON COLUMN "lqbz"."T_CARRYING_AVMAT_USE_REGISTER"."REGISTER_ID" IS '携行航材使用登记ID';

COMMENT ON COLUMN "lqbz"."T_CARRYING_AVMAT_USE_REGISTER"."TASK_ID" IS '任务id';

COMMENT ON COLUMN "lqbz"."T_CARRYING_AVMAT_USE_REGISTER"."AVMAT_CATALOG_ID" IS '航材ID';

COMMENT ON COLUMN "lqbz"."T_CARRYING_AVMAT_USE_REGISTER"."AVMAT_CATALOG_CODE" IS '航材编号';

COMMENT ON COLUMN "lqbz"."T_CARRYING_AVMAT_USE_REGISTER"."APPLY_FOR_NUM" IS '申请数量';

COMMENT ON COLUMN "lqbz"."T_CARRYING_AVMAT_USE_REGISTER"."STOCK_REMOVAL_NUM" IS '出库数量';

COMMENT ON COLUMN "lqbz"."T_CARRYING_AVMAT_USE_REGISTER"."CREATE_BY" IS '创建者';

COMMENT ON COLUMN "lqbz"."T_CARRYING_AVMAT_USE_REGISTER"."CREATE_TIME" IS '创建时间';

COMMENT ON COLUMN "lqbz"."T_CARRYING_AVMAT_USE_REGISTER"."UPDATE_BY" IS '更新者';

COMMENT ON COLUMN "lqbz"."T_CARRYING_AVMAT_USE_REGISTER"."UPDATE_TIME" IS '更新时间';

COMMENT ON TABLE "lqbz"."T_CARRYING_MAINTE_ORGAN" IS '携行清单机务编制';

COMMENT ON COLUMN "lqbz"."T_CARRYING_MAINTE_ORGAN"."MAINTE_ORGAN_ID" IS '机务编制id';

COMMENT ON COLUMN "lqbz"."T_CARRYING_MAINTE_ORGAN"."TASK_ID" IS '任务id';

COMMENT ON COLUMN "lqbz"."T_CARRYING_MAINTE_ORGAN"."FLY_TASK_AIRCAFT_ID" IS '飞行任务_任务飞机记录ID';

COMMENT ON COLUMN "lqbz"."T_CARRYING_MAINTE_ORGAN"."AVMAT_CATALOG_CODE" IS '航材编号';

COMMENT ON COLUMN "lqbz"."T_CARRYING_MAINTE_ORGAN"."AVMAT_CATALOG_ID" IS '航材ID';

COMMENT ON COLUMN "lqbz"."T_CARRYING_MAINTE_ORGAN"."AVMAT_TYPE" IS '航材类型(0 机务，1航材)';

COMMENT ON COLUMN "lqbz"."T_CARRYING_MAINTE_ORGAN"."CARRY_QUANTITY" IS '携带数量';

COMMENT ON COLUMN "lqbz"."T_CARRYING_MAINTE_ORGAN"."CREATE_BY" IS '创建者';

COMMENT ON COLUMN "lqbz"."T_CARRYING_MAINTE_ORGAN"."CREATE_TIME" IS '创建时间';

COMMENT ON COLUMN "lqbz"."T_CARRYING_MAINTE_ORGAN"."UPDATE_BY" IS '更新者';

COMMENT ON COLUMN "lqbz"."T_CARRYING_MAINTE_ORGAN"."UPDATE_TIME" IS '更新时间';

COMMENT ON COLUMN "lqbz"."T_CARRYING_MAINTE_ORGAN"."APPLY_FOR_NUM" IS '申请数量';

COMMENT ON COLUMN "lqbz"."T_CARRYING_MAINTE_ORGAN"."STOCK_REMOVAL_NUM" IS '出库数量';

COMMENT ON COLUMN "lqbz"."T_CARRYING_MAINTE_ORGAN"."TASK_STATIC" IS '任务状态（0非携行，1携行）';

COMMENT ON COLUMN "lqbz"."T_CARRYING_MAINTE_ORGAN"."INSERT_TYPE" IS '数据插入类型(0 用户手动填入，1品种推荐)';

COMMENT ON TABLE "lqbz"."T_ENV_FACTOR" IS '环境因子';

COMMENT ON COLUMN "lqbz"."T_ENV_FACTOR"."ENV_FACTOR_ID" IS '环境因子id';

COMMENT ON COLUMN "lqbz"."T_ENV_FACTOR"."ENV" IS '使用环境';

COMMENT ON COLUMN "lqbz"."T_ENV_FACTOR"."FACTOR" IS '因子';

COMMENT ON COLUMN "lqbz"."T_ENV_FACTOR"."REMARK" IS '备注';

COMMENT ON COLUMN "lqbz"."T_ENV_FACTOR"."IS_DELETED" IS '逻辑删除字段(0 正常 1已删除)';

COMMENT ON COLUMN "lqbz"."T_ENV_FACTOR"."CREATE_BY" IS '创建者';

COMMENT ON COLUMN "lqbz"."T_ENV_FACTOR"."CREATE_TIME" IS '创建时间';

COMMENT ON COLUMN "lqbz"."T_ENV_FACTOR"."UPDATE_BY" IS '更新者';

COMMENT ON COLUMN "lqbz"."T_ENV_FACTOR"."UPDATE_TIME" IS '更新时间';

COMMENT ON COLUMN "lqbz"."T_ENV_FACTOR"."ENV_TYPE" IS '因子类型';

COMMENT ON COLUMN "lqbz"."T_ENV_FACTOR"."ENV_STATUS" IS '因子状态(启用禁用)';

