CREATE TABLE "lqbz"."als_air_paramter_t"(
                                           id bigint NOT NULL,
                                           aircraft_type VARCHAR2(255),
                                           sys_id VARCHAR2(255),
                                           sys_name VARCHAR2(255),
                                           name VARCHAR2(255),
                                           name_id VARCHAR2(255),
                                           remarks VARCHAR2(900),
                                           attribute1 VARCHAR2(255),
                                           attribute2 VARCHAR2(255),
                                           attribute3 VARCHAR2(255),
                                           attribute4 VARCHAR2(255),
                                           attribute5 VARCHAR2(255),
                                           tenant_id VARCHAR2,
                                           del_flag bit DEFAULT  0,
                                           version INTEGER,
                                           create_by VARCHAR2,
                                           create_time TIMESTAMP,
                                           update_by VARCHAR2,
                                           update_time TIMESTAMP
);

ALTER TABLE "lqbz"."als_air_paramter_t" ADD CONSTRAINT PRIMARY KEY (id);

COMMENT ON TABLE "lqbz"."als_air_paramter_t" IS '飞机系统参数管理';
COMMENT ON COLUMN "lqbz"."als_air_paramter_t"."id" IS '唯一ID';
COMMENT ON COLUMN "lqbz"."als_air_paramter_t"."aircraft_type" IS '机型';
COMMENT ON COLUMN "lqbz"."als_air_paramter_t"."sys_id" IS '系统ID';
COMMENT ON COLUMN "lqbz"."als_air_paramter_t"."sys_name" IS '系统名称';
COMMENT ON COLUMN "lqbz"."als_air_paramter_t"."name" IS '参数名称';
COMMENT ON COLUMN "lqbz"."als_air_paramter_t"."name_id" IS '参数名称ID';
COMMENT ON COLUMN "lqbz"."als_air_paramter_t"."remarks" IS '描述';
COMMENT ON COLUMN "lqbz"."als_air_paramter_t"."attribute1" IS '属性1';
COMMENT ON COLUMN "lqbz"."als_air_paramter_t"."attribute2" IS '属性2';
COMMENT ON COLUMN "lqbz"."als_air_paramter_t"."attribute3" IS '属性3';
COMMENT ON COLUMN "lqbz"."als_air_paramter_t"."attribute4" IS '属性4';
COMMENT ON COLUMN "lqbz"."als_air_paramter_t"."attribute5" IS '属性5';
COMMENT ON COLUMN "lqbz"."als_air_paramter_t"."tenant_id" IS '租户号';
COMMENT ON COLUMN "lqbz"."als_air_paramter_t"."del_flag" IS '删除标识（1删除 0未删除）';
COMMENT ON COLUMN "lqbz"."als_air_paramter_t"."version" IS '乐观锁';
COMMENT ON COLUMN "lqbz"."als_air_paramter_t"."create_by" IS '创建人';
COMMENT ON COLUMN "lqbz"."als_air_paramter_t"."create_time" IS '创建时间';
COMMENT ON COLUMN "lqbz"."als_air_paramter_t"."update_by" IS '更新人';
COMMENT ON COLUMN "lqbz"."als_air_paramter_t"."update_time" IS '更新时间';
CREATE TABLE "lqbz"."als_warning_result_t"(
                                             id bigint NOT NULL,
                                             sortie_no bigint,
                                             aircraft_id bigint,
                                             code VARCHAR2(255),
                                             name VARCHAR2(255),
                                             hmc VARCHAR2(255),
                                             describe VARCHAR2(900),
                                             status char DEFAULT  1,
                                             result_content VARCHAR2(255),
                                             attribute1 VARCHAR2(255),
                                             attribute2 VARCHAR2(255),
                                             attribute3 VARCHAR2(255),
                                             attribute4 VARCHAR2(255),
                                             attribute5 VARCHAR2(255),
                                             tenant_id bigint,
                                             version INTEGER,
                                             del_flag bit DEFAULT  0,
                                             create_by bigint,
                                             create_time DATE,
                                             update_by bigint,
                                             update_time DATE
);

ALTER TABLE "lqbz"."als_warning_result_t" ADD CONSTRAINT PRIMARY KEY (id);

COMMENT ON TABLE "lqbz"."als_warning_result_t" IS '警告结果';
COMMENT ON COLUMN "lqbz"."als_warning_result_t"."id" IS '编号';
COMMENT ON COLUMN "lqbz"."als_warning_result_t"."sortie_no" IS '架次号';
COMMENT ON COLUMN "lqbz"."als_warning_result_t"."aircraft_id" IS '机号';
COMMENT ON COLUMN "lqbz"."als_warning_result_t"."code" IS '警告代码';
COMMENT ON COLUMN "lqbz"."als_warning_result_t"."name" IS '警告名称';
COMMENT ON COLUMN "lqbz"."als_warning_result_t"."hmc" IS 'hmc';
COMMENT ON COLUMN "lqbz"."als_warning_result_t"."describe" IS '警告描述';
COMMENT ON COLUMN "lqbz"."als_warning_result_t"."status" IS '状态（1正常）';
COMMENT ON COLUMN "lqbz"."als_warning_result_t"."result_content" IS '结果内容';
COMMENT ON COLUMN "lqbz"."als_warning_result_t"."attribute1" IS '属性1';
COMMENT ON COLUMN "lqbz"."als_warning_result_t"."attribute2" IS '属性2';
COMMENT ON COLUMN "lqbz"."als_warning_result_t"."attribute3" IS '属性3';
COMMENT ON COLUMN "lqbz"."als_warning_result_t"."attribute4" IS '属性4';
COMMENT ON COLUMN "lqbz"."als_warning_result_t"."attribute5" IS '属性5';
COMMENT ON COLUMN "lqbz"."als_warning_result_t"."tenant_id" IS '租户号';
COMMENT ON COLUMN "lqbz"."als_warning_result_t"."version" IS '乐观锁';
COMMENT ON COLUMN "lqbz"."als_warning_result_t"."del_flag" IS '删除标识（1删除 0未删除）';
COMMENT ON COLUMN "lqbz"."als_warning_result_t"."create_by" IS '创建人';
COMMENT ON COLUMN "lqbz"."als_warning_result_t"."create_time" IS '创建时间';
COMMENT ON COLUMN "lqbz"."als_warning_result_t"."update_by" IS '更新人';
COMMENT ON COLUMN "lqbz"."als_warning_result_t"."update_time" IS '更新时间';
