CREATE TABLE "lqbz"."sys_oss"
(
 "oss_id" BIGINT NOT NULL,
 "tenant_id" BIGINT DEFAULT '0'
 NOT NULL,
 "file_name" VARCHAR(255) DEFAULT ''
 NOT NULL,
 "original_name" VARCHAR(255) DEFAULT ''
 NOT NULL,
 "file_suffix" VARCHAR(10) DEFAULT ''
 NOT NULL,
 "url" VARCHAR(500) DEFAULT ''
 NOT NULL,
 "service" VARCHAR(20) DEFAULT 'minio'
 NULL,
 "version" INT DEFAULT 0
 NULL,
 "create_by" BIGINT NULL,
 "create_time" TIMESTAMP(6) NULL,
 "update_by" BIGINT NULL,
 "update_time" TIMESTAMP(6) NULL
);
CREATE TABLE "lqbz"."sys_oss_config"
(
 "oss_config_id" BIGINT NOT NULL,
 "tenant_id" BIGINT DEFAULT '0'
 NOT NULL,
 "config_key" VARCHAR(20) DEFAULT ''
 NOT NULL,
 "access_key" VARCHAR(255) DEFAULT ''
 NULL,
 "secret_key" VARCHAR(255) DEFAULT ''
 NULL,
 "bucket_name" VARCHAR(255) DEFAULT ''
 NULL,
 "prefix" VARCHAR(255) DEFAULT ''
 NULL,
 "endpoint" VARCHAR(255) DEFAULT ''
 NULL,
 "domain_name" VARCHAR(255) DEFAULT ''
 NULL,
 "is_https" CHAR(1) DEFAULT 'N'
 NULL,
 "region" VARCHAR(255) DEFAULT ''
 NULL,
 "access_policy" CHAR(1) DEFAULT '1'
 NOT NULL,
 "status" CHAR(1) DEFAULT '1'
 NULL,
 "ext1" VARCHAR(255) DEFAULT ''
 NULL,
 "version" INT DEFAULT 0
 NULL,
 "create_by" BIGINT NULL,
 "create_time" TIMESTAMP(6) NULL,
 "update_by" BIGINT NULL,
 "update_time" TIMESTAMP(6) NULL,
 "remark" VARCHAR(500) DEFAULT ''
 NULL
);
CREATE TABLE "lqbz"."als_air_configuration_t"
(
 "id" BIGINT NOT NULL,
 "parent_id" BIGINT NULL,
 "parent_name" VARCHAR2(255) NULL,
 "ancestors" VARCHAR(760) DEFAULT ''
 NULL,
 "aircraft_type" VARCHAR2(255) NULL,
 "con_code" VARCHAR2(255) NULL,
 "name" VARCHAR2(255) NULL,
 "specs_model" VARCHAR2(255) NULL,
 "drawing_number" VARCHAR2(255) NULL,
 "supplier" VARCHAR2(255) NULL,
 "remarks" VARCHAR2(900) NULL,
 "tenant_id" VARCHAR2(8188) NULL,
 "order_num" INT DEFAULT 0
 NULL,
 "del_flag" BIT DEFAULT 0
 NULL,
 "version" INTEGER NULL,
 "create_by" BIGINT NULL,
 "create_time" TIMESTAMP(6) NULL,
 "update_by" BIGINT NULL,
 "update_time" TIMESTAMP(6) NULL
);
CREATE TABLE "lqbz"."als_air_install_t"
(
 "id" BIGINT NOT NULL,
 "air_id" VARCHAR2(255) NULL,
 "air_model_id" VARCHAR2(255) NULL,
 "config_id" VARCHAR2(255) NULL,
 "devices_encode" VARCHAR2(255) NULL,
 "devices_code" VARCHAR2(255) NULL,
 "devices_name" VARCHAR2(255) NULL,
 "specs_model" VARCHAR2(255) NULL,
 "drawing_number" VARCHAR2(255) NULL,
 "category" VARCHAR2(255) NULL,
 "quantity" VARCHAR2(255) NULL,
 "install_time" VARCHAR2(255) NULL,
 "software_version" VARCHAR2(255) NULL,
 "repairable" CHAR(1) NULL,
 "complete_set" CHAR(1) NULL,
 "service_life" CHAR(1) NULL,
 "rated_life" INTEGER NULL,
 "remarks" VARCHAR2(900) NULL,
 "tenant_id" BIGINT NULL,
 "del_flag" BIT DEFAULT 0
 NULL,
 "version" INTEGER NULL,
 "create_by" BIGINT NULL,
 "create_time" TIMESTAMP(6) NULL,
 "update_by" BIGINT NULL,
 "update_time" TIMESTAMP(6) NULL
);
CREATE TABLE "lqbz"."als_aircraft_t"
(
 "id" BIGINT NOT NULL,
 "parent_id" VARCHAR2(255) NULL,
 "parent_name" VARCHAR2(255) NULL,
 "name" VARCHAR2(255) NULL,
 "ancestors" VARCHAR2(800) NULL,
 "order_num" INTEGER DEFAULT 0
 NULL,
 "tenant_id" BIGINT NULL,
 "version" INTEGER NULL,
 "del_flag" BIT DEFAULT 0
 NULL,
 "create_by" BIGINT NULL,
 "create_time" TIMESTAMP(6) NULL,
 "update_by" BIGINT NULL,
 "update_time" TIMESTAMP(6) NULL
);
CREATE TABLE "lqbz"."als_atlas_file_t"
(
 "id" BIGINT NOT NULL,
 "file_name" VARCHAR2(255) NULL,
 "file_type" VARCHAR2(255) NULL,
 "oss_id" BIGINT NULL,
 "status" CHAR(1) NULL,
 "remarks" VARCHAR2(900) NULL,
 "tenant_id" BIGINT NULL,
 "del_flag" BIT DEFAULT 0
 NULL,
 "version" INTEGER NULL,
 "create_by" BIGINT NULL,
 "create_time" TIMESTAMP(6) NULL,
 "update_by" BIGINT NULL,
 "update_time" TIMESTAMP(6) NULL
);
CREATE TABLE "lqbz"."als_communication_t"
(
 "id" BIGINT NOT NULL,
 "name" VARCHAR(255) NULL,
 "ip_address" VARCHAR(255) NULL,
 "network_segment" VARCHAR(255) NULL,
 "subnet_mask" VARCHAR(255) NULL,
 "dns" VARCHAR(255) NULL,
 "gateway" VARCHAR(255) NULL,
 "http" VARCHAR(255) NULL,
 "port" VARCHAR(255) NULL,
 "user_name" VARCHAR(255) NULL,
 "password" VARCHAR(255) NULL,
 "tenant_id" BIGINT NULL,
 "version" INTEGER NULL,
 "del_flag" BIT DEFAULT 0
 NULL,
 "create_by" BIGINT NULL,
 "create_time" TIMESTAMP(6) NULL,
 "update_by" BIGINT NULL,
 "update_time" TIMESTAMP(6) NULL
);
CREATE TABLE "lqbz"."als_data_import_t"
(
 "id" BIGINT NOT NULL,
 "oss_id" BIGINT NULL,
 "source" CHAR(1) NULL,
 "sortie_no" VARCHAR2(255) NULL,
 "aircraft_id" VARCHAR2(255) NULL,
 "flight_date" TIMESTAMP(6) NULL,
 "status" CHAR(1) DEFAULT 1
 NULL,
 "tenant_id" BIGINT NULL,
 "version" INTEGER NULL,
 "del_flag" BIT DEFAULT 0
 NULL,
 "create_by" BIGINT NULL,
 "create_time" TIMESTAMP(6) NULL,
 "update_by" BIGINT NULL,
 "update_time" TIMESTAMP(6) NULL
);
CREATE TABLE "lqbz"."als_false_alarm_result_t"
(
 "id" BIGINT NOT NULL,
 "false_alarm_id" BIGINT NULL,
 "sortie_no" VARCHAR2(255) NULL,
 "aircraft_id" CHAR(255) NULL,
 "code" VARCHAR2(255) NULL,
 "name" VARCHAR2(255) NULL,
 "describe" VARCHAR2(900) NULL,
 "status" VARCHAR2(255) DEFAULT 1
 NULL,
 "tenant_id" BIGINT NULL,
 "version" INTEGER NULL,
 "del_flag" BIT DEFAULT 0
 NULL,
 "create_by" BIGINT NULL,
 "create_time" TIMESTAMP(6) NULL,
 "update_by" BIGINT NULL,
 "update_time" TIMESTAMP(6) NULL
);
CREATE TABLE "lqbz"."als_false_alarm_t"
(
 "id" BIGINT NOT NULL,
 "sortie_no" VARCHAR2(255) NULL,
 "aircraft_id" CHAR(255) NULL,
 "model_type" CHAR(1) NULL,
 "param" VARCHAR2(2000) NULL,
 "column_data" VARCHAR2(2000) NULL,
 "oss_id" BIGINT NULL,
 "status" CHAR(1) DEFAULT 1
 NULL,
 "tenant_id" BIGINT NULL,
 "version" INTEGER NULL,
 "del_flag" BIT DEFAULT 0
 NULL,
 "create_by" BIGINT NULL,
 "create_time" TIMESTAMP(6) NULL,
 "update_by" BIGINT NULL,
 "update_time" TIMESTAMP(6) NULL
);
CREATE TABLE "lqbz"."als_fault_case_t"
(
 "id" BIGINT NOT NULL,
 "aircraft_type_id" VARCHAR(255) NULL,
 "aircraft_type_name" VARCHAR(255) NULL,
 "aircraft_system_id" VARCHAR(255) NULL,
 "aircraft_system_name" VARCHAR(255) NULL,
 "aircraft_subsystem_id" VARCHAR(255) NULL,
 "aircraft_subsystem_name" VARCHAR(255) NULL,
 "author" VARCHAR(255) NULL,
 "fault_phenomenon" VARCHAR(255) NULL,
 "fault_cause" VARCHAR(255) NULL,
 "fault_tree_path" VARCHAR(255) NULL,
 "fault_picture_path" VARCHAR(255) NULL,
 "troubleshooting_method_path" VARCHAR(255) NULL,
 "view_count" VARCHAR(255) NULL,
 "order_by" VARCHAR(255) NULL,
 "tenant_id" BIGINT NULL,
 "version" INTEGER NULL,
 "del_flag" BIT DEFAULT 0
 NULL,
 "create_by" BIGINT NULL,
 "create_time" TIMESTAMP(6) NULL,
 "update_by" BIGINT NULL,
 "update_time" TIMESTAMP(6) NULL
);
CREATE TABLE "lqbz"."als_fault_diagnosis_result_t"
(
 "id" BIGINT NOT NULL,
 "diagnosis_id" BIGINT NULL,
 "sortie_no" VARCHAR2(255) NULL,
 "aircraft_id" VARCHAR2(255) NULL,
 "model_type" CHAR(1) NULL,
 "param" VARCHAR2(2000) NULL,
 "column_data" VARCHAR2(2000) NULL,
 "oss_id" BIGINT NULL,
 "result_content" VARCHAR2(4000) NULL,
 "status" CHAR(1) DEFAULT 1
 NULL,
 "remarks" VARCHAR2(900) NULL,
 "tenant_id" BIGINT NULL,
 "version" INTEGER NULL,
 "del_flag" BIT DEFAULT 0
 NULL,
 "create_by" BIGINT NULL,
 "create_time" DATE NULL,
 "update_by" BIGINT NULL,
 "update_time" DATE NULL
);
CREATE TABLE "lqbz"."als_fault_diagnosis_t"
(
 "id" BIGINT NOT NULL,
 "sortie_no" VARCHAR2(255) NULL,
 "aircraft_id" VARCHAR2(255) NULL,
 "model_type" CHAR(1) NULL,
 "param" VARCHAR2(2000) NULL,
 "column_data" VARCHAR2(2000) NULL,
 "oss_id" BIGINT NULL,
 "result_content" VARCHAR2(4000) NULL,
 "status" CHAR(1) DEFAULT 1
 NULL,
 "tenant_id" BIGINT NULL,
 "version" INTEGER NULL,
 "del_flag" BIT DEFAULT 0
 NULL,
 "create_by" BIGINT NULL,
 "create_time" TIMESTAMP(6) NULL,
 "update_by" BIGINT NULL,
 "update_time" TIMESTAMP(6) NULL
);
CREATE TABLE "lqbz"."als_fault_statistics_t"
(
 "id" BIGINT NOT NULL,
 "statistics_date" DATE NULL,
 "war_zone" VARCHAR2(255) NULL,
 "army" VARCHAR2(255) NULL,
 "division" VARCHAR2(255) NULL,
 "groups" VARCHAR2(255) NULL,
 "squadron" VARCHAR2(255) NULL,
 "aircraft_num" VARCHAR2(255) NULL,
 "aircraft_model" VARCHAR2(255) NULL,
 "factory_num" VARCHAR2(255) NULL,
 "machine_type" VARCHAR2(255) NULL,
 "machine_num" VARCHAR2(255) NULL,
 "machine_model" VARCHAR2(255) NULL,
 "machine_name" VARCHAR2(255) NULL,
 "landing_gear" VARCHAR2(255) NULL,
 "major" VARCHAR2(255) NULL,
 "faulty_parts_name" VARCHAR2(255) NULL,
 "faulty_parts_model" VARCHAR2(255) NULL,
 "faulty_parts_num" VARCHAR2(255) NULL,
 "engine_model" VARCHAR2(255) NULL,
 "engine_num" VARCHAR2(255) NULL,
 "engine_serial_num" VARCHAR2(255) NULL,
 "faulty_parts_position" VARCHAR2(255) NULL,
 "faulty_phenomenon" VARCHAR2(500) NULL,
 "faulty_place" VARCHAR2(255) NULL,
 "find_opportunity" VARCHAR2(255) NULL,
 "systems" VARCHAR2(255) NULL,
 "timing_type" VARCHAR2(255) NULL,
 "faulty_parts_manufacturer" VARCHAR2(255) NULL,
 "faulty_parts_renovate" VARCHAR2(255) NULL,
 "installation_time" VARCHAR2(255) NULL,
 "total_work_time" VARCHAR2(255) NULL,
 "repair_time" VARCHAR2(255) NULL,
 "replacement_parts_model" VARCHAR2(255) NULL,
 "replacement_parts_num" VARCHAR2(255) NULL,
 "replacement_parts_manufacturer" VARCHAR2(255) NULL,
 "replacement_total_work_time" VARCHAR2(255) NULL,
 "replacement_parts_renovate" VARCHAR2(255) NULL,
 "replacement_repair_time" VARCHAR2(255) NULL,
 "faulty_abnormal_code" VARCHAR2(255) NULL,
 "faulty_parts_install_date" DATE NULL,
 "faulty_reason" VARCHAR2(500) NULL,
 "faulty_nature" VARCHAR2(500) NULL,
 "faulty_responsibility" VARCHAR2(500) NULL,
 "faulty_consequence" VARCHAR2(500) NULL,
 "handling_suggestions" VARCHAR2(500) NULL,
 "influence_frequency" VARCHAR2(255) NULL,
 "error_fly_frequency" VARCHAR2(255) NULL,
 "identification_method" VARCHAR2(500) NULL,
 "discovered_people" VARCHAR2(255) NULL,
 "exclusion_method" VARCHAR2(500) NULL,
 "exclusion_people" VARCHAR2(255) NULL,
 "examine_people" VARCHAR2(255) NULL,
 "examine_time" TIMESTAMP(6) NULL,
 "exclusion_date" DATE NULL,
 "exclusion_work_time" VARCHAR2(255) NULL,
 "exclusion_people_num" VARCHAR2(255) NULL,
 "exclusion_time" VARCHAR2(255) NULL,
 "is_achievement" VARCHAR2(255) NULL,
 "need_test_fly" VARCHAR2(255) NULL,
 "repair_status" VARCHAR2(255) NULL,
 "remarks" VARCHAR2(900) NULL,
 "tenant_id" BIGINT NULL,
 "del_flag" BIT DEFAULT 0
 NULL,
 "version" INTEGER NULL,
 "create_by" BIGINT NULL,
 "create_time" TIMESTAMP(6) NULL,
 "update_by" BIGINT NULL,
 "update_time" TIMESTAMP(6) NULL
);
CREATE TABLE "lqbz"."als_judge_fault_logic_t"
(
 "id" BIGINT NOT NULL,
 "model" VARCHAR2(255) NULL,
 "HMC_code" VARCHAR2(255) NULL,
 "parameter_column" VARCHAR2(1000) NULL,
 "pattern" VARCHAR2(255) NULL,
 "remarks" VARCHAR2(900) NULL,
 "tenant_id" BIGINT NULL,
 "del_flag" BIT DEFAULT 0
 NULL,
 "version" INTEGER NULL,
 "create_by" BIGINT NULL,
 "create_time" TIMESTAMP(6) NULL,
 "update_by" BIGINT NULL,
 "update_time" TIMESTAMP(6) NULL
);
CREATE TABLE "lqbz"."als_life_prediction_t"
(
 "id" BIGINT NOT NULL,
 "aircraft_id" VARCHAR2(255) NULL,
 "name" VARCHAR2(255) NULL,
 "model" VARCHAR2(255) NULL,
 "method_type" CHAR(1) NULL,
 "status" CHAR(1) DEFAULT 1
 NULL,
 "tenant_id" BIGINT NULL,
 "version" INTEGER NULL,
 "del_flag" BIT DEFAULT 0
 NULL,
 "create_by" BIGINT NULL,
 "create_time" TIMESTAMP(6) NULL,
 "update_by" BIGINT NULL,
 "update_time" TIMESTAMP(6) NULL,
 "aircraft_type" VARCHAR2(255) NULL,
 "code" VARCHAR2(255) NULL,
 "result_content" VARCHAR2(4000) NULL
);
CREATE TABLE "lqbz"."als_lifetime_spare_parts_t"
(
 "id" BIGINT NOT NULL,
 "air_id" VARCHAR2(255) NULL,
 "air_model_id" VARCHAR2(255) NULL,
 "config_id" VARCHAR2(255) NULL,
 "component_name" VARCHAR2(255) NULL,
 "component_model" VARCHAR2(255) NULL,
 "component_num" VARCHAR2(255) NULL,
 "factory_date" DATE NULL,
 "current_install_aircraft" VARCHAR2(255) NULL,
 "work_time" VARCHAR2(255) NULL,
 "rated_lifetime" VARCHAR2(255) NULL,
 "remaining_lifetime" VARCHAR2(255) NULL,
 "remarks" VARCHAR2(900) NULL,
 "tenant_id" BIGINT NULL,
 "del_flag" BIT DEFAULT 0
 NULL,
 "version" INTEGER NULL,
 "create_by" BIGINT NULL,
 "create_time" TIMESTAMP(6) NULL,
 "update_by" BIGINT NULL,
 "update_time" TIMESTAMP(6) NULL
);
CREATE TABLE "lqbz"."als_maintenance_decision_t"
(
 "id" BIGINT NOT NULL,
 "sortie_no" VARCHAR2(255) NULL,
 "aircraft_id" VARCHAR2(255) NULL,
 "result_id" BIGINT NULL,
 "code" VARCHAR2(255) NULL,
 "system_name" VARCHAR2(255) NULL,
 "unit_name" VARCHAR2(255) NULL,
 "fault_part" VARCHAR2(255) NULL,
 "proposal" VARCHAR2(3000) NULL,
 "status" CHAR(1) DEFAULT 1
 NULL,
 "tenant_id" BIGINT NULL,
 "version" INTEGER NULL,
 "del_flag" BIT DEFAULT 0
 NULL,
 "create_by" BIGINT NULL,
 "create_time" DATE NULL,
 "update_by" BIGINT NULL,
 "update_time" DATE NULL
);
CREATE TABLE "lqbz"."als_maintenance_task_t"
(
 "id" BIGINT NOT NULL,
 "task_id" BIGINT NULL,
 "aircraft_code" VARCHAR2(255) NULL,
 "aircraft_type" VARCHAR2(255) NULL,
 "data_type" VARCHAR2(255) NULL,
 "fault_code" VARCHAR2(255) NULL,
 "fault_name" VARCHAR2(255) NULL,
 "LOCATION" VARCHAR2(255) NULL,
 "LEVEL" VARCHAR2(255) NULL,
 "fault_date" DATE NULL,
 "fault_description" VARCHAR2(900) NULL,
 "symptoms" VARCHAR2(900) NULL,
 "fault_cause" VARCHAR2(900) NULL,
 "status" VARCHAR2(255) NULL,
 "remarks" VARCHAR2(900) NULL,
 "tenant_id" BIGINT NULL,
 "version" INTEGER NULL,
 "del_flag" BIT DEFAULT 0
 NULL,
 "create_by" BIGINT NULL,
 "create_time" TIMESTAMP(6) NULL,
 "update_by" BIGINT NULL,
 "update_time" TIMESTAMP(6) NULL
);
CREATE TABLE "lqbz"."als_model_t"
(
 "id" BIGINT NOT NULL,
 "name" VARCHAR2(255) NULL,
 "TYPE" CHAR(1) NULL,
 "url" VARCHAR2(255) NULL,
 "param" VARCHAR2(4000) NULL,
 "column_data" VARCHAR2(4000) NULL,
 "status" CHAR(1) DEFAULT 1
 NULL,
 "remark" VARCHAR2(900) NULL,
 "tenant_id" BIGINT NULL,
 "version" INTEGER NULL,
 "del_flag" BIT DEFAULT 0
 NULL,
 "create_by" BIGINT NULL,
 "create_time" TIMESTAMP(6) NULL,
 "update_by" BIGINT NULL,
 "update_time" TIMESTAMP(6) NULL,
 "part_id" VARCHAR2(255) NULL
);
CREATE TABLE "lqbz"."als_part_replacement_t"
(
 "id" BIGINT NOT NULL,
 "aircraft_type" VARCHAR2(255) NULL,
 "aircraft_code" VARCHAR2(255) NULL,
 "before_equipment_code" VARCHAR2(255) NULL,
 "before_equipment_name" VARCHAR2(255) NULL,
 "before_model_number" VARCHAR2(255) NULL,
 "after_equipment_code" VARCHAR2(255) NULL,
 "after_equipment_name" VARCHAR2(255) NULL,
 "after_model_number" VARCHAR2(255) NULL,
 "quantity" VARCHAR2(255) NULL,
 "remarks" VARCHAR2(900) NULL,
 "tenant_id" BIGINT NULL,
 "version" INTEGER NULL,
 "del_flag" BIT DEFAULT 0
 NULL,
 "create_by" BIGINT NULL,
 "create_time" TIMESTAMP(6) NULL,
 "update_by" BIGINT NULL,
 "update_time" TIMESTAMP(6) NULL
);
CREATE TABLE "lqbz"."als_personnel_allocation_t"
(
 "id" BIGINT NOT NULL,
 "task_id" BIGINT NULL,
 "personnel" VARCHAR2(255) NULL,
 "position" VARCHAR2(900) NULL,
 "quantity" INTEGER NULL,
 "duties" VARCHAR2(255) NULL,
 "remarks" VARCHAR2(900) NULL,
 "tenant_id" BIGINT NULL,
 "version" INTEGER NULL,
 "del_flag" BIT DEFAULT 0
 NULL,
 "create_by" BIGINT NULL,
 "create_time" TIMESTAMP(6) NULL,
 "update_by" BIGINT NULL,
 "update_time" TIMESTAMP(6) NULL
);
CREATE TABLE "lqbz"."als_pre_processing_t"
(
 "id" BIGINT NOT NULL,
 "sortie_no" VARCHAR2(255) NULL,
 "aircraft_id" CHAR(255) NULL,
 "model_type" CHAR(1) NULL,
 "param" VARCHAR2(2000) NULL,
 "column_data" VARCHAR2(2000) NULL,
 "oss_id" BIGINT NULL,
 "RESULT" BIGINT NULL,
 "status" CHAR(1) DEFAULT 1
 NULL,
 "tenant_id" BIGINT NULL,
 "version" INTEGER NULL,
 "del_flag" BIT DEFAULT 0
 NULL,
 "create_by" BIGINT NULL,
 "create_time" TIMESTAMP(6) NULL,
 "update_by" BIGINT NULL,
 "update_time" TIMESTAMP(6) NULL
);
CREATE TABLE "lqbz"."als_product_t"
(
 "id" BIGINT NOT NULL,
 "parent_name" VARCHAR2(255) NULL,
 "parent_id" BIGINT NULL,
 "sns_code" VARCHAR2(255) NULL,
 "name" VARCHAR2(255) NULL,
 "ancestors" VARCHAR2(800) NULL,
 "order_num" INTEGER DEFAULT 0
 NULL,
 "tenant_id" BIGINT NULL,
 "version" INTEGER NULL,
 "del_flag" BIT DEFAULT 0
 NULL,
 "create_by" BIGINT NULL,
 "create_time" TIMESTAMP(6) NULL,
 "update_by" BIGINT NULL,
 "update_time" TIMESTAMP(6) NULL
);
CREATE TABLE "lqbz"."als_qa_history_t"
(
 "id" BIGINT NOT NULL,
 "user_id" VARCHAR2(255) NULL,
 "question" VARCHAR2(5000) NULL,
 "answer" TEXT NULL,
 "graph" TEXT NULL,
 "oss_id" BIGINT NULL,
 "file_name" VARCHAR2(255) NULL,
 "remarks" VARCHAR2(900) NULL,
 "tenant_id" BIGINT NULL,
 "del_flag" BIT DEFAULT 0
 NULL,
 "VERSION" INTEGER NULL,
 "create_by" BIGINT NULL,
 "create_time" TIMESTAMP(6) NULL,
 "update_by" BIGINT NULL,
 "update_time" TIMESTAMP(6) NULL
);
CREATE TABLE "lqbz"."als_resource_allocation_t"
(
 "id" BIGINT NOT NULL,
 "task_id" BIGINT NULL,
 "device_code" VARCHAR2(255) NULL,
 "device_name" VARCHAR2(255) NULL,
 "TYPE" VARCHAR2(255) NULL,
 "model_number" VARCHAR2(255) NULL,
 "quantity" INTEGER NULL,
 "purpose" VARCHAR2(255) NULL,
 "remarks" VARCHAR2(900) NULL,
 "tenant_id" BIGINT NULL,
 "version" INTEGER NULL,
 "del_flag" BIT DEFAULT 0
 NULL,
 "create_by" BIGINT NULL,
 "create_time" TIMESTAMP(6) NULL,
 "update_by" BIGINT NULL,
 "update_time" TIMESTAMP(6) NULL
);
CREATE TABLE "lqbz"."als_sm_task_t"
(
 "id" BIGINT NOT NULL,
 "aircraft_id" VARCHAR2(255) NULL,
 "aircraft_model" VARCHAR2(255) NULL,
 "name" VARCHAR2(255) NULL,
 "specialty" VARCHAR2(255) NULL,
 "task_code" VARCHAR2(255) NULL,
 "period_time" VARCHAR2(255) NULL,
 "remain_time" VARCHAR2(255) DEFAULT 1
 NULL,
 "head_name" VARCHAR2(255) NULL,
 "system_name" VARCHAR2(255) NULL,
 "contents" VARCHAR2(255) NULL,
 "status" CHAR(1) NULL,
 "remark" VARCHAR2(900) NULL,
 "tenant_id" BIGINT NULL,
 "version" INTEGER NULL,
 "del_flag" BIT DEFAULT 0
 NULL,
 "create_by" BIGINT NULL,
 "create_time" DATE NULL,
 "update_by" BIGINT NULL,
 "update_time" DATE NULL
);
CREATE TABLE "lqbz"."als_sortie_t"
(
 "id" BIGINT NOT NULL,
 "sortie_no" VARCHAR2(255) NULL,
 "aircraft_id" BIGINT NULL,
 "flight_date" DATE NULL,
 "start_time" TIMESTAMP(6) NULL,
 "end_time" VARCHAR2(255) NULL,
 "duration" VARCHAR2(255) NULL,
 "tenant_id" BIGINT NULL,
 "version" INTEGER NULL,
 "del_flag" BIT DEFAULT 0
 NULL,
 "create_by" BIGINT NULL,
 "create_time" TIMESTAMP(6) NULL,
 "update_by" BIGINT NULL,
 "update_time" TIMESTAMP(6) NULL
);
CREATE TABLE "lqbz"."als_spare_parts_t"
(
 "id" BIGINT NOT NULL,
 "name" VARCHAR2(255) NULL,
 "model" VARCHAR2(255) NULL,
 "system_name" VARCHAR2(255) NULL,
 "factory" VARCHAR2(255) NULL,
 "quantity" INTEGER NULL,
 "status" CHAR(1) DEFAULT 1
 NULL,
 "tenant_id" BIGINT NULL,
 "version" INTEGER NULL,
 "del_flag" BIT DEFAULT 0
 NULL,
 "create_by" BIGINT NULL,
 "create_time" TIMESTAMP(6) NULL,
 "update_by" BIGINT NULL,
 "update_time" TIMESTAMP(6) NULL
);
CREATE TABLE "lqbz"."als_task_t"
(
 "id" BIGINT NOT NULL,
 "name" VARCHAR2(255) NULL,
 "source" CHAR(1) NULL,
 "sortie_no" BIGINT NULL,
 "aircraft_id" CHAR(255) NULL,
 "data_id" BIGINT NULL,
 "pre_id" BIGINT NULL,
 "false_alarm_id" BIGINT NULL,
 "fault_id" BIGINT NULL,
 "decision_id" BIGINT NULL,
 "status" CHAR(1) DEFAULT 1
 NULL,
 "tenant_id" BIGINT NULL,
 "version" INTEGER NULL,
 "del_flag" BIT DEFAULT 0
 NULL,
 "create_by" BIGINT NULL,
 "create_time" TIMESTAMP(6) NULL,
 "update_by" BIGINT NULL,
 "update_time" TIMESTAMP(6) NULL
);
CREATE TABLE "lqbz"."als_warning_t"
(
 "id" BIGINT NOT NULL,
 "sortie_no" VARCHAR2(255) NULL,
 "aircraft_id" VARCHAR2(50) NULL,
 "code" VARCHAR2(255) NULL,
 "name" VARCHAR2(255) NULL,
 "describe" VARCHAR2(900) NULL,
 "status" CHAR(1) DEFAULT 1
 NULL,
 "tenant_id" BIGINT NULL,
 "version" INTEGER NULL,
 "del_flag" BIT DEFAULT 0
 NULL,
 "create_by" BIGINT NULL,
 "create_time" TIMESTAMP(6) NULL,
 "update_by" BIGINT NULL,
 "update_time" TIMESTAMP(6) NULL
);

ALTER TABLE "lqbz"."sys_oss" ADD CONSTRAINT "sys_oss_pk" PRIMARY KEY("oss_id") ;

ALTER TABLE "lqbz"."sys_oss_config" ADD CONSTRAINT "sys_oss_config_pk" PRIMARY KEY("oss_config_id") ;

ALTER TABLE "lqbz"."als_air_configuration_t" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "lqbz"."als_air_install_t" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "lqbz"."als_aircraft_t" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "lqbz"."als_atlas_file_t" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "lqbz"."als_communication_t" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "lqbz"."als_data_import_t" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "lqbz"."als_false_alarm_result_t" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "lqbz"."als_false_alarm_t" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "lqbz"."als_fault_case_t" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "lqbz"."als_fault_diagnosis_result_t" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "lqbz"."als_fault_diagnosis_t" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "lqbz"."als_fault_statistics_t" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "lqbz"."als_judge_fault_logic_t" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "lqbz"."als_life_prediction_t" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "lqbz"."als_lifetime_spare_parts_t" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "lqbz"."als_maintenance_decision_t" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "lqbz"."als_maintenance_task_t" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "lqbz"."als_model_t" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "lqbz"."als_part_replacement_t" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "lqbz"."als_personnel_allocation_t" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "lqbz"."als_pre_processing_t" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "lqbz"."als_product_t" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "lqbz"."als_qa_history_t" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "lqbz"."als_resource_allocation_t" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "lqbz"."als_sm_task_t" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "lqbz"."als_sortie_t" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "lqbz"."als_spare_parts_t" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "lqbz"."als_task_t" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "lqbz"."als_warning_t" ADD CONSTRAINT  PRIMARY KEY("id") ;

COMMENT ON TABLE "lqbz"."sys_oss" IS 'OSS对象存储表';

COMMENT ON COLUMN "lqbz"."sys_oss"."oss_id" IS '对象存储主键';

COMMENT ON COLUMN "lqbz"."sys_oss"."tenant_id" IS '租户编码';

COMMENT ON COLUMN "lqbz"."sys_oss"."file_name" IS '文件名';

COMMENT ON COLUMN "lqbz"."sys_oss"."original_name" IS '原名';

COMMENT ON COLUMN "lqbz"."sys_oss"."file_suffix" IS '文件后缀名';

COMMENT ON COLUMN "lqbz"."sys_oss"."url" IS 'URL地址';

COMMENT ON COLUMN "lqbz"."sys_oss"."service" IS '服务商';

COMMENT ON COLUMN "lqbz"."sys_oss"."version" IS '乐观锁';

COMMENT ON COLUMN "lqbz"."sys_oss"."create_by" IS '上传人';

COMMENT ON COLUMN "lqbz"."sys_oss"."create_time" IS '创建时间';

COMMENT ON COLUMN "lqbz"."sys_oss"."update_by" IS '更新者';

COMMENT ON COLUMN "lqbz"."sys_oss"."update_time" IS '更新时间';

COMMENT ON TABLE "lqbz"."sys_oss_config" IS '对象存储配置表';

COMMENT ON COLUMN "lqbz"."sys_oss_config"."oss_config_id" IS '主建';

COMMENT ON COLUMN "lqbz"."sys_oss_config"."tenant_id" IS '租户编码';

COMMENT ON COLUMN "lqbz"."sys_oss_config"."config_key" IS '配置key';

COMMENT ON COLUMN "lqbz"."sys_oss_config"."access_key" IS 'accessKey';

COMMENT ON COLUMN "lqbz"."sys_oss_config"."secret_key" IS '秘钥';

COMMENT ON COLUMN "lqbz"."sys_oss_config"."bucket_name" IS '桶名称';

COMMENT ON COLUMN "lqbz"."sys_oss_config"."prefix" IS '前缀';

COMMENT ON COLUMN "lqbz"."sys_oss_config"."endpoint" IS '访问站点';

COMMENT ON COLUMN "lqbz"."sys_oss_config"."domain_name" IS '自定义域名';

COMMENT ON COLUMN "lqbz"."sys_oss_config"."is_https" IS '是否https（Y=是,N=否）';

COMMENT ON COLUMN "lqbz"."sys_oss_config"."region" IS '域';

COMMENT ON COLUMN "lqbz"."sys_oss_config"."access_policy" IS '桶权限类型(0=private 1=public 2=custom)';

COMMENT ON COLUMN "lqbz"."sys_oss_config"."status" IS '是否默认（1=是,0=否）';

COMMENT ON COLUMN "lqbz"."sys_oss_config"."ext1" IS '扩展字段';

COMMENT ON COLUMN "lqbz"."sys_oss_config"."version" IS '乐观锁';

COMMENT ON COLUMN "lqbz"."sys_oss_config"."create_by" IS '创建者';

COMMENT ON COLUMN "lqbz"."sys_oss_config"."create_time" IS '创建时间';

COMMENT ON COLUMN "lqbz"."sys_oss_config"."update_by" IS '更新者';

COMMENT ON COLUMN "lqbz"."sys_oss_config"."update_time" IS '更新时间';

COMMENT ON COLUMN "lqbz"."sys_oss_config"."remark" IS '备注';

COMMENT ON TABLE "lqbz"."als_air_configuration_t" IS '飞机构型';

COMMENT ON COLUMN "lqbz"."als_air_configuration_t"."id" IS '唯一ID';

COMMENT ON COLUMN "lqbz"."als_air_configuration_t"."parent_id" IS '父Id';

COMMENT ON COLUMN "lqbz"."als_air_configuration_t"."parent_name" IS '父名称';

COMMENT ON COLUMN "lqbz"."als_air_configuration_t"."aircraft_type" IS '机型';

COMMENT ON COLUMN "lqbz"."als_air_configuration_t"."con_code" IS '构型编码';

COMMENT ON COLUMN "lqbz"."als_air_configuration_t"."name" IS '产品名称';

COMMENT ON COLUMN "lqbz"."als_air_configuration_t"."specs_model" IS '规格型号';

COMMENT ON COLUMN "lqbz"."als_air_configuration_t"."drawing_number" IS '图号';

COMMENT ON COLUMN "lqbz"."als_air_configuration_t"."supplier" IS '供应商';

COMMENT ON COLUMN "lqbz"."als_air_configuration_t"."remarks" IS '描述';

COMMENT ON COLUMN "lqbz"."als_air_configuration_t"."tenant_id" IS '租户号';

COMMENT ON COLUMN "lqbz"."als_air_configuration_t"."del_flag" IS '删除标识（1删除 0未删除）';

COMMENT ON COLUMN "lqbz"."als_air_configuration_t"."version" IS '乐观锁';

COMMENT ON COLUMN "lqbz"."als_air_configuration_t"."create_by" IS '创建人';

COMMENT ON COLUMN "lqbz"."als_air_configuration_t"."create_time" IS '创建时间';

COMMENT ON COLUMN "lqbz"."als_air_configuration_t"."update_by" IS '更新人';

COMMENT ON COLUMN "lqbz"."als_air_configuration_t"."update_time" IS '更新时间';

COMMENT ON TABLE "lqbz"."als_air_install_t" IS '装机信息';

COMMENT ON COLUMN "lqbz"."als_air_install_t"."id" IS '唯一ID';

COMMENT ON COLUMN "lqbz"."als_air_install_t"."air_id" IS '飞机编目';

COMMENT ON COLUMN "lqbz"."als_air_install_t"."air_model_id" IS '飞机机号';

COMMENT ON COLUMN "lqbz"."als_air_install_t"."config_id" IS '构型Id';

COMMENT ON COLUMN "lqbz"."als_air_install_t"."devices_encode" IS '器材编码';

COMMENT ON COLUMN "lqbz"."als_air_install_t"."devices_code" IS '器材代码';

COMMENT ON COLUMN "lqbz"."als_air_install_t"."devices_name" IS '器材名称';

COMMENT ON COLUMN "lqbz"."als_air_install_t"."specs_model" IS '规格型号';

COMMENT ON COLUMN "lqbz"."als_air_install_t"."drawing_number" IS '图号';

COMMENT ON COLUMN "lqbz"."als_air_install_t"."category" IS '所属分类';

COMMENT ON COLUMN "lqbz"."als_air_install_t"."quantity" IS '装机数量';

COMMENT ON COLUMN "lqbz"."als_air_install_t"."install_time" IS '装机时间';

COMMENT ON COLUMN "lqbz"."als_air_install_t"."software_version" IS '软件版本';

COMMENT ON COLUMN "lqbz"."als_air_install_t"."repairable" IS '是否可修';

COMMENT ON COLUMN "lqbz"."als_air_install_t"."complete_set" IS '是否成套';

COMMENT ON COLUMN "lqbz"."als_air_install_t"."service_life" IS '是否有寿';

COMMENT ON COLUMN "lqbz"."als_air_install_t"."rated_life" IS '额定寿命/小时';

COMMENT ON COLUMN "lqbz"."als_air_install_t"."remarks" IS '备注';

COMMENT ON COLUMN "lqbz"."als_air_install_t"."tenant_id" IS '租户号';

COMMENT ON COLUMN "lqbz"."als_air_install_t"."del_flag" IS '删除标识（1删除 0未删除）';

COMMENT ON COLUMN "lqbz"."als_air_install_t"."version" IS '乐观锁';

COMMENT ON COLUMN "lqbz"."als_air_install_t"."create_by" IS '创建人';

COMMENT ON COLUMN "lqbz"."als_air_install_t"."create_time" IS '创建时间';

COMMENT ON COLUMN "lqbz"."als_air_install_t"."update_by" IS '更新人';

COMMENT ON COLUMN "lqbz"."als_air_install_t"."update_time" IS '更新时间';

COMMENT ON TABLE "lqbz"."als_aircraft_t" IS '机型机号';

COMMENT ON COLUMN "lqbz"."als_aircraft_t"."id" IS '编号';

COMMENT ON COLUMN "lqbz"."als_aircraft_t"."parent_id" IS '机型Id';

COMMENT ON COLUMN "lqbz"."als_aircraft_t"."parent_name" IS '机型Name';

COMMENT ON COLUMN "lqbz"."als_aircraft_t"."name" IS '机型/机号';

COMMENT ON COLUMN "lqbz"."als_aircraft_t"."ancestors" IS '祖级列表';

COMMENT ON COLUMN "lqbz"."als_aircraft_t"."order_num" IS '显示顺序';

COMMENT ON COLUMN "lqbz"."als_aircraft_t"."tenant_id" IS '租户号';

COMMENT ON COLUMN "lqbz"."als_aircraft_t"."version" IS '乐观锁';

COMMENT ON COLUMN "lqbz"."als_aircraft_t"."del_flag" IS '删除标识（1删除 0未删除）';

COMMENT ON COLUMN "lqbz"."als_aircraft_t"."create_by" IS '创建人';

COMMENT ON COLUMN "lqbz"."als_aircraft_t"."create_time" IS '创建时间';

COMMENT ON COLUMN "lqbz"."als_aircraft_t"."update_by" IS '更新人';

COMMENT ON COLUMN "lqbz"."als_aircraft_t"."update_time" IS '更新时间';

COMMENT ON TABLE "lqbz"."als_atlas_file_t" IS '文件管理';

COMMENT ON COLUMN "lqbz"."als_atlas_file_t"."id" IS '唯一ID';

COMMENT ON COLUMN "lqbz"."als_atlas_file_t"."file_name" IS '文件名称';

COMMENT ON COLUMN "lqbz"."als_atlas_file_t"."file_type" IS '文件类型';

COMMENT ON COLUMN "lqbz"."als_atlas_file_t"."oss_id" IS '文件';

COMMENT ON COLUMN "lqbz"."als_atlas_file_t"."status" IS '状态';

COMMENT ON COLUMN "lqbz"."als_atlas_file_t"."remarks" IS '备注';

COMMENT ON COLUMN "lqbz"."als_atlas_file_t"."tenant_id" IS '租户号';

COMMENT ON COLUMN "lqbz"."als_atlas_file_t"."del_flag" IS '删除标识（1删除 0未删除）';

COMMENT ON COLUMN "lqbz"."als_atlas_file_t"."version" IS '乐观锁';

COMMENT ON COLUMN "lqbz"."als_atlas_file_t"."create_by" IS '创建人';

COMMENT ON COLUMN "lqbz"."als_atlas_file_t"."create_time" IS '创建时间';

COMMENT ON COLUMN "lqbz"."als_atlas_file_t"."update_by" IS '更新人';

COMMENT ON COLUMN "lqbz"."als_atlas_file_t"."update_time" IS '更新时间';

COMMENT ON TABLE "lqbz"."als_communication_t" IS '通讯管理';

COMMENT ON COLUMN "lqbz"."als_communication_t"."id" IS '编号';

COMMENT ON COLUMN "lqbz"."als_communication_t"."name" IS '名称';

COMMENT ON COLUMN "lqbz"."als_communication_t"."ip_address" IS 'IP地址';

COMMENT ON COLUMN "lqbz"."als_communication_t"."network_segment" IS '网段';

COMMENT ON COLUMN "lqbz"."als_communication_t"."subnet_mask" IS '子网掩码';

COMMENT ON COLUMN "lqbz"."als_communication_t"."dns" IS 'DNS';

COMMENT ON COLUMN "lqbz"."als_communication_t"."gateway" IS '网关';

COMMENT ON COLUMN "lqbz"."als_communication_t"."http" IS 'http';

COMMENT ON COLUMN "lqbz"."als_communication_t"."port" IS '端口号';

COMMENT ON COLUMN "lqbz"."als_communication_t"."user_name" IS '用户名';

COMMENT ON COLUMN "lqbz"."als_communication_t"."password" IS '密码';

COMMENT ON COLUMN "lqbz"."als_communication_t"."tenant_id" IS '租户号';

COMMENT ON COLUMN "lqbz"."als_communication_t"."version" IS '乐观锁';

COMMENT ON COLUMN "lqbz"."als_communication_t"."del_flag" IS '删除标识（1删除 0未删除）';

COMMENT ON COLUMN "lqbz"."als_communication_t"."create_by" IS '创建人';

COMMENT ON COLUMN "lqbz"."als_communication_t"."create_time" IS '创建时间';

COMMENT ON COLUMN "lqbz"."als_communication_t"."update_by" IS '更新人';

COMMENT ON COLUMN "lqbz"."als_communication_t"."update_time" IS '更新时间';

COMMENT ON TABLE "lqbz"."als_data_import_t" IS '数据导入信息';

COMMENT ON COLUMN "lqbz"."als_data_import_t"."id" IS '唯一编号';

COMMENT ON COLUMN "lqbz"."als_data_import_t"."oss_id" IS '文件编号';

COMMENT ON COLUMN "lqbz"."als_data_import_t"."source" IS '数据源';

COMMENT ON COLUMN "lqbz"."als_data_import_t"."sortie_no" IS '架次号';

COMMENT ON COLUMN "lqbz"."als_data_import_t"."aircraft_id" IS '机号';

COMMENT ON COLUMN "lqbz"."als_data_import_t"."flight_date" IS '飞行日期';

COMMENT ON COLUMN "lqbz"."als_data_import_t"."status" IS '状态（1正常）';

COMMENT ON COLUMN "lqbz"."als_data_import_t"."tenant_id" IS '租户号';

COMMENT ON COLUMN "lqbz"."als_data_import_t"."version" IS '乐观锁';

COMMENT ON COLUMN "lqbz"."als_data_import_t"."del_flag" IS '删除标识（1删除 0未删除）';

COMMENT ON COLUMN "lqbz"."als_data_import_t"."create_by" IS '创建人';

COMMENT ON COLUMN "lqbz"."als_data_import_t"."create_time" IS '创建时间';

COMMENT ON COLUMN "lqbz"."als_data_import_t"."update_by" IS '更新人';

COMMENT ON COLUMN "lqbz"."als_data_import_t"."update_time" IS '更新时间';

COMMENT ON TABLE "lqbz"."als_false_alarm_result_t" IS '虚警抑制结果';

COMMENT ON COLUMN "lqbz"."als_false_alarm_result_t"."id" IS '编号';

COMMENT ON COLUMN "lqbz"."als_false_alarm_result_t"."false_alarm_id" IS '虚警抑制Id';

COMMENT ON COLUMN "lqbz"."als_false_alarm_result_t"."sortie_no" IS '架次号';

COMMENT ON COLUMN "lqbz"."als_false_alarm_result_t"."aircraft_id" IS '机号';

COMMENT ON COLUMN "lqbz"."als_false_alarm_result_t"."code" IS '警告代码';

COMMENT ON COLUMN "lqbz"."als_false_alarm_result_t"."name" IS '警告名称';

COMMENT ON COLUMN "lqbz"."als_false_alarm_result_t"."describe" IS '警告描述';

COMMENT ON COLUMN "lqbz"."als_false_alarm_result_t"."status" IS '虚警状态';

COMMENT ON COLUMN "lqbz"."als_false_alarm_result_t"."tenant_id" IS '租户号';

COMMENT ON COLUMN "lqbz"."als_false_alarm_result_t"."version" IS '乐观锁';

COMMENT ON COLUMN "lqbz"."als_false_alarm_result_t"."del_flag" IS '删除标识（1删除 0未删除）';

COMMENT ON COLUMN "lqbz"."als_false_alarm_result_t"."create_by" IS '创建人';

COMMENT ON COLUMN "lqbz"."als_false_alarm_result_t"."create_time" IS '创建时间';

COMMENT ON COLUMN "lqbz"."als_false_alarm_result_t"."update_by" IS '更新人';

COMMENT ON COLUMN "lqbz"."als_false_alarm_result_t"."update_time" IS '更新时间';

COMMENT ON TABLE "lqbz"."als_false_alarm_t" IS '虚警抑制';

COMMENT ON COLUMN "lqbz"."als_false_alarm_t"."id" IS '编号';

COMMENT ON COLUMN "lqbz"."als_false_alarm_t"."sortie_no" IS '架次号';

COMMENT ON COLUMN "lqbz"."als_false_alarm_t"."aircraft_id" IS '机号';

COMMENT ON COLUMN "lqbz"."als_false_alarm_t"."model_type" IS '模型类型';

COMMENT ON COLUMN "lqbz"."als_false_alarm_t"."param" IS '参数';

COMMENT ON COLUMN "lqbz"."als_false_alarm_t"."column_data" IS '数据列';

COMMENT ON COLUMN "lqbz"."als_false_alarm_t"."oss_id" IS '文件Id';

COMMENT ON COLUMN "lqbz"."als_false_alarm_t"."status" IS '状态（1正常）';

COMMENT ON COLUMN "lqbz"."als_false_alarm_t"."tenant_id" IS '租户号';

COMMENT ON COLUMN "lqbz"."als_false_alarm_t"."version" IS '乐观锁';

COMMENT ON COLUMN "lqbz"."als_false_alarm_t"."del_flag" IS '删除标识（1删除 0未删除）';

COMMENT ON COLUMN "lqbz"."als_false_alarm_t"."create_by" IS '创建人';

COMMENT ON COLUMN "lqbz"."als_false_alarm_t"."create_time" IS '创建时间';

COMMENT ON COLUMN "lqbz"."als_false_alarm_t"."update_by" IS '更新人';

COMMENT ON COLUMN "lqbz"."als_false_alarm_t"."update_time" IS '更新时间';

COMMENT ON TABLE "lqbz"."als_fault_case_t" IS '故障案例';

COMMENT ON COLUMN "lqbz"."als_fault_case_t"."id" IS '编号';

COMMENT ON COLUMN "lqbz"."als_fault_case_t"."aircraft_type_id" IS '飞机编号';

COMMENT ON COLUMN "lqbz"."als_fault_case_t"."aircraft_type_name" IS '机型';

COMMENT ON COLUMN "lqbz"."als_fault_case_t"."aircraft_system_id" IS '系统编号';

COMMENT ON COLUMN "lqbz"."als_fault_case_t"."aircraft_system_name" IS '系统';

COMMENT ON COLUMN "lqbz"."als_fault_case_t"."aircraft_subsystem_id" IS '分系统编号';

COMMENT ON COLUMN "lqbz"."als_fault_case_t"."aircraft_subsystem_name" IS '分系统';

COMMENT ON COLUMN "lqbz"."als_fault_case_t"."author" IS '作者';

COMMENT ON COLUMN "lqbz"."als_fault_case_t"."fault_phenomenon" IS '故障现象';

COMMENT ON COLUMN "lqbz"."als_fault_case_t"."fault_cause" IS '故障原因';

COMMENT ON COLUMN "lqbz"."als_fault_case_t"."fault_tree_path" IS '故障树';

COMMENT ON COLUMN "lqbz"."als_fault_case_t"."fault_picture_path" IS '故障图';

COMMENT ON COLUMN "lqbz"."als_fault_case_t"."troubleshooting_method_path" IS '排故方法';

COMMENT ON COLUMN "lqbz"."als_fault_case_t"."view_count" IS '查看次数';

COMMENT ON COLUMN "lqbz"."als_fault_case_t"."order_by" IS '排序';

COMMENT ON COLUMN "lqbz"."als_fault_case_t"."tenant_id" IS '租户号';

COMMENT ON COLUMN "lqbz"."als_fault_case_t"."version" IS '乐观锁';

COMMENT ON COLUMN "lqbz"."als_fault_case_t"."del_flag" IS '删除标识（1删除 0未删除）';

COMMENT ON COLUMN "lqbz"."als_fault_case_t"."create_by" IS '创建人';

COMMENT ON COLUMN "lqbz"."als_fault_case_t"."create_time" IS '创建时间';

COMMENT ON COLUMN "lqbz"."als_fault_case_t"."update_by" IS '更新人';

COMMENT ON COLUMN "lqbz"."als_fault_case_t"."update_time" IS '更新时间';

COMMENT ON TABLE "lqbz"."als_fault_diagnosis_result_t" IS '故障诊断结果';

COMMENT ON COLUMN "lqbz"."als_fault_diagnosis_result_t"."id" IS '编号';

COMMENT ON COLUMN "lqbz"."als_fault_diagnosis_result_t"."diagnosis_id" IS '故障诊断编号';

COMMENT ON COLUMN "lqbz"."als_fault_diagnosis_result_t"."sortie_no" IS '架次号';

COMMENT ON COLUMN "lqbz"."als_fault_diagnosis_result_t"."aircraft_id" IS '机号';

COMMENT ON COLUMN "lqbz"."als_fault_diagnosis_result_t"."model_type" IS '模型类型';

COMMENT ON COLUMN "lqbz"."als_fault_diagnosis_result_t"."param" IS '参数';

COMMENT ON COLUMN "lqbz"."als_fault_diagnosis_result_t"."column_data" IS '数据列';

COMMENT ON COLUMN "lqbz"."als_fault_diagnosis_result_t"."oss_id" IS '文件Id';

COMMENT ON COLUMN "lqbz"."als_fault_diagnosis_result_t"."result_content" IS '结果';

COMMENT ON COLUMN "lqbz"."als_fault_diagnosis_result_t"."status" IS '状态（1正常）';

COMMENT ON COLUMN "lqbz"."als_fault_diagnosis_result_t"."remarks" IS '备注';

COMMENT ON COLUMN "lqbz"."als_fault_diagnosis_result_t"."tenant_id" IS '租户号';

COMMENT ON COLUMN "lqbz"."als_fault_diagnosis_result_t"."version" IS '乐观锁';

COMMENT ON COLUMN "lqbz"."als_fault_diagnosis_result_t"."del_flag" IS '删除标识（1删除 0未删除）';

COMMENT ON COLUMN "lqbz"."als_fault_diagnosis_result_t"."create_by" IS '创建人';

COMMENT ON COLUMN "lqbz"."als_fault_diagnosis_result_t"."create_time" IS '创建时间';

COMMENT ON COLUMN "lqbz"."als_fault_diagnosis_result_t"."update_by" IS '更新人';

COMMENT ON COLUMN "lqbz"."als_fault_diagnosis_result_t"."update_time" IS '更新时间';

COMMENT ON TABLE "lqbz"."als_fault_diagnosis_t" IS '故障诊断';

COMMENT ON COLUMN "lqbz"."als_fault_diagnosis_t"."id" IS '编号';

COMMENT ON COLUMN "lqbz"."als_fault_diagnosis_t"."sortie_no" IS '架次号';

COMMENT ON COLUMN "lqbz"."als_fault_diagnosis_t"."aircraft_id" IS '机号';

COMMENT ON COLUMN "lqbz"."als_fault_diagnosis_t"."model_type" IS '模型类型';

COMMENT ON COLUMN "lqbz"."als_fault_diagnosis_t"."param" IS '参数';

COMMENT ON COLUMN "lqbz"."als_fault_diagnosis_t"."column_data" IS '数据列';

COMMENT ON COLUMN "lqbz"."als_fault_diagnosis_t"."oss_id" IS '文件Id';

COMMENT ON COLUMN "lqbz"."als_fault_diagnosis_t"."result_content" IS '结果';

COMMENT ON COLUMN "lqbz"."als_fault_diagnosis_t"."status" IS '状态（1正常）';

COMMENT ON COLUMN "lqbz"."als_fault_diagnosis_t"."tenant_id" IS '租户号';

COMMENT ON COLUMN "lqbz"."als_fault_diagnosis_t"."version" IS '乐观锁';

COMMENT ON COLUMN "lqbz"."als_fault_diagnosis_t"."del_flag" IS '删除标识（1删除 0未删除）';

COMMENT ON COLUMN "lqbz"."als_fault_diagnosis_t"."create_by" IS '创建人';

COMMENT ON COLUMN "lqbz"."als_fault_diagnosis_t"."create_time" IS '创建时间';

COMMENT ON COLUMN "lqbz"."als_fault_diagnosis_t"."update_by" IS '更新人';

COMMENT ON COLUMN "lqbz"."als_fault_diagnosis_t"."update_time" IS '更新时间';

COMMENT ON TABLE "lqbz"."als_fault_statistics_t" IS '故障统计';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."id" IS '编号';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."statistics_date" IS '日期';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."war_zone" IS '战区';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."army" IS '军';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."division" IS '师';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."groups" IS '团';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."squadron" IS '中队';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."aircraft_num" IS '飞机号';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."aircraft_model" IS '机型';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."factory_num" IS '出厂号码';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."machine_type" IS '机件类型';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."machine_num" IS '机件号';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."machine_model" IS '机件型别';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."machine_name" IS '机件名称';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."landing_gear" IS '起落';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."major" IS '专业';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."faulty_parts_name" IS '故障件名称';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."faulty_parts_model" IS '故障件型别';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."faulty_parts_num" IS '故障件号码';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."engine_model" IS '故障件所属发动机型别';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."engine_num" IS '故障件所属发动机号码';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."engine_serial_num" IS '故障件所属发动机号码';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."faulty_parts_position" IS '故障件位置';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."faulty_phenomenon" IS '故障现象';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."faulty_place" IS '故障发生地点';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."find_opportunity" IS '发现时机';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."systems" IS '系统';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."timing_type" IS '计时类型';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."faulty_parts_manufacturer" IS '故障件制造厂';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."faulty_parts_renovate" IS '故障件翻修厂';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."installation_time" IS '故障件装本机工作时次';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."total_work_time" IS '故障件总工作时次';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."repair_time" IS '故障件修后时次';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."replacement_parts_model" IS '故换件型别';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."replacement_parts_num" IS '故换件号码';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."replacement_parts_manufacturer" IS '故换件制造厂';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."replacement_total_work_time" IS '故换件总工作时次';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."replacement_parts_renovate" IS '故换件翻修厂';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."replacement_repair_time" IS '故换件修后时次';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."faulty_abnormal_code" IS '故障失常码';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."faulty_parts_install_date" IS '故障件装机日期';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."faulty_reason" IS '故障原因';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."faulty_nature" IS '故障性质';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."faulty_responsibility" IS '故障责任';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."faulty_consequence" IS '故障后果';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."handling_suggestions" IS '处理意见';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."influence_frequency" IS '影响次数';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."error_fly_frequency" IS '误飞次数';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."identification_method" IS '判明方法';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."discovered_people" IS '发现人';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."exclusion_method" IS '排除方法';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."exclusion_people" IS '排故人';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."examine_people" IS '审核人';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."examine_time" IS '审核时间';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."exclusion_date" IS '排除日期';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."exclusion_work_time" IS '排故工时';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."exclusion_people_num" IS '排故人数';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."exclusion_time" IS '排故时间';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."is_achievement" IS '是否立功';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."need_test_fly" IS '需要试飞';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."repair_status" IS '维修状态';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."remarks" IS '备注';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."tenant_id" IS '租户号';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."del_flag" IS '删除标识（1删除 0未删除）';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."version" IS '乐观锁';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."create_by" IS '创建人';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."create_time" IS '创建时间';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."update_by" IS '更新人';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."update_time" IS '更新时间';

COMMENT ON TABLE "lqbz"."als_judge_fault_logic_t" IS '判故逻辑';

COMMENT ON COLUMN "lqbz"."als_judge_fault_logic_t"."id" IS '编号';

COMMENT ON COLUMN "lqbz"."als_judge_fault_logic_t"."model" IS '机型';

COMMENT ON COLUMN "lqbz"."als_judge_fault_logic_t"."HMC_code" IS 'HMC码';

COMMENT ON COLUMN "lqbz"."als_judge_fault_logic_t"."parameter_column" IS '参数列';

COMMENT ON COLUMN "lqbz"."als_judge_fault_logic_t"."pattern" IS '模型';

COMMENT ON COLUMN "lqbz"."als_judge_fault_logic_t"."remarks" IS '备注';

COMMENT ON COLUMN "lqbz"."als_judge_fault_logic_t"."tenant_id" IS '租户号';

COMMENT ON COLUMN "lqbz"."als_judge_fault_logic_t"."del_flag" IS '删除标识（1删除 0未删除）';

COMMENT ON COLUMN "lqbz"."als_judge_fault_logic_t"."version" IS '乐观锁';

COMMENT ON COLUMN "lqbz"."als_judge_fault_logic_t"."create_by" IS '创建人';

COMMENT ON COLUMN "lqbz"."als_judge_fault_logic_t"."create_time" IS '创建时间';

COMMENT ON COLUMN "lqbz"."als_judge_fault_logic_t"."update_by" IS '更新人';

COMMENT ON COLUMN "lqbz"."als_judge_fault_logic_t"."update_time" IS '更新时间';

COMMENT ON TABLE "lqbz"."als_life_prediction_t" IS '寿命预测';

COMMENT ON COLUMN "lqbz"."als_life_prediction_t"."id" IS '编号';

COMMENT ON COLUMN "lqbz"."als_life_prediction_t"."aircraft_id" IS '机号';

COMMENT ON COLUMN "lqbz"."als_life_prediction_t"."name" IS '部件名称';

COMMENT ON COLUMN "lqbz"."als_life_prediction_t"."model" IS '型号';

COMMENT ON COLUMN "lqbz"."als_life_prediction_t"."method_type" IS '处理方式';

COMMENT ON COLUMN "lqbz"."als_life_prediction_t"."status" IS '状态（1正常）';

COMMENT ON COLUMN "lqbz"."als_life_prediction_t"."tenant_id" IS '租户号';

COMMENT ON COLUMN "lqbz"."als_life_prediction_t"."version" IS '乐观锁';

COMMENT ON COLUMN "lqbz"."als_life_prediction_t"."del_flag" IS '删除标识（1删除 0未删除）';

COMMENT ON COLUMN "lqbz"."als_life_prediction_t"."create_by" IS '创建人';

COMMENT ON COLUMN "lqbz"."als_life_prediction_t"."create_time" IS '创建时间';

COMMENT ON COLUMN "lqbz"."als_life_prediction_t"."update_by" IS '更新人';

COMMENT ON COLUMN "lqbz"."als_life_prediction_t"."update_time" IS '更新时间';

COMMENT ON COLUMN "lqbz"."als_life_prediction_t"."aircraft_type" IS '飞机型号';

COMMENT ON COLUMN "lqbz"."als_life_prediction_t"."code" IS '编码';

COMMENT ON TABLE "lqbz"."als_lifetime_spare_parts_t" IS '有寿件';

COMMENT ON COLUMN "lqbz"."als_lifetime_spare_parts_t"."id" IS '编号';

COMMENT ON COLUMN "lqbz"."als_lifetime_spare_parts_t"."air_id" IS '飞机编目';

COMMENT ON COLUMN "lqbz"."als_lifetime_spare_parts_t"."air_model_id" IS '飞机机号';

COMMENT ON COLUMN "lqbz"."als_lifetime_spare_parts_t"."config_id" IS '构型Id';

COMMENT ON COLUMN "lqbz"."als_lifetime_spare_parts_t"."component_name" IS '部件名称';

COMMENT ON COLUMN "lqbz"."als_lifetime_spare_parts_t"."component_model" IS '部件型号';

COMMENT ON COLUMN "lqbz"."als_lifetime_spare_parts_t"."component_num" IS '部件编码';

COMMENT ON COLUMN "lqbz"."als_lifetime_spare_parts_t"."factory_date" IS '出厂日期';

COMMENT ON COLUMN "lqbz"."als_lifetime_spare_parts_t"."current_install_aircraft" IS '当前安装飞机';

COMMENT ON COLUMN "lqbz"."als_lifetime_spare_parts_t"."work_time" IS '工作时次';

COMMENT ON COLUMN "lqbz"."als_lifetime_spare_parts_t"."rated_lifetime" IS '额定寿命';

COMMENT ON COLUMN "lqbz"."als_lifetime_spare_parts_t"."remaining_lifetime" IS '剩余寿命';

COMMENT ON COLUMN "lqbz"."als_lifetime_spare_parts_t"."remarks" IS '备注';

COMMENT ON COLUMN "lqbz"."als_lifetime_spare_parts_t"."tenant_id" IS '租户号';

COMMENT ON COLUMN "lqbz"."als_lifetime_spare_parts_t"."del_flag" IS '删除标识（1删除 0未删除）';

COMMENT ON COLUMN "lqbz"."als_lifetime_spare_parts_t"."version" IS '乐观锁';

COMMENT ON COLUMN "lqbz"."als_lifetime_spare_parts_t"."create_by" IS '创建人';

COMMENT ON COLUMN "lqbz"."als_lifetime_spare_parts_t"."create_time" IS '创建时间';

COMMENT ON COLUMN "lqbz"."als_lifetime_spare_parts_t"."update_by" IS '更新人';

COMMENT ON COLUMN "lqbz"."als_lifetime_spare_parts_t"."update_time" IS '更新时间';

COMMENT ON TABLE "lqbz"."als_maintenance_decision_t" IS '辅助维修决策';

COMMENT ON COLUMN "lqbz"."als_maintenance_decision_t"."id" IS '编号';

COMMENT ON COLUMN "lqbz"."als_maintenance_decision_t"."sortie_no" IS '架次号';

COMMENT ON COLUMN "lqbz"."als_maintenance_decision_t"."aircraft_id" IS '机号';

COMMENT ON COLUMN "lqbz"."als_maintenance_decision_t"."result_id" IS '诊断结果';

COMMENT ON COLUMN "lqbz"."als_maintenance_decision_t"."code" IS '故障代码';

COMMENT ON COLUMN "lqbz"."als_maintenance_decision_t"."system_name" IS '系统';

COMMENT ON COLUMN "lqbz"."als_maintenance_decision_t"."unit_name" IS '单位';

COMMENT ON COLUMN "lqbz"."als_maintenance_decision_t"."fault_part" IS '故障部件';

COMMENT ON COLUMN "lqbz"."als_maintenance_decision_t"."proposal" IS '维修建议';

COMMENT ON COLUMN "lqbz"."als_maintenance_decision_t"."status" IS '状态（1正常）';

COMMENT ON COLUMN "lqbz"."als_maintenance_decision_t"."tenant_id" IS '租户号';

COMMENT ON COLUMN "lqbz"."als_maintenance_decision_t"."version" IS '乐观锁';

COMMENT ON COLUMN "lqbz"."als_maintenance_decision_t"."del_flag" IS '删除标识（1删除 0未删除）';

COMMENT ON COLUMN "lqbz"."als_maintenance_decision_t"."create_by" IS '创建人';

COMMENT ON COLUMN "lqbz"."als_maintenance_decision_t"."create_time" IS '创建时间';

COMMENT ON COLUMN "lqbz"."als_maintenance_decision_t"."update_by" IS '更新人';

COMMENT ON COLUMN "lqbz"."als_maintenance_decision_t"."update_time" IS '更新时间';

COMMENT ON TABLE "lqbz"."als_maintenance_task_t" IS '维修信息';

COMMENT ON COLUMN "lqbz"."als_maintenance_task_t"."id" IS '编号';

COMMENT ON COLUMN "lqbz"."als_maintenance_task_t"."task_id" IS '来源ID';

COMMENT ON COLUMN "lqbz"."als_maintenance_task_t"."aircraft_code" IS '飞机编码';

COMMENT ON COLUMN "lqbz"."als_maintenance_task_t"."aircraft_type" IS '飞机机型';

COMMENT ON COLUMN "lqbz"."als_maintenance_task_t"."data_type" IS '数据来源';

COMMENT ON COLUMN "lqbz"."als_maintenance_task_t"."fault_code" IS '故障代码';

COMMENT ON COLUMN "lqbz"."als_maintenance_task_t"."fault_name" IS '故障名称';

COMMENT ON COLUMN "lqbz"."als_maintenance_task_t"."LOCATION" IS '故障位置';

COMMENT ON COLUMN "lqbz"."als_maintenance_task_t"."LEVEL" IS '故障等级';

COMMENT ON COLUMN "lqbz"."als_maintenance_task_t"."fault_date" IS '故障发生时间';

COMMENT ON COLUMN "lqbz"."als_maintenance_task_t"."fault_description" IS '故障描述';

COMMENT ON COLUMN "lqbz"."als_maintenance_task_t"."symptoms" IS '故障现象';

COMMENT ON COLUMN "lqbz"."als_maintenance_task_t"."fault_cause" IS '故障原因';

COMMENT ON COLUMN "lqbz"."als_maintenance_task_t"."status" IS '任务状态';

COMMENT ON COLUMN "lqbz"."als_maintenance_task_t"."remarks" IS '备注';

COMMENT ON COLUMN "lqbz"."als_maintenance_task_t"."tenant_id" IS '租户号';

COMMENT ON COLUMN "lqbz"."als_maintenance_task_t"."version" IS '乐观锁';

COMMENT ON COLUMN "lqbz"."als_maintenance_task_t"."del_flag" IS '删除标识（1删除 0未删除）';

COMMENT ON COLUMN "lqbz"."als_maintenance_task_t"."create_by" IS '创建人';

COMMENT ON COLUMN "lqbz"."als_maintenance_task_t"."create_time" IS '创建时间';

COMMENT ON COLUMN "lqbz"."als_maintenance_task_t"."update_by" IS '更新人';

COMMENT ON COLUMN "lqbz"."als_maintenance_task_t"."update_time" IS '更新时间';

COMMENT ON TABLE "lqbz"."als_model_t" IS '模型信息';

COMMENT ON COLUMN "lqbz"."als_model_t"."id" IS '编号';

COMMENT ON COLUMN "lqbz"."als_model_t"."name" IS '模型名称';

COMMENT ON COLUMN "lqbz"."als_model_t"."TYPE" IS '模型类型';

COMMENT ON COLUMN "lqbz"."als_model_t"."url" IS '模型链接';

COMMENT ON COLUMN "lqbz"."als_model_t"."param" IS '参数';

COMMENT ON COLUMN "lqbz"."als_model_t"."column_data" IS '数据列';

COMMENT ON COLUMN "lqbz"."als_model_t"."status" IS '状态（1正常）';

COMMENT ON COLUMN "lqbz"."als_model_t"."remark" IS '备注';

COMMENT ON COLUMN "lqbz"."als_model_t"."tenant_id" IS '租户号';

COMMENT ON COLUMN "lqbz"."als_model_t"."version" IS '乐观锁';

COMMENT ON COLUMN "lqbz"."als_model_t"."del_flag" IS '删除标识（1删除 0未删除）';

COMMENT ON COLUMN "lqbz"."als_model_t"."create_by" IS '创建人';

COMMENT ON COLUMN "lqbz"."als_model_t"."create_time" IS '创建时间';

COMMENT ON COLUMN "lqbz"."als_model_t"."update_by" IS '更新人';

COMMENT ON COLUMN "lqbz"."als_model_t"."update_time" IS '更新时间';

COMMENT ON TABLE "lqbz"."als_part_replacement_t" IS '换件记录';

COMMENT ON COLUMN "lqbz"."als_part_replacement_t"."id" IS '编号';

COMMENT ON COLUMN "lqbz"."als_part_replacement_t"."aircraft_type" IS '飞机机型';

COMMENT ON COLUMN "lqbz"."als_part_replacement_t"."aircraft_code" IS '飞机编码';

COMMENT ON COLUMN "lqbz"."als_part_replacement_t"."before_equipment_code" IS '换件前器材编码';

COMMENT ON COLUMN "lqbz"."als_part_replacement_t"."before_equipment_name" IS '换件前器材名称';

COMMENT ON COLUMN "lqbz"."als_part_replacement_t"."before_model_number" IS '换件前规格型号';

COMMENT ON COLUMN "lqbz"."als_part_replacement_t"."after_equipment_code" IS '换件后器材编码';

COMMENT ON COLUMN "lqbz"."als_part_replacement_t"."after_equipment_name" IS '换件后器材名称';

COMMENT ON COLUMN "lqbz"."als_part_replacement_t"."after_model_number" IS '换件后规格型号';

COMMENT ON COLUMN "lqbz"."als_part_replacement_t"."quantity" IS '更换数量';

COMMENT ON COLUMN "lqbz"."als_part_replacement_t"."remarks" IS '备注';

COMMENT ON COLUMN "lqbz"."als_part_replacement_t"."tenant_id" IS '租户号';

COMMENT ON COLUMN "lqbz"."als_part_replacement_t"."version" IS '乐观锁';

COMMENT ON COLUMN "lqbz"."als_part_replacement_t"."del_flag" IS '删除标识（1删除 0未删除）';

COMMENT ON COLUMN "lqbz"."als_part_replacement_t"."create_by" IS '创建人';

COMMENT ON COLUMN "lqbz"."als_part_replacement_t"."create_time" IS '创建时间';

COMMENT ON COLUMN "lqbz"."als_part_replacement_t"."update_by" IS '更新人';

COMMENT ON COLUMN "lqbz"."als_part_replacement_t"."update_time" IS '更新时间';

COMMENT ON TABLE "lqbz"."als_personnel_allocation_t" IS '维修任务任务派遣';

COMMENT ON COLUMN "lqbz"."als_personnel_allocation_t"."id" IS '编号';

COMMENT ON COLUMN "lqbz"."als_personnel_allocation_t"."task_id" IS '任务Id';

COMMENT ON COLUMN "lqbz"."als_personnel_allocation_t"."personnel" IS '人员';

COMMENT ON COLUMN "lqbz"."als_personnel_allocation_t"."position" IS '岗位';

COMMENT ON COLUMN "lqbz"."als_personnel_allocation_t"."quantity" IS '数量';

COMMENT ON COLUMN "lqbz"."als_personnel_allocation_t"."duties" IS '职责';

COMMENT ON COLUMN "lqbz"."als_personnel_allocation_t"."remarks" IS '备注';

COMMENT ON COLUMN "lqbz"."als_personnel_allocation_t"."tenant_id" IS '租户号';

COMMENT ON COLUMN "lqbz"."als_personnel_allocation_t"."version" IS '乐观锁';

COMMENT ON COLUMN "lqbz"."als_personnel_allocation_t"."del_flag" IS '删除标识（1删除 0未删除）';

COMMENT ON COLUMN "lqbz"."als_personnel_allocation_t"."create_by" IS '创建人';

COMMENT ON COLUMN "lqbz"."als_personnel_allocation_t"."create_time" IS '创建时间';

COMMENT ON COLUMN "lqbz"."als_personnel_allocation_t"."update_by" IS '更新人';

COMMENT ON COLUMN "lqbz"."als_personnel_allocation_t"."update_time" IS '更新时间';

COMMENT ON TABLE "lqbz"."als_pre_processing_t" IS '预处理';

COMMENT ON COLUMN "lqbz"."als_pre_processing_t"."id" IS '编号';

COMMENT ON COLUMN "lqbz"."als_pre_processing_t"."sortie_no" IS '架次号';

COMMENT ON COLUMN "lqbz"."als_pre_processing_t"."aircraft_id" IS '机号';

COMMENT ON COLUMN "lqbz"."als_pre_processing_t"."model_type" IS '模型类型';

COMMENT ON COLUMN "lqbz"."als_pre_processing_t"."param" IS '参数';

COMMENT ON COLUMN "lqbz"."als_pre_processing_t"."column_data" IS '数据列';

COMMENT ON COLUMN "lqbz"."als_pre_processing_t"."oss_id" IS '文件Id';

COMMENT ON COLUMN "lqbz"."als_pre_processing_t"."RESULT" IS '结果';

COMMENT ON COLUMN "lqbz"."als_pre_processing_t"."status" IS '状态（1正常）';

COMMENT ON COLUMN "lqbz"."als_pre_processing_t"."tenant_id" IS '租户号';

COMMENT ON COLUMN "lqbz"."als_pre_processing_t"."version" IS '乐观锁';

COMMENT ON COLUMN "lqbz"."als_pre_processing_t"."del_flag" IS '删除标识（1删除 0未删除）';

COMMENT ON COLUMN "lqbz"."als_pre_processing_t"."create_by" IS '创建人';

COMMENT ON COLUMN "lqbz"."als_pre_processing_t"."create_time" IS '创建时间';

COMMENT ON COLUMN "lqbz"."als_pre_processing_t"."update_by" IS '更新人';

COMMENT ON COLUMN "lqbz"."als_pre_processing_t"."update_time" IS '更新时间';

COMMENT ON TABLE "lqbz"."als_product_t" IS '产品树';

COMMENT ON COLUMN "lqbz"."als_product_t"."id" IS '编号';

COMMENT ON COLUMN "lqbz"."als_product_t"."parent_name" IS '归属';

COMMENT ON COLUMN "lqbz"."als_product_t"."parent_id" IS '父id';

COMMENT ON COLUMN "lqbz"."als_product_t"."sns_code" IS 'SNS编号';

COMMENT ON COLUMN "lqbz"."als_product_t"."name" IS '产品名称';

COMMENT ON COLUMN "lqbz"."als_product_t"."ancestors" IS '祖级列表';

COMMENT ON COLUMN "lqbz"."als_product_t"."order_num" IS '显示顺序';

COMMENT ON COLUMN "lqbz"."als_product_t"."tenant_id" IS '租户号';

COMMENT ON COLUMN "lqbz"."als_product_t"."version" IS '乐观锁';

COMMENT ON COLUMN "lqbz"."als_product_t"."del_flag" IS '删除标识（1删除 0未删除）';

COMMENT ON COLUMN "lqbz"."als_product_t"."create_by" IS '创建人';

COMMENT ON COLUMN "lqbz"."als_product_t"."create_time" IS '创建时间';

COMMENT ON COLUMN "lqbz"."als_product_t"."update_by" IS '更新人';

COMMENT ON COLUMN "lqbz"."als_product_t"."update_time" IS '更新时间';

COMMENT ON TABLE "lqbz"."als_qa_history_t" IS '问答历史记录';

COMMENT ON COLUMN "lqbz"."als_qa_history_t"."id" IS '唯一ID';

COMMENT ON COLUMN "lqbz"."als_qa_history_t"."user_id" IS '当前用户';

COMMENT ON COLUMN "lqbz"."als_qa_history_t"."question" IS '问题';

COMMENT ON COLUMN "lqbz"."als_qa_history_t"."answer" IS '回答';

COMMENT ON COLUMN "lqbz"."als_qa_history_t"."graph" IS '图谱相关';

COMMENT ON COLUMN "lqbz"."als_qa_history_t"."oss_id" IS '文件ID';

COMMENT ON COLUMN "lqbz"."als_qa_history_t"."file_name" IS '文件名称';

COMMENT ON COLUMN "lqbz"."als_qa_history_t"."remarks" IS '备注';

COMMENT ON COLUMN "lqbz"."als_qa_history_t"."tenant_id" IS '租户号';

COMMENT ON COLUMN "lqbz"."als_qa_history_t"."del_flag" IS '删除标识（1删除 0未删除）';

COMMENT ON COLUMN "lqbz"."als_qa_history_t"."VERSION" IS '乐观锁';

COMMENT ON COLUMN "lqbz"."als_qa_history_t"."create_by" IS '创建人';

COMMENT ON COLUMN "lqbz"."als_qa_history_t"."create_time" IS '创建时间';

COMMENT ON COLUMN "lqbz"."als_qa_history_t"."update_by" IS '更新人';

COMMENT ON COLUMN "lqbz"."als_qa_history_t"."update_time" IS '更新时间';

COMMENT ON TABLE "lqbz"."als_resource_allocation_t" IS '维修任务资源分配';

COMMENT ON COLUMN "lqbz"."als_resource_allocation_t"."id" IS '编号';

COMMENT ON COLUMN "lqbz"."als_resource_allocation_t"."task_id" IS '任务Id';

COMMENT ON COLUMN "lqbz"."als_resource_allocation_t"."device_code" IS '设备编号';

COMMENT ON COLUMN "lqbz"."als_resource_allocation_t"."device_name" IS '设备名称';

COMMENT ON COLUMN "lqbz"."als_resource_allocation_t"."TYPE" IS '类型';

COMMENT ON COLUMN "lqbz"."als_resource_allocation_t"."model_number" IS '规格型号';

COMMENT ON COLUMN "lqbz"."als_resource_allocation_t"."quantity" IS '数量';

COMMENT ON COLUMN "lqbz"."als_resource_allocation_t"."purpose" IS '用途';

COMMENT ON COLUMN "lqbz"."als_resource_allocation_t"."remarks" IS '备注';

COMMENT ON COLUMN "lqbz"."als_resource_allocation_t"."tenant_id" IS '租户号';

COMMENT ON COLUMN "lqbz"."als_resource_allocation_t"."version" IS '乐观锁';

COMMENT ON COLUMN "lqbz"."als_resource_allocation_t"."del_flag" IS '删除标识（1删除 0未删除）';

COMMENT ON COLUMN "lqbz"."als_resource_allocation_t"."create_by" IS '创建人';

COMMENT ON COLUMN "lqbz"."als_resource_allocation_t"."create_time" IS '创建时间';

COMMENT ON COLUMN "lqbz"."als_resource_allocation_t"."update_by" IS '更新人';

COMMENT ON COLUMN "lqbz"."als_resource_allocation_t"."update_time" IS '更新时间';

COMMENT ON TABLE "lqbz"."als_sm_task_t" IS '定检任务';

COMMENT ON COLUMN "lqbz"."als_sm_task_t"."id" IS '编号';

COMMENT ON COLUMN "lqbz"."als_sm_task_t"."aircraft_id" IS '机号';

COMMENT ON COLUMN "lqbz"."als_sm_task_t"."aircraft_model" IS '机型';

COMMENT ON COLUMN "lqbz"."als_sm_task_t"."name" IS '任务名称';

COMMENT ON COLUMN "lqbz"."als_sm_task_t"."specialty" IS '专业';

COMMENT ON COLUMN "lqbz"."als_sm_task_t"."task_code" IS '任务编码';

COMMENT ON COLUMN "lqbz"."als_sm_task_t"."period_time" IS '周期';

COMMENT ON COLUMN "lqbz"."als_sm_task_t"."remain_time" IS '剩余时间';

COMMENT ON COLUMN "lqbz"."als_sm_task_t"."head_name" IS '负责人';

COMMENT ON COLUMN "lqbz"."als_sm_task_t"."system_name" IS '系统';

COMMENT ON COLUMN "lqbz"."als_sm_task_t"."contents" IS '任务内容';

COMMENT ON COLUMN "lqbz"."als_sm_task_t"."status" IS '状态';

COMMENT ON COLUMN "lqbz"."als_sm_task_t"."remark" IS '备注';

COMMENT ON COLUMN "lqbz"."als_sm_task_t"."tenant_id" IS '租户号';

COMMENT ON COLUMN "lqbz"."als_sm_task_t"."version" IS '乐观锁';

COMMENT ON COLUMN "lqbz"."als_sm_task_t"."del_flag" IS '删除标识（1删除 0未删除）';

COMMENT ON COLUMN "lqbz"."als_sm_task_t"."create_by" IS '创建人';

COMMENT ON COLUMN "lqbz"."als_sm_task_t"."create_time" IS '创建时间';

COMMENT ON COLUMN "lqbz"."als_sm_task_t"."update_by" IS '更新人';

COMMENT ON COLUMN "lqbz"."als_sm_task_t"."update_time" IS '更新时间';

COMMENT ON TABLE "lqbz"."als_sortie_t" IS '架次';

COMMENT ON COLUMN "lqbz"."als_sortie_t"."id" IS '编号';

COMMENT ON COLUMN "lqbz"."als_sortie_t"."sortie_no" IS '架次号';

COMMENT ON COLUMN "lqbz"."als_sortie_t"."aircraft_id" IS '机号';

COMMENT ON COLUMN "lqbz"."als_sortie_t"."flight_date" IS '飞行日期';

COMMENT ON COLUMN "lqbz"."als_sortie_t"."start_time" IS '开始时间';

COMMENT ON COLUMN "lqbz"."als_sortie_t"."end_time" IS '结束时间';

COMMENT ON COLUMN "lqbz"."als_sortie_t"."duration" IS '飞行时长';

COMMENT ON COLUMN "lqbz"."als_sortie_t"."tenant_id" IS '租户号';

COMMENT ON COLUMN "lqbz"."als_sortie_t"."version" IS '乐观锁';

COMMENT ON COLUMN "lqbz"."als_sortie_t"."del_flag" IS '删除标识（1删除 0未删除）';

COMMENT ON COLUMN "lqbz"."als_sortie_t"."create_by" IS '创建人';

COMMENT ON COLUMN "lqbz"."als_sortie_t"."create_time" IS '创建时间';

COMMENT ON COLUMN "lqbz"."als_sortie_t"."update_by" IS '更新人';

COMMENT ON COLUMN "lqbz"."als_sortie_t"."update_time" IS '更新时间';

COMMENT ON TABLE "lqbz"."als_spare_parts_t" IS '部件';

COMMENT ON COLUMN "lqbz"."als_spare_parts_t"."id" IS '编号';

COMMENT ON COLUMN "lqbz"."als_spare_parts_t"."name" IS '部件名称';

COMMENT ON COLUMN "lqbz"."als_spare_parts_t"."model" IS '型号';

COMMENT ON COLUMN "lqbz"."als_spare_parts_t"."system_name" IS '所属系统';

COMMENT ON COLUMN "lqbz"."als_spare_parts_t"."factory" IS '制造厂';

COMMENT ON COLUMN "lqbz"."als_spare_parts_t"."quantity" IS '数量';

COMMENT ON COLUMN "lqbz"."als_spare_parts_t"."status" IS '状态（1正常）';

COMMENT ON COLUMN "lqbz"."als_spare_parts_t"."tenant_id" IS '租户号';

COMMENT ON COLUMN "lqbz"."als_spare_parts_t"."version" IS '乐观锁';

COMMENT ON COLUMN "lqbz"."als_spare_parts_t"."del_flag" IS '删除标识（1删除 0未删除）';

COMMENT ON COLUMN "lqbz"."als_spare_parts_t"."create_by" IS '创建人';

COMMENT ON COLUMN "lqbz"."als_spare_parts_t"."create_time" IS '创建时间';

COMMENT ON COLUMN "lqbz"."als_spare_parts_t"."update_by" IS '更新人';

COMMENT ON COLUMN "lqbz"."als_spare_parts_t"."update_time" IS '更新时间';

COMMENT ON TABLE "lqbz"."als_task_t" IS '任务信息';

COMMENT ON COLUMN "lqbz"."als_task_t"."id" IS '任务编号';

COMMENT ON COLUMN "lqbz"."als_task_t"."name" IS '任务名称';

COMMENT ON COLUMN "lqbz"."als_task_t"."source" IS '数据源';

COMMENT ON COLUMN "lqbz"."als_task_t"."sortie_no" IS '架次号';

COMMENT ON COLUMN "lqbz"."als_task_t"."aircraft_id" IS '机号';

COMMENT ON COLUMN "lqbz"."als_task_t"."data_id" IS '数据编号';

COMMENT ON COLUMN "lqbz"."als_task_t"."pre_id" IS '预处理编号';

COMMENT ON COLUMN "lqbz"."als_task_t"."false_alarm_id" IS '虚警编号';

COMMENT ON COLUMN "lqbz"."als_task_t"."fault_id" IS '故障诊断编号';

COMMENT ON COLUMN "lqbz"."als_task_t"."decision_id" IS '决策编号';

COMMENT ON COLUMN "lqbz"."als_task_t"."status" IS '状态（1正常）';

COMMENT ON COLUMN "lqbz"."als_task_t"."tenant_id" IS '租户号';

COMMENT ON COLUMN "lqbz"."als_task_t"."version" IS '乐观锁';

COMMENT ON COLUMN "lqbz"."als_task_t"."del_flag" IS '删除标识（1删除 0未删除）';

COMMENT ON COLUMN "lqbz"."als_task_t"."create_by" IS '创建人';

COMMENT ON COLUMN "lqbz"."als_task_t"."create_time" IS '创建时间';

COMMENT ON COLUMN "lqbz"."als_task_t"."update_by" IS '更新人';

COMMENT ON COLUMN "lqbz"."als_task_t"."update_time" IS '更新时间';

COMMENT ON TABLE "lqbz"."als_warning_t" IS '警告信息';

COMMENT ON COLUMN "lqbz"."als_warning_t"."id" IS '编号';

COMMENT ON COLUMN "lqbz"."als_warning_t"."sortie_no" IS '架次号';

COMMENT ON COLUMN "lqbz"."als_warning_t"."aircraft_id" IS '机号';

COMMENT ON COLUMN "lqbz"."als_warning_t"."code" IS '警告代码';

COMMENT ON COLUMN "lqbz"."als_warning_t"."name" IS '警告名称';

COMMENT ON COLUMN "lqbz"."als_warning_t"."describe" IS '警告描述';

COMMENT ON COLUMN "lqbz"."als_warning_t"."status" IS '状态（1正常）';

COMMENT ON COLUMN "lqbz"."als_warning_t"."tenant_id" IS '租户号';

COMMENT ON COLUMN "lqbz"."als_warning_t"."version" IS '乐观锁';

COMMENT ON COLUMN "lqbz"."als_warning_t"."del_flag" IS '删除标识（1删除 0未删除）';

COMMENT ON COLUMN "lqbz"."als_warning_t"."create_by" IS '创建人';

COMMENT ON COLUMN "lqbz"."als_warning_t"."create_time" IS '创建时间';

COMMENT ON COLUMN "lqbz"."als_warning_t"."update_by" IS '更新人';

COMMENT ON COLUMN "lqbz"."als_warning_t"."update_time" IS '更新时间';

